# Generated by Makefile. Do not edit.

2016-02-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	New 16.04 release

2016-02-23  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 12.10.3+16.04.20160223.1-0ubuntu1

2016-02-23  Dan Williams  <dcbw@redhat.com>

	gtk: look for GtkImages on regular GtkMenuItems too
	
	GtkImageMenuItem is deprecated, and the recommended replacement
	is a normal GtkMenuItem packed manually with a label and an image.
	To ensure applications that use recommended GTK practices can still
	show menu item images, check the children of a normal GtkMenuItem
	for a GtkImage too, just like is done for the label child. Fixes: #1549021
	Approved by: Marco Trevisan (Treviño)

2016-02-23  Dan Williams  <dcbw@redhat.com>

	gtk: look for GtkImages on regular GtkMenuItems too
	
	GtkImageMenuItem is deprecated, and the recommended replacement
	is a normal GtkMenuItem packed manually with a label and an image.
	To ensure applications that use recommended GTK practices can still
	show menu item images, check the children of a normal GtkMenuItem
	for a GtkImage too, just like is done for the label child.

2016-02-23  Dan Williams  <dcbw@redhat.com>

	gtk: fix some GTKv3 deprecations and get rid of HAVE_GTK3

2016-02-22  Dan Williams  <dcbw@redhat.com>

	gtk: look for GtkImages on regular GtkMenuItems too
	
	GtkImageMenuItem is deprecated, and the recommended replacement
	is a normal GtkMenuItem packed manually with a label and an image.
	To ensure applications that use recommended GTK practices can still
	show menu item images, check the children of a normal GtkMenuItem
	for a GtkImage too, just like is done for the label child.

2016-02-22  Dan Williams  <dcbw@redhat.com>

	gtk: fix some GTKv3 deprecations and get rid of HAVE_GTK3

2015-12-07  Dimitri John Ledkov  <xnox@ubuntu.com>

	Disable test-json-instruction, hangs on buildds

2015-04-10  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 12.10.3+15.04.20150410.2-0ubuntu1

2015-04-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Parser: don't override the label for stock items if a custom one is provided Fixes: #1270486
	Approved by: Timo Jyrinki, PS Jenkins bot

2015-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with lp:~laney/libdbusmenu/libtool-and-gi

2015-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	test-json-server: add a timeout before quitting

2015-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Tests: test-json-instruction, don't use libtool for running tasks

2015-03-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Parser: don't override the label for stock items if a custom one is provided

2015-04-09  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 12.10.3+15.04.20150409.1-0ubuntu1

2015-04-09  Iain Lane  <iain@orangesquash.org.uk>

	Use the configure-generated libtool script instead of /usr/bin/libtool, which might not match what we have. Also use gi's typelibdir pkgconfig variable and install into this directory, now that gi supports multiarch.
	Approved by: Ted Gould

2015-04-09  Iain Lane  <iain@orangesquash.org.uk>

	Run the gir debhelper sequence to get proper deps

2014-10-31  Iain Lane  <iain@orangesquash.org.uk>

	Bump g-i build-dep version to the one which installs in MA paths

2014-10-30  Iain Lane  <iain@orangesquash.org.uk>

	Use gi's typelibdir and install in its (multiarch) locations

2014-10-30  Iain Lane  <iain@orangesquash.org.uk>

	Use local copy of libtool instead of /usr/bin/libtool

2014-06-10  CI bot  <ps-jenkins@lists.canonical.com>

	Releasing 12.10.3+14.10.20140610-0ubuntu1

2014-06-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Parser: make sure that the old dbus menuitem is detached from the widget before recreating
	
	When a dbus menuitem has to be recreated, we need to disconnect the widget from it, or
	the old one will be reused at next parsing cycle. Fixes: 1086563

2014-06-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Parser: make sure that the old dbus menuitem is disconnected from the widget before recreating it
	
	When a dbus menuitem has to be recreated, we need to disconnect the widget from it, or the old
	one will be reused at next parsing cycle.

2014-03-19  CI bot  <ps-jenkins@lists.canonical.com>

	Releasing 12.10.3+14.04.20140319-0ubuntu1

2014-03-19  Colin Watson  <cjwatson@canonical.com>

	Run tests with VERBOSE=1 so that Automake shows more detail. 

2014-03-17  Colin Watson  <cjwatson@canonical.com>

	Run tests with VERBOSE=1 so that Automake shows more detail.

2014-03-19  Charles Kerr  <charles.kerr@canonical.com>

	Fix FTBFS caused by failing gtk-doc coverage test
	
	* when generating the script that runs gtester, use ${GTKDOC_CHECK_PATH} instead of ${GTKDOC_CHECK} to work with upstream changes https://bugzilla.gnome.org/show_bug.cgi?id=701638
	
	* add gtk-doc markup to subclass structs' parent fields so that gtk-doc won't mark them as undocumented. Fixes: 1294165

2014-03-18  Charles Kerr  <charles.kerr@canonical.com>

	add gtk-doc markup to our subclasses' structs 'parents' fields

2014-03-18  Charles Kerr  <charles.kerr@canonical.com>

	move the Class structs into the STANDARD gtk-doc section

2014-03-18  Charles Kerr  <charles.kerr@canonical.com>

	use  instead of  to handle upstream changes https://bugzilla.gnome.org/show_bug.cgi?id=701638

2014-02-17  CI bot  <ps-jenkins@lists.canonical.com>

	Releasing 12.10.3+14.04.20140217.1-0ubuntu1

2014-02-17  Ted Gould  <ted@gould.cx>

	Flushing trunk with a release 

2014-01-30  Ted Gould  <ted@gould.cx>

	Flushing trunk with a release

2014-01-10  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	add missing changelog entry and changes for 12.10.3+14.04.20131125-0ubuntu2.
	
	Approved by PS Jenkins bot, Ken VanDine.

2014-01-09  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	releasing package libdbusmenu version 12.10.3+14.04.20131125-0ubuntu2

2013-12-19  Ted Gould  <ted@gould.cx>

	Don't depend on valgrind on ppc64el. Fixes: https://bugs.launchpad.net/bugs/1262374.
	
	Approved by Charles Kerr, PS Jenkins bot.

2013-12-18  Ted Gould  <ted@gould.cx>

	No &&

2013-12-18  Ted Gould  <ted@gould.cx>

	Don't depend on valgrind on ppc64el

2013-12-19  Matthew Brush  <matt@geany.org>

	Check to ensure the property isn't set to NULL. Fixes: https://bugs.launchpad.net/bugs/907635.
	
	Approved by PS Jenkins bot, Ted Gould.

2013-12-13  Matthew Brush  <matt@geany.org>

	Check to ensure the property isn't set to NULL

2013-11-25  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 12.10.3+14.04.20131125-0ubuntu1 (revision 462 from lp:libdbusmenu).
	
	Approved by PS Jenkins bot.

2013-11-25  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 12.10.3+14.04.20131125-0ubuntu1, based on r462

2013-11-04  Alistair Buxton  <a.j.buxton@gmail.com>

	Use "insert" signal instead of "child-added" (LP: #1203888)
	
	In recent Gtk+2 versions, the "insert" signal has been backported from
	Gtk+3. This replaces the "child-added" signal, which was carried in an
	Ubuntu-specific patch and was dropped in Saucy.
	. Fixes: https://bugs.launchpad.net/bugs/1203888.
	
	Approved by PS Jenkins bot, Ted Gould.

2013-11-03  Alistair Buxton  <a.j.buxton@gmail.com>

	Use "insert" signal instead of "child-added" (LP: #1203888)
	
	In recent Gtk+2 versions, the "insert" signal has been backported from
	Gtk+3. This replaces the "child-added" signal, which was carried in an
	Ubuntu-specific patch and was dropped in Saucy.

2013-10-17  Robert Bruce Park  <robert.park@canonical.com>

	Merge distro back to trunk.
	
	Approved by PS Jenkins bot.

2013-10-17  Robert Bruce Park  <robert.park@canonical.com>

	Merge distro back to trunk.

2013-10-14  Matthias Klose  <doko@ubuntu.com>

	Do not build-depend on valgrind on AArch64 (not yet available). Fixes: https://bugs.launchpad.net/bugs/1239473.
	
	Approved by PS Jenkins bot, Ted Gould.

2013-10-14  Matthias Klose  <doko@ubuntu.com>

	Do not build-depend on valgrind on AArch64 (not yet available). (LP:
	#1239473)

2013-09-13  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 12.10.3+13.10.20130913-0ubuntu1 (revision 458 from lp:libdbusmenu).
	
	Approved by PS Jenkins bot.

2013-09-13  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 12.10.3+13.10.20130913-0ubuntu1, based on r458

2013-09-09  Ted Gould  <ted@gould.cx>

	Protect client_new functions from bad dbus names and objects.
	
	Approved by PS Jenkins bot, Charles Kerr.

2013-06-10  Ted Gould  <ted@gould.cx>

	Throw criticals on bad names and/or objects

2013-09-09  Ted Gould  <ted@gould.cx>

	Extend timeouts for busy Jenkins ARM machines.
	
	Approved by PS Jenkins bot, Charles Kerr.

2013-09-09  Ted Gould  <ted@gould.cx>

	Allowing the proxy data to stabalize a bit longer

2013-09-09  Ted Gould  <ted@gould.cx>

	A few more

2013-09-09  Ted Gould  <ted@gould.cx>

	Extend the death timeouts to 60 seconds

2013-07-31  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 12.10.3+13.10.20130731-0ubuntu1 (revision 455 from lp:libdbusmenu).
	
	Approved by PS Jenkins bot.

2013-07-31  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 12.10.3+13.10.20130731-0ubuntu1, based on r455

2013-07-30  Jeremy Bicha  <jbicha@ubuntu.com>

	Don't build-depend on gnome-doc-utils.
	
	Approved by PS Jenkins bot, Charles Kerr.

2013-07-22  Jeremy Bicha  <jbicha@ubuntu.com>

	Don't build-depend on gnome-doc-utils

2013-06-28  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 12.10.3+13.10.20130628-0ubuntu1 to ubuntu.
	
	Approved by PS Jenkins bot.

2013-06-28  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 12.10.3+13.10.20130628-0ubuntu1, based on r453

2013-06-24  Ted Gould  <ted@gould.cx>

	Increase test timeouts to ensure proper results on slower platforms (ARM).
	
	Approved by PS Jenkins bot.

2013-06-24  Ted Gould  <ted@gould.cx>

	Disabling the gtk-parser test as we won't be able to debug it

2013-06-24  Ted Gould  <ted@gould.cx>

	Put the gtk-parser test under dbus-test-runner

2013-06-24  Ted Gould  <ted@gould.cx>

	Give more time to verify

2013-06-24  Ted Gould  <ted@gould.cx>

	Prolong our death

2013-06-24  Ted Gould  <ted@gould.cx>

	Increase Debugging Information

2013-06-20  Charles Kerr  <charles.kerr@canonical.com>

	Fix breakage when building with coverage scanning.
	
	Approved by PS Jenkins bot, Ted Gould.

2012-05-02  Charles Kerr  <charles.kerr@canonical.com>

	fix an error introduced in r399 that broke g-ir-scanner invocation when configure is invoked with --enable-gcov

2013-06-20  Jeremy Bicha  <jbicha@ubuntu.com>

	Build with default valac.
	
	Approved by PS Jenkins bot, Ted Gould.

2013-06-07  Jeremy Bicha  <jbicha@ubuntu.com>

	Build-depend on valac (>= 0.16) instead of valac-0.16 to ease transitions

2013-06-20  Charles Kerr  <charles.kerr@canonical.com>

	Fix a bug caused by keeping signals connected to menuitems that we're not using anymore. Fixes: https://bugs.launchpad.net/bugs/1154701.
	
	Approved by PS Jenkins bot, Ted Gould.

2013-06-18  Charles Kerr  <charles.kerr@canonical.com>

	in tests/Makefile.am, use variables for the shared cflags and cflags, rather than using copy/paste everywhere

2013-06-18  Charles Kerr  <charles.kerr@canonical.com>

	in tests/, replace deprecated API call g_main_quit() with g_main_loop_quit()

2013-06-18  Charles Kerr  <charles.kerr@canonical.com>

	run test-gtk-remove inside of dbus-test-runner

2013-06-18  Charles Kerr  <charles.kerr@canonical.com>

	When a widget internally holds a link to a dbusmenuitem, keep a ref on that dbusmenuitem until that link is removed.

2013-06-18  Charles Kerr  <charles.kerr@canonical.com>

	in tests/Makefile.am, fix relative paths

2013-06-18  Charles Kerr  <charles.kerr@canonical.com>

	sync with trunk

2013-03-13  Charles Kerr  <charles.kerr@canonical.com>

	stop listening to a widget's signals when it's removed from the menu tree that we're mirroring. This condition was detected by a flood of g_warnings, so add a regression test to confirm that the warning messages no longer appear.

2013-06-19  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 12.10.3daily13.06.19-0ubuntu1 to ubuntu.
	
	Approved by PS Jenkins bot.

2013-06-19  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 12.10.3daily13.06.19-0ubuntu1, based on r448

2013-06-07  Jeremy Bicha  <jbicha@ubuntu.com>

	According to Debian's GObject introspection mini-policy:
	http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gobject-introspection/debian/policy.txt?view=markup.
	
	Approved by PS Jenkins bot, Ken VanDine.

2013-06-07  Jeremy Bicha  <jbicha@ubuntu.com>

	Have -dev packages depend on their corresponding gir- packages

2013-06-07  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 12.10.3daily13.06.07-0ubuntu1 to ubuntu.
	
	Approved by PS Jenkins bot.

2013-06-07  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 12.10.3daily13.06.07-0ubuntu1, based on r446

2013-06-04  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	Fix gtkdoc-check tests, and move them to tests subdirectory.
	
	Approved by PS Jenkins bot, Didier Roche.

2013-06-04  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	Move gtkdoc-check tests into tests/

2013-05-29  Chris Coulson  <chris.coulson@canonical.com>

	Fix the long-standing "nm-applet stops working after a few days / hours" issue; properly handle "unique" IDs for indicator menuitems. Fixes: https://bugs.launchpad.net/bugs/1011073.
	
	Approved by Ted Gould, PS Jenkins bot, Mathieu Trudel-Lapierre.

2013-05-28  Chris Coulson  <chris.coulson@canonical.com>

	Update for review comments

2013-05-17  Chris Coulson  <chris.coulson@canonical.com>

	Set the max ID of menuitems to G_MAXINT rather than 30000, as internally, the server side happily creates ID's greater than this which then wraparound on the client side.
	We keep the minimum unchanged at -1, as some consumers addume that < 0 is an error (rather than -1). To make this a bit less fragile, handle rollover on the server side from G_MAXINT to 1, rather than having a signed integer overflow which will just break things a bit later on

2013-05-15  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 12.10.3daily13.05.15-0ubuntu1 to ubuntu.
	
	Approved by PS Jenkins bot.

2013-05-15  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 12.10.3daily13.05.15-0ubuntu1, based on r443

2013-05-15  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	Remove stray g_message().
	
	Approved by PS Jenkins bot, Mathieu Trudel-Lapierre.

2013-05-15  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	Remove stray debug g_message()

2013-05-15  Charles Kerr  <charles.kerr@canonical.com>

	In gtkclient's destructor, balance client's earlier gtk_widget_add_accelerator() calls with gtk_widget_remove_accelerator() calls. Fixes: https://bugs.launchpad.net/bugs/1173262.
	
	Approved by Mathieu Trudel-Lapierre, PS Jenkins bot.

2013-05-02  Charles Kerr  <charles.kerr@canonical.com>

	in dispose(), call gtk_widget_remove_accelerator(), to balance out the earlier calls to gtk_widget_add_accelerator()

2013-02-01  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 12.10.3daily13.02.01-0ubuntu1 to ubuntu.
	
	Approved by .

2013-02-01  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 12.10.3daily13.02.01-0ubuntu1, based on r440

2013-01-29  Chris Coulson  <chris.coulson@canonical.com>

	Fix multiple leaks due to improper use of g_variant_parse() (fixes bug 1104136). Fixes: https://bugs.launchpad.net/bugs/1104136.
	
	Approved by Ted Gould, PS Jenkins bot.

2013-01-24  Chris Coulson  <chris.coulson@canonical.com>

	Fix multiple leaks due to improper use of g_variant_parse()

2013-01-22  Chris Coulson  <chris.coulson@canonical.com>

	Fix a memory leak (bug 1103050). Fixes: https://bugs.launchpad.net/bugs/1103050.
	
	Approved by Charles Kerr, PS Jenkins bot.

2013-01-22  Chris Coulson  <chris.coulson@canonical.com>

	Make sure we unref the GDBusMethodInvocation when not sending a reply

2013-01-21  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	Remove uses of g_type_init. Fixes: https://bugs.launchpad.net/bugs/1102468, https://bugs.launchpad.net/bugs/1102471.
	
	Approved by PS Jenkins bot, Didier Roche.

2013-01-21  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	* Update main sgml documentation files to remove the xml includes we don't
	generate anymore. (LP: #1102468)
	* Drop deprecated calls to g_type_init(). (LP: #1102471)

2013-01-21  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	Remove xml documentation includes that can't be found and don't seem to be generated anywhere.

2013-01-21  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	Clear up the uses of g_type_init().

2013-01-09  Didier Roche  <didrocks@ubuntu.com>

	Add bootstrap message.
	
	Approved by PS Jenkins bot.

2013-01-09  Didier Roche  <didrocks@ubuntu.com>

	add bug numbers and bootstrapping message

2013-01-09  Martin Mrazik  <martin.mrazik@canonical.com>

	Making the test execution a bit more robus by getting a free X server number instead of the default 99. Some tests were failing with xvfb-run not being able to start.
	
	Approved by PS Jenkins bot, Didier Roche.

2013-01-09  Martin Mrazik  <martin.mrazik@canonical.com>

	making the test execution a bit more robus by getting a free X server number instead of the default 99

2012-12-18  Ted Gould  <ted@gould.cx>

	Properly inline + fixes for gtkdoc tests (much of the gtkdoc work done by Charles).
	
	Approved by Charles Kerr.

2012-12-17  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	Reenable gtkdoc tests and fix them for separate build directory.

2012-12-17  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	Inline packaging

2012-12-04  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	- Add xvfb to Build-Depends.
	- Run dh_auto_test through xvfb-run.

2012-12-04  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	Add dbus-test-runner to Build-Depends.

2012-11-26  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	Re-enable tests.

2012-11-23  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	Override dh_auto_test to make sure they can be run for both the gtk2 and
	gtk3 flavors.

2012-11-23  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	Remove outdated Breaks:.

2012-11-22  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	debian/libdbusmenu-tools.install: install dbusmenu-* binaries from the
	multiarch triplet rather than usr/lib/libdbusmenu.

2012-11-22  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	Clean up unnecessary files we don't want to install, so that dh_install
	can complete.

2012-11-21  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	Update Vcs-Bzr, Vcs-Browser and add a notice to uploaders.

2012-11-21  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	debian/libdbusmenu-gtk-doc.install: add the glib-server-nomenu.c example.

2012-11-21  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	debian/compat: bump to compat level 9.

2012-11-21  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	* debian/rules:
	- Convert to dh9; some variables where kept but renamed to brevity.
	- Override dh_autoreconf to make sure it calls autogen.sh, and doesn't run
	configure.

2012-11-21  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	Fix typo in bzr-builddeb default.conf

2012-11-21  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	- Drop Build-Depends on cdbs. 
	- Bump debhelper Build-Depends to (>= 9).

2012-11-21  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	Update style to match other indicator stack packages. 

2012-11-21  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	* debian/control:
	- Reorganize Build-Depends for clarity.

2012-11-21  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	Specify that bzr-builddeb should build this package using split mode

2012-11-21  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	Import debian/ from lp:~ubuntu-desktop/dbusmenu/ubuntu

2012-10-03  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 12.10.2-0ubuntu1

2012-10-03  Sebastien Bacher  <seb128@ubuntu.com>

	New upstream release.

2012-10-03  Sebastien Bacher  <seb128@ubuntu.com>

	Import upstream version 12.10.2

2012-09-24  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 12.10.1-0ubuntu2

2012-09-24  Sebastien Bacher  <seb128@ubuntu.com>

	Backport upstream fix for segfault issue (lp: #1053670)

2012-09-20  Didier Roche  <didier.roche@canonical.com>

	releasing version 12.10.1-0ubuntu1

2012-09-20  Didier Roche  <didier.roche@canonical.com>

	New upstream release.

2012-09-20  Didier Roche  <didier.roche@canonical.com>

	Import upstream version 12.10.1

2012-09-20  Didier Roche  <didier.roche@canonical.com>

	* New upstream release.
	- Honor changes to GtkSettings' gtk-menu-images value (LP: #927236)
	- don't display an underscore on menuitimes containing a '&' (LP: #994564)
	- set the widget for the accelerator even if there isn't a mnemonic
	(LP: #982656)
	- make the vala bindings use pkg-config names, rather than gir ones
	- Some platforms don't have valgrind, so treat those unit tests separately
	- make headers match independent of the build directory
	- constify some public API calls

2012-09-20  Didier Roche  <didier.roche@canonical.com>

	Import upstream version 12.10.0

2012-06-13  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 0.6.2-0ubuntu1

2012-06-13  Ted Gould  <ted@gould.cx>

	releasing version 0.6.2-0ubuntu1~ppa1

2012-06-13  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* Fixed duplicated underscores in menus (LP: #979301)
	* Fix for keybindings not showing in menus bug (LP: #982656)
	* DbusmenuServer leaks private string (LP: #981766)
	* Ensure menuitems with '&' show them properly (LP: #994564)

2012-06-13  Ted Gould  <ted@gould.cx>

	Import upstream version 0.6.2

2012-06-13  Ted Gould  <ted@gould.cx>

	0.6.2

2012-06-07  Ted Gould  <ted@gould.cx>

	Escape the text we are using for markup

2012-06-07  Ted Gould  <ted@gould.cx>

	Making the headers match independent of build directory

2012-06-13  Ted Gould  <ted@gould.cx>

	Merging in Ubuntu Desktop

2012-04-16  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 0.6.1-0ubuntu3

2012-04-16  Sebastien Bacher  <seb128@ubuntu.com>

	Backport fix for keybindings not showing in menus bug (lp: #982656)

2012-04-12  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.6.1-0ubuntu2

2012-04-12  Ken VanDine  <ken.vandine@canonical.com>

	* libdbusmenu-gtk/genericmenuitem.c
	- Fixed duplicated underscores in menus (LP: #979301)

2012-04-11  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.6.1-0ubuntu1

2012-04-11  Ken VanDine  <ken.vandine@canonical.com>

	* New upstream release.
	* Fix mnemonics in wifi hotspot names. (LP: #903200)
	* Fix nautilus crash in dbusmenu_menuitem_property_remove() (LP: #959821)
	* Fix about-to-show grouping.
	* Fix visibility signal in the server.
	* Silence false positives in dbusmenu's signal smoke tests.

2012-04-11  Charles Kerr  <charles.kerr@canonical.com>

	releasing version 0.6.1-0ubuntu1~ppa1

2012-04-11  Charles Kerr  <charles.kerr@canonical.com>

	* New upstream release.
	* Fix mnemonics in wifi hotspot names. (LP: #903200)
	* Fix nautilus crash in dbusmenu_menuitem_property_remove() (LP: #959821)
	* Fix about-to-show grouping.
	* Fix visibility signal in the server.
	* Silence false positives in dbusmenu's signal smoke tests.

2012-04-11  Charles Kerr  <charles.kerr@canonical.com>

	Import upstream version 0.6.1

2012-04-11  Charles Kerr  <charles.kerr@canonical.com>

	Sync from Ubuntu Desktop

2012-04-10  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.5.99-0ubuntu3

2012-04-09  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.5.99-0ubuntu2

2012-04-09  Ken VanDine  <ken.vandine@canonical.com>

	- Fixed: underscore on menu items change on switching focus (LP: #903200)
	* libdbusmenu-gtk/parser.c
	- Fixed: nautilus crashed with SIGSEGV in 
	dbusmenu_menuitem_property_remove() (LP: #959821)

2012-04-09  Ken VanDine  <ken.vandine@canonical.com>

	* libdbusmenu-gtk/genericmenuitem.c
	- Fix underscore on menu items change on switching focus (LP: #903200)

2012-04-09  Ken VanDine  <ken.vandine@canonical.com>

	* libdbusmenu-glib/server.c
	- Cherry picked a fix for a regression in about-to-show grouping

2012-04-05  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.5.99-0ubuntu1

2012-04-05  Ken VanDine  <ken.vandine@canonical.com>

	* New upstream release.
	* Make private two impl functions that were accidentally public

2012-04-05  Charles Kerr  <charles.kerr@canonical.com>

	releasing version 0.5.99-0ubuntu1~ppa1

2012-04-05  Charles Kerr  <charles.kerr@canonical.com>

	remove accidentally-public function session_bus_cb() from our symbols list

2012-04-05  Charles Kerr  <charles.kerr@canonical.com>

	* New upstream release.
	* Make private two impl functions that were accidentally public

2012-04-05  Charles Kerr  <charles.kerr@canonical.com>

	Import upstream version 0.5.99

2012-04-05  Ken VanDine  <ken.vandine@canonical.com>

	* New upstream release.
	* Fix a regresssion introduced in 0.5.97's fix for (LP: #957022)
	* New upstream release.
	* Reduce the number of messages hud-service sends. (LP: #957022)
	* Fix valgrind tests thanks to a little help from sewardj.
	* Add gcov targets to autotools build for code-coverage reporting.

2012-04-05  Charles Kerr  <charles.kerr@canonical.com>

	releasing version 0.5.98-0ubuntu1~ppa1

2012-04-05  Charles Kerr  <charles.kerr@canonical.com>

	Import upstream version 0.5.98

2012-04-04  Charles Kerr  <charles.kerr@canonical.com>

	releasing version 0.5.97-0ubuntu1~ppa1

2012-04-04  Charles Kerr  <charles.kerr@canonical.com>

	* New upstream release.
	* Reduce the number of messages hud-service sends. (LP: #957022)
	* Fix valgrind tests thanks to a little help from sewardj.
	* Add gcov targets to autotools build for code-coverage reporting.

2012-04-04  Charles Kerr  <charles.kerr@canonical.com>

	Import upstream version 0.5.97

2012-04-04  Charles Kerr  <charles.kerr@canonical.com>

	Sync from Ubuntu Desktop

2012-04-03  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.5.96-0ubuntu2

2012-03-29  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.5.96-0ubuntu1

2012-03-29  Ken VanDine  <ken.vandine@canonical.com>

	* New upstream release.
	* Faster menuitem lookups (LP: #801699)
	* To reduce dbus traffic, only send event replies when the caller requests them
	* Added support for callgrind-based benchmarks
	* Minor code cleanup

2012-03-29  Charles Kerr  <charles.kerr@canonical.com>

	releasing version 0.5.96-0ubuntu1~ppa1

2012-03-29  Charles Kerr  <charles.kerr@canonical.com>

	* New upstream release.
	* Faster menuitem lookups (LP: #801699)
	* To reduce dbus traffic, only send event replies when the caller requests them
	* Added support for callgrind-based benchmarks
	* Minor code cleanup

2012-03-29  Charles Kerr  <charles.kerr@canonical.com>

	Import upstream version 0.5.96

2012-03-29  Charles Kerr  <charles.kerr@canonical.com>

	Sync from Ubuntu Desktop

2012-03-21  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.5.95-0ubuntu1

2012-03-21  Ken VanDine  <ken.vandine@canonical.com>

	* New upstream release.
	* Fix theme change bug (LP: #953509)
	* Don't request event responses if no one is listening
	* Fix a warning on custom menu items without labels

2012-03-21  Ted Gould  <ted@gould.cx>

	releasing version 0.5.95-0ubuntu1~ppa1

2012-03-21  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* Fix theme change bug (LP: #953509)
	* Don't request event responses if no one is listening
	* Fix a warning on custom menu items without labels

2012-03-21  Ted Gould  <ted@gould.cx>

	Import upstream version 0.5.95

2012-03-21  Ted Gould  <ted@gould.cx>

	Merging Ubuntu Desktop

2012-03-12  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.5.94-0ubuntu1

2012-03-12  Ken VanDine  <ken.vandine@canonical.com>

	* New upstream release.
	* Fixing setting name of ATK objects
	* Cleaning up a warning on shutdown (LP: #950762)

2012-03-09  Ted Gould  <ted@gould.cx>

	releasing version 0.5.94-0ubuntu1~ppa1

2012-03-09  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* Fixing setting name of ATK objects
	* Cleaning up a warning on shutdown (LP: #950762)

2012-03-09  Ted Gould  <ted@gould.cx>

	Import upstream version 0.5.94

2012-03-09  Ted Gould  <ted@gould.cx>

	Sync with U. Desktop

2012-03-09  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 0.5.93-0ubuntu1

2012-03-09  Sebastien Bacher  <seb128@ubuntu.com>

	* New upstream release.
	* Setting the ATK Role on menu items (LP: #878708)
	* Cleaning up code paths to avoid goto's (LP: #940651)
	* Fixing setting an icon multiple times (LP: #934574)

2012-03-08  Ted Gould  <ted@gould.cx>

	releasing version 0.5.93-0ubuntu1~ppa1

2012-03-08  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* Setting the ATK Role on menu items (LP: #878708)
	* Cleaning up code paths to avoid goto's (LP: #940651)
	* Fixing setting an icon multiple times (LP: #934574)

2012-03-08  Ted Gould  <ted@gould.cx>

	Import upstream version 0.5.93

2012-03-01  Ted Gould  <ted@gould.cx>

	Sync to U. Desktop

2012-02-23  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 0.5.92-0ubuntu1

2012-02-23  Ted Gould  <ted@gould.cx>

	releasing version 0.5.92-0ubuntu1~ppa1

2012-02-23  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* Fix label leak and make it not have disposition (LP: #937829)

2012-02-23  Ted Gould  <ted@gould.cx>

	Import upstream version 0.5.92

2012-02-15  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 0.5.91-0ubuntu2

2012-02-15  Sebastien Bacher  <seb128@ubuntu.com>

	debian/control: restore gtk2 gir depends until that source is updated

2012-02-15  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 0.5.91-0ubuntu1

2012-02-15  Sebastien Bacher  <seb128@ubuntu.com>

	* debian/control:
	- drop git binaries, the libdev depends on it
	- set ubuntu vcs
	- use the current vala version
	[ Ted Gould ]
	* New upstream release.
	* Remove unused const on GStrv's
	* Only free when there is data to free
	* Ensure that we only return once even with error (LP: #929856)
	* Fix an error on a failure to send properties (LP: #929707)
	* Ensure the hash variant isn't NULL in the comparison (LP: #929710)
	* Fix some of the issues with throwing criticals
	* Ensure our tests fail if they throw criticals
	* Parse and handle a11y descriptions
	* Don't pass NULL to ATK
	* Non-srcdir build fixes

2012-02-15  Ted Gould  <ted@gould.cx>

	releasing version 0.5.91-0ubuntu1~ppa1

2012-02-15  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* Remove unused const on GStrv's
	* Only free when there is data to free
	* Ensure that we only return once even with error (LP: #929856)
	* Fix an error on a failure to send properties (LP: #929707)
	* Ensure the hash variant isn't NULL in the comparison (LP: #929710)
	* Fix some of the issues with throwing criticals
	* Ensure our tests fail if they throw criticals
	* Parse and handle a11y descriptions
	* Don't pass NULL to ATK
	* Non-srcdir build fixes

2012-02-15  Ted Gould  <ted@gould.cx>

	Import upstream version 0.5.91

2012-02-15  Ted Gould  <ted@gould.cx>

	Merging for U. Desktop

2012-01-31  Ted Gould  <ted@gould.cx>

	releasing version 0.5.90-0ubuntu1~ppa1

2012-01-31  Ted Gould  <ted@gould.cx>

	Back to PPA version

2012-01-31  Ted Gould  <ted@gould.cx>

	Update from Ken

2012-02-02  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.5.90-0ubuntu1

2012-01-31  Ken VanDine  <ken.vandine@canonical.com>

	* debian/control
	- build depend on libatk1.0-dev
	* debian/*-dev.install
	- fixed paths for installed headers
	* debian/libdbusmenu-glib4.symbols
	- added new symbols

2012-01-31  Ken VanDine  <ken.vandine@canonical.com>

	* New upstream release.
	* Add property for accessible descriptions
	* Use insert/remove signals on GTK3 build
	* Change icon data to be a byte stream instead of base64
	* Adjust GTK3 include path to match other libs
	* Don't get objects from boolean values (LP: #870742)
	* Fix depreactions on GTK3 (LP: #917115)

2012-01-30  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* Add property for accessible descriptions
	* Use insert/remove signals on GTK3 build
	* Change icon data to be a byte stream instead of base64
	* Adjust GTK3 include path to match other libs
	* Don't get objects from boolean values (LP: #870742)
	* Fix depreactions on GTK3 (LP: #917115)

2012-01-30  Ted Gould  <ted@gould.cx>

	Import upstream version 0.5.90

2012-01-30  Ted Gould  <ted@gould.cx>

	Update to U. Desktop

2011-11-14  Ted Gould  <ted@gould.cx>

	Merge Ubuntu Desktop

2011-12-01  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.5.1-0ubuntu2

2011-10-28  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.5.1-0ubuntu1

2011-10-13  Ted Gould  <ted@gould.cx>

	releasing version 0.5.1-0ubuntu1~ppa1

2011-10-13  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* Allow for an ID of 0 in about_to_show for indicators (LP: #862989)
	* Clear the image pointer when we take it
	* Ensure we drop all references to the GTK widget when a menuitem
	gets destroyed (LP: #835646)

2011-10-13  Ted Gould  <ted@gould.cx>

	Import upstream version 0.5.1

2011-10-13  Ted Gould  <ted@gould.cx>

	Merge from U.Desktop

2011-10-28  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.5.0-1ubuntu1

2011-10-13  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.5.0-0ubuntu3

2011-09-30  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.5.0-0ubuntu2

2011-09-29  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.5.0-0ubuntu1

2011-09-29  Ken VanDine  <ken.vandine@canonical.com>

	* New upstream release.
	* Protect functions against NULL results (LP: #757569, LP: #742909,
	LP: #743050, LP: #743661)

2011-09-29  Ted Gould  <ted@gould.cx>

	releasing version 0.5.0-0ubuntu1~ppa1

2011-09-29  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* Protect functions against NULL results (LP: #757569, LP: #742909,
	LP: #743050, LP: #743661)

2011-09-29  Ted Gould  <ted@gould.cx>

	Import upstream version 0.5.0

2011-09-29  Ted Gould  <ted@gould.cx>

	Merge from Ubuntu Desktop

2011-09-20  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.4.94-0ubuntu1

2011-09-20  Ken VanDine  <ken.vandine@canonical.com>

	New upstream release.
	∘ Protect functions from NULL submenus (LP: #803667)
	∘ Build fixes (LP: #552526, LP: #552530, LP: #552538, LP: #709761,
	LP: #713690, LP: #643871, LP: #713685)

2011-09-20  Ted Gould  <ted@gould.cx>

	releasing version 0.4.94-0ubuntu1~ppa1

2011-09-20  Ted Gould  <ted@gould.cx>

	New upstream release.
	∘ Protect functions from NULL submenus (LP: #803667)
	∘ Build fixes (LP: #552526, LP: #552530, LP: #552538, LP: #709761,
	LP: #713690, LP: #643871, LP: #713685)

2011-09-20  Ted Gould  <ted@gould.cx>

	Import upstream version 0.4.94

2011-09-14  Ted Gould  <ted@gould.cx>

	releasing version 0.4.93-0ubuntu2~ppa1

2011-09-14  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Build fixes to allow more optional builds

2011-09-14  Ted Gould  <ted@gould.cx>

	Merge from Ubuntu Desktop

2011-08-25  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.4.93-0ubuntu1

2011-08-25  Ken VanDine  <ken.vandine@canonical.com>

	* New upstream release.
	* Fix packing of generic menu items to use toggle-spacing

2011-08-25  Ted Gould  <ted@gould.cx>

	releasing version 0.4.93-0ubuntu1~ppa1

2011-08-25  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* Fix packing of generic menu items to use toggle-spacing

2011-08-25  Ted Gould  <ted@gould.cx>

	Import upstream version 0.4.93

2011-08-25  Ted Gould  <ted@gould.cx>

	Merge from U. Desktop

2011-08-24  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.4.92-0ubuntu1

2011-08-24  Ken VanDine  <ken.vandine@canonical.com>

	* New upstream release (0.4.91).
	* Add in a property for setting the menuitem disposition
	* New upstream release (0.4.92).
	* Fix GTK 2 build for style properties
	* Fixed proxied menu events not getting returned (LP: #799878)
	* Removed debian/patches:
	* All upstream
	* debian/libdbusmenu-gtk4.symbols debian/libdbusmenu-gtk3-4.symbols
	- Added new symbols

2011-08-24  Ted Gould  <ted@gould.cx>

	releasing version 0.4.92-0ubuntu1~ppa1

2011-08-24  Ted Gould  <ted@gould.cx>

	* Removed debian/patches:
	* All upstream

2011-08-24  Ted Gould  <ted@gould.cx>

	* New upstream release (0.4.91).
	* New upstream release (0.4.92).
	* Fix GTK 2 build for style properties
	* Fixed proxied menu events not getting returned (LP: #799878)

2011-08-24  Ted Gould  <ted@gould.cx>

	Import upstream version 0.4.92

2011-08-24  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* Add in a property for setting the menuitem disposition

2011-08-24  Ted Gould  <ted@gould.cx>

	Import upstream version 0.4.91

2011-08-24  Ted Gould  <ted@gould.cx>

	Merge from U. Desktop

2011-07-25  Didier Roche  <didier.roche@canonical.com>

	releasing version 0.4.90-0ubuntu4

2011-07-25  Didier Roche  <didier.roche@canonical.com>

	* debian/rules:
	- avoid making indicator-appmenu* depends on gtk2/3 by dpkg-shlibdeps.
	The library doesn't hurt if gtk isn't installed and that enable
	pre-installlation of the indicator stack without requiring the full gtk
	stack being there without any gtk app installed.

2011-06-28  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.4.90-0ubuntu3

2011-06-24  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.4.90-0ubuntu2

2011-06-24  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.4.90-0ubuntu1

2011-06-24  Ken VanDine  <ken.vandine@canonical.com>

	* debian/control, debian/*: Renaming packages for library version
	bump from 3 to 4.
	* New upstream release.
	* Fixing visibility for Eclipse (LP: #770263 and LP: #618587)
	* Unseting a GValue properly (LP: #785828)
	* Memory leaks for GVariant usage (LP: #784890)
	* Making GTK 3 default build
	* Removing the SerializableMenuitem object
	* debian/rules: Making GTK2 the special build 
	* New upstream release.
	- Fix a typo in the signal name to make it match the XML 
	files (LP: #641209)
	- Ref'ing the server for the entire time we're getting the 
	bus (LP: #738568)
	- Watch additions/removals from submenus that get added
	- Activate new toplevel menu items as they get added
	- Make sure we don't activate toplevel children that aren't
	menu items or don't have submenus (LP: #761112)

2011-06-20  Ted Gould  <ted@gould.cx>

	releasing version 0.4.90-0ubuntu1~ppa1

2011-06-20  Ted Gould  <ted@gould.cx>

	debian/rules: Making GTK2 the special build 

2011-06-20  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* Fixing visibility for Eclipse (LP: #770263 and LP: #618587)
	* Unseting a GValue properly (LP: #785828)
	* Memory leaks for GVariant usage (LP: #784890)
	* Making GTK 3 default build
	* Removing the SerializableMenuitem object

2011-06-20  Ted Gould  <ted@gould.cx>

	Import upstream version 0.4.90

2011-06-20  Ted Gould  <ted@gould.cx>

	Hack for bzr-builddeb

2011-04-26  Ted Gould  <ted@gould.cx>

	debian/control, debian/*: Renaming packages for library version
	bump from 3 to 4.

2011-04-26  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Bumping library revision for ABI/API changes expected in this
	release cycle

2011-04-25  Ted Gould  <ted@gould.cx>

	releasing version 0.4.4-0ubuntu1~ppa1

2011-04-25  Ted Gould  <ted@gould.cx>

	* New upstream release.
	- Fix a typo in the signal name to make it match the XML 
	files (LP: #641209)
	- Ref'ing the server for the entire time we're getting the 
	bus (LP: #738568)
	- Watch additions/removals from submenus that get added
	- Activate new toplevel menu items as they get added
	- Make sure we don't activate toplevel children that aren't
	menu items or don't have submenus (LP: #761112)

2011-04-25  Ted Gould  <ted@gould.cx>

	Import upstream version 0.4.4

2011-04-25  Ted Gould  <ted@gould.cx>

	Merging U. Desktop

2011-04-19  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.4.3-0ubuntu3

2011-04-15  Michael Terry  <mike@mterry.name>

	* Backport bug fixes from trunk:
	- Watch additions/removals from submenus that get added
	- Activate new toplevel menu items as they get added
	- Make sure we don't activate toplevel children that aren't
	menu items or don't have submenus (LP: #761112)

2011-04-14  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.4.3-0ubuntu1

2011-04-14  Ted Gould  <ted@gould.cx>

	releasing version 0.4.3-0ubuntu1~ppa1

2011-04-14  Ted Gould  <ted@gould.cx>

	New upstream release.
	∘ Handle cases where labels are added later as subwidgets
	in the menuitem (LP: #758759)
	∘ Fix the destruction of the attached GTK menuitem (LP: #746091)
	∘ Guard against an activation that does not actually have an
	associated menu-hide (LP: #750588)

2011-04-14  Ted Gould  <ted@gould.cx>

	Import upstream version 0.4.3

2011-04-14  Ted Gould  <ted@gould.cx>

	Merging in U. Desktop

2011-04-12  Ted Gould  <ted@gould.cx>

	releasing version 0.4.2-0ubuntu4~ppa1

2011-04-12  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Handle cases where labels are added later as subwidgets in
	the menuitem (LP: #758759)
	* Fix the destruction of the attached GTK menuitem (LP: #746091)

2011-04-12  Ted Gould  <ted@gould.cx>

	Merge from U. Desktop

2011-04-08  Ted Gould  <ted@gould.cx>

	Sync from U. Desktop

2011-04-14  Ken VanDine  <ken.vandine@canonical.com>

	- Fixed package names in build targets (LP: #760102)
	- Dropped makeshlibs in favor of symbols files
	* +debian/libdbusmenu-glib3.symbols
	* +debian/libdbusmenu-gtk3-3.symbols
	* +debian/libdbusmenu-gtk3.symbols

2011-04-14  Ken VanDine  <ken.vandine@canonical.com>

	Fixed package names for makeshlibs and build targets (LP: #760102)

2011-04-13  Ken VanDine  <ken.vandine@canonical.com>

	* debian/rules
	- Fixed package names for makeshlibs (LP: #760102)

2011-04-11  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.4.2-0ubuntu3

2011-04-07  Michael Terry  <mike@mterry.name>

	* debian/libdbusmenu-gtk3-dev.install:
	- Add missing header files to gtk3 dev package

2011-04-07  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.4.2-0ubuntu1

2011-04-07  Ted Gould  <ted@gould.cx>

	releasing version 0.4.2-0ubuntu1~ppa1

2011-04-07  Ted Gould  <ted@gould.cx>

	New upstream release.
	∘ Fix GIR scan to not include duplicate namespaces (LP: #750575)
	∘ Keep refs to the client and makes sure to disconnect all handlers.
	(LP: #749609)
	∘ Add GTK side handlers for the open/close events to ensure GTK apps
	can use those events still (LP: #750588)
	∘ Create submenus for menuitems that don't have children but still
	have told us they need them with the child-display property.
	(LP: #619811)

2011-04-07  Ted Gould  <ted@gould.cx>

	Import upstream version 0.4.2

2011-04-05  Ted Gould  <ted@gould.cx>

	releasing version 0.4.1-0ubuntu2~ppa1

2011-04-05  Ted Gould  <ted@gould.cx>

	Add GTK side handlers for the open/close events to ensure GTK
	apps can use those events still (LP: #750588)

2011-04-05  Ted Gould  <ted@gould.cx>

	Keep refs to the client and makes sure to disconnect all
	handlers. (LP: #749609)

2011-04-05  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Fix GIR scan to not include duplicate namespaces (LP: #750575)

2011-04-05  Ted Gould  <ted@gould.cx>

	Sync to U. Desktop

2011-03-31  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.4.1-0ubuntu1

2011-03-31  Ted Gould  <ted@gould.cx>

	releasing version 0.4.1-0ubuntu1~ppa1

2011-03-31  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* Managed variant iterators better to stop crash when dealing
	with apps that have multiple shortcuts (LP: #741726)
	* Handled GtkMenuItems with no labels as separators (LP: #729187)

2011-03-31  Ted Gould  <ted@gould.cx>

	Import upstream version 0.4.1

2011-03-31  Ted Gould  <ted@gould.cx>

	Merge with U. Desktop

2011-03-29  Ted Gould  <ted@gould.cx>

	releasing version 0.4.0-0ubuntu2~ppa4

2011-03-29  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Protections and keeping the child variant for the
	iterator around longer.

2011-03-28  Ted Gould  <ted@gould.cx>

	releasing version 0.4.0-0ubuntu2~ppa3

2011-03-28  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Don't unref the variant we didn't have a ref to
	when we error out.

2011-03-28  Ted Gould  <ted@gould.cx>

	releasing version 0.4.0-0ubuntu2~ppa2

2011-03-28  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Protecting the parent variant throughout it's usage in the
	iterator in the while loop.  (LP: #741726)

2011-03-24  Ted Gould  <ted@gould.cx>

	releasing version 0.4.0-0ubuntu2~ppa1

2011-03-24  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Putting in protections on properties that we don't quite
	understand.

2011-03-24  Ted Gould  <ted@gould.cx>

	Merge U. Desktop

2011-03-28  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.4.0-0ubuntu2

2011-03-23  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.4.0-0ubuntu1

2011-03-23  Ted Gould  <ted@gould.cx>

	releasing version 0.4.0-0ubuntu1~ppa1

2011-03-23  Ted Gould  <ted@gould.cx>

	New upstream release.

2011-03-23  Ted Gould  <ted@gould.cx>

	Import upstream version 0.4.0

2011-03-23  Ted Gould  <ted@gould.cx>

	releasing version 0.3.102-0ubuntu2~ppa3

2011-03-23  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Protect from NULL variants by using iter_loop (LP: #737844)
	* Look for accellerators inside the labels as well

2011-03-22  Ted Gould  <ted@gould.cx>

	Brown paper bag

2011-03-22  Ted Gould  <ted@gould.cx>

	releasing version 0.3.102-0ubuntu2~ppa2

2011-03-22  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Protecting properties that are getting updated from an
	extra remove signal.  (LP: #730925)

2011-03-21  Ted Gould  <ted@gould.cx>

	releasing version 0.3.102-0ubuntu2~ppa1

2011-03-21  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Enter and exit the GDK threads before calling GTK (LP: #717162)

2011-03-21  Ted Gould  <ted@gould.cx>

	Merge for U. Desktop

2011-03-16  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.102-0ubuntu1

2011-03-16  Ted Gould  <ted@gould.cx>

	releasing version 0.3.102-0ubuntu1~ppa1

2011-03-16  Ted Gould  <ted@gould.cx>

	New upstream release.
	∘ Remove child items when they're removed by GTK
	∘ Adding opened and closed events for menu visibility
	∘ Handle empty image types
	∘ Remove critical warning on parser menuitem check (LP: #733918)
	∘ Fix dependencies in pkgconfig files (LP: #733263)
	∘ Handle NULL labels (LP: #733688)
	∘ Fix memory leaks from variants (LP: #722972)

2011-03-16  Ted Gould  <ted@gould.cx>

	Import upstream version 0.3.102

2011-03-16  Ted Gould  <ted@gould.cx>

	Merge from U.Desktop

2011-03-10  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.101-0ubuntu1

2011-03-10  Ted Gould  <ted@gould.cx>

	releasing version 0.3.101-0ubuntu1~ppa1

2011-03-10  Ted Gould  <ted@gould.cx>

	New upstream release.
	∘ Add helper to get cached menuitem from widget
	∘ Have the GTK Dbusmenu Client handle theme directories (LP: #727325)
	∘ Fix a bunch of memory leaks (LP: #722972)
	∘ Handle _ in menuitems more correctly when parsing (LP: #621301) 
	∘ Protect from NULL layout_props (LP: #729722)
	∘ Remove the property from the hashtable before signaling that
	it's been changed (LP: #725603)
	∘ Wrap emitted properties in a variant
	∘ Fix enum templates so they can be included by other programs
	without error
	∘ Setting the cached menu item (LP: #723463) (LP: #729128) (LP: #729194)

2011-03-10  Ted Gould  <ted@gould.cx>

	Import upstream version 0.3.101

2011-03-10  Ted Gould  <ted@gould.cx>

	Sync. to U. Desktop

2011-03-07  Ted Gould  <ted@gould.cx>

	Sync with U. Desktop

2011-03-04  Ted Gould  <ted@gould.cx>

	releasing version 0.3.100-0ubuntu2~ppa1

2011-03-04  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Fix the enum-types.h header in the dist

2011-03-04  Ted Gould  <ted@gould.cx>

	Merge U. Desktop

2011-03-08  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.100-0ubuntu4

2011-03-07  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.100-0ubuntu3

2011-03-04  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.100-0ubuntu2

2011-03-03  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.100-0ubuntu1

2011-03-03  Ted Gould  <ted@gould.cx>

	releasing version 0.3.100-0ubuntu1~ppa1

2011-03-03  Ted Gould  <ted@gould.cx>

	debian/patches: All submitted upstream

2011-03-03  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* GTK application menus are not correctly displayed (LP: #726678)
	* Fix LP: #723873 - ensure that changing a menuitem property to a
	default value gets propagated properly in the client
	* Fix some crashes by disconnecting more signals when a menuitem is
	deleted.  LP: #725980 and LP: #726153
	* Making sure to grab the variant and dispose of it in handle_event.
	* Change the destroy prototype to fix GIR warnings
	* Fix emitting property changes to use tuples
	* Track the icon theme directories
	* Handle cases where passed in property names could be in the
	properties hash table
	* Making property names match DBus protocol recommendations
	* Restricting GIR scanner to exported interfaces
	* Use the library i18n libraries instead of the app ones
	* Make GetLayout use the parent parameter

2011-03-03  Ted Gould  <ted@gould.cx>

	Import upstream version 0.3.100

2011-03-03  Ted Gould  <ted@gould.cx>

	Merge from U. Desktop

2011-02-24  Ted Gould  <ted@gould.cx>

	Merge from U.Desktop

2011-03-01  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.99-0ubuntu5

2011-03-01  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.99-0ubuntu4

2011-03-01  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.99-0ubuntu3

2011-02-24  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.99-0ubuntu1

2011-02-24  Ken VanDine  <ken.vandine@canonical.com>

	* New upstream release.
	* Add a signal on the menuitem for generic event support
	* Handle the case of a single NULL entry as well.
	* Not checking defaults when value is NULL
	* Add the 'type' variable first when processing new
	menuitems
	* Protection from unref'ing NULL variants
	* Only send the requested properties and request fewer
	* Add in a defaults database
	* Only send property updates if the menu item has been
	seen on the bus.
	* Add a property for text direction.
	* Add a property for needing attention.
	* Documentation fixes
	* Making menuitems track their own parents
	* Resolving property changes by looking at the properties
	directly.

2011-02-24  Ted Gould  <ted@gould.cx>

	releasing version 0.3.99-0ubuntu1~ppa1

2011-02-24  Ted Gould  <ted@gould.cx>

	New upstream release.

2011-02-24  Ted Gould  <ted@gould.cx>

	Import upstream version 0.3.99

2011-02-24  Ted Gould  <ted@gould.cx>

	releasing version 0.3.98-0ubuntu5~ppa2

2011-02-24  Ted Gould  <ted@gould.cx>

	Grabbing the generated file as well

2011-02-24  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Fixing state property

2011-02-24  Ted Gould  <ted@gould.cx>

	releasing version 0.3.98-0ubuntu5~ppa1

2011-02-24  Ted Gould  <ted@gould.cx>

	* Documentation fixes
	* Making menuitems track their own parents
	* Resolving property changes by looking at the properties
	directly.

2011-02-24  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Add a signal on the menuitem for generic event support
	* Handle the case of a single NULL entry as well.
	* Not checking defaults when value is NULL
	* Add the 'type' variable first when processing new
	menuitems
	* Protection from unref'ing NULL variants
	* Only send the requested properties and request fewer
	* Add in a defaults database
	* Only send property updates if the menu item has been
	seen on the bus.
	* Add a property for text direction.
	* Add a property for needing attention.

2011-02-24  Ted Gould  <ted@gould.cx>

	releasing version 0.3.98-0ubuntu2~ppa6

2011-02-23  Ted Gould  <ted@gould.cx>

	* Fix
	* Adding a generated .c file

2011-02-23  Ted Gould  <ted@gould.cx>

	releasing version 0.3.98-0ubuntu2~ppa5

2011-02-23  Ted Gould  <ted@gould.cx>

	* Add the 'type' variable first when processing new
	menuitems
	* When requesting new layouts get 'enabled' and 'visible'
	as well

2011-02-23  Ted Gould  <ted@gould.cx>

	Not checking defaults when value is NULL

2011-02-23  Ted Gould  <ted@gould.cx>

	* Upstream merge
	* Handle the case of a single NULL entry as well.

2011-02-23  Ted Gould  <ted@gould.cx>

	releasing version 0.3.98-0ubuntu2~ppa4

2011-02-23  Ted Gould  <ted@gould.cx>

	* Upstream merge
	* Fixing fixed recursion states

2011-02-23  Ted Gould  <ted@gould.cx>

	releasing version 0.3.98-0ubuntu2~ppa3

2011-02-23  Ted Gould  <ted@gould.cx>

	Adding a needed marshaller

2011-02-23  Ted Gould  <ted@gould.cx>

	* Memory handling fixes in the parser
	* Fix dbus-menu.xml to have more consistent signatures.

2011-02-23  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Add a signal on the menuitem for generic event support

2011-02-21  Ted Gould  <ted@gould.cx>

	releasing version 0.3.98-0ubuntu2~ppa2

2011-02-21  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Protection from unref'ing NULL variants

2011-02-21  Ted Gould  <ted@gould.cx>

	releasing version 0.3.98-0ubuntu2~ppa1

2011-02-21  Ted Gould  <ted@gould.cx>

	Adding in the generated enum-types

2011-02-21  Ted Gould  <ted@gould.cx>

	Add a property for needing attention.

2011-02-21  Ted Gould  <ted@gould.cx>

	Add a property for text direction.

2011-02-21  Ted Gould  <ted@gould.cx>

	Only send property updates if the menu item has been
	seen on the bus.

2011-02-21  Ted Gould  <ted@gould.cx>

	Add in a defaults database

2011-02-21  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Only send the requested properties and request fewer

2011-02-24  Ted Gould  <ted@gould.cx>

	Merging with Ubuntu Desktop

2011-02-22  Ted Gould  <ted@gould.cx>

	Merging U. Desktop

2011-02-21  Ted Gould  <ted@gould.cx>

	Merging U. Desktop

2011-02-23  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.98-0ubuntu4

2011-02-23  Ken VanDine  <ken.vandine@canonical.com>

	* Merged from trunk (rev 220) 
	- Cleaning up cleaning up so we don't unref twice and crash
	- Fixing the signatures to make them more consistent
	- Adding defaults to translatable files
	- Support a set of defaults and not sending them over the bus.
	- Fixing annotations and adding tests with python.

2011-02-22  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.98-0ubuntu3

2011-02-22  robert.ancell@canonical.com

	* debian/control:
	- Use new libgtk-3-dev build-depends

2011-02-22  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.98-0ubuntu2

2011-02-17  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.98-0ubuntu1

2011-02-17  Ted Gould  <ted@gould.cx>

	releasing version 0.3.98-0ubuntu1~ppa1

2011-02-17  Ted Gould  <ted@gould.cx>

	debian/control: Removing libxml2 Build-Dep

2011-02-17  Ted Gould  <ted@gould.cx>

	New upstream release.
	∘ Fixing distcheck
	∘ Grouping Property Change events into a single DBus signal
	∘ Removing XML from the GetLayout function
	∘ Clean up icon handling in the parser (LP: #715864)
	∘ Fixing signatures on dbusmenu-dumper

2011-02-17  Ted Gould  <ted@gould.cx>

	Import upstream version 0.3.98

2011-02-17  Ted Gould  <ted@gould.cx>

	Merging in U. Desktop

2011-02-10  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.97-0ubuntu1

2011-02-10  Ted Gould  <ted@gould.cx>

	releasing version 0.3.97-0ubuntu1~ppa1

2011-02-10  Ted Gould  <ted@gould.cx>

	∘ Handle ChildAdded on GtkShell items (LP: #709839)
	∘ Fix naming of the GIR file (LP: #713099)
	* debian/gir1.2-dbusmenu-glib-0.4.install,
	debian/libdbusmenu-glib-dev.install: Changing gir, typelib and vala
	file names

2011-02-09  Ken VanDine  <ken.vandine@canonical.com>

	Merged GI fixes from lp:~ken-vandine/dbusmenu/lp713099 (LP: #713099)

2011-02-10  Ted Gould  <ted@gould.cx>

	New upstream release.
	∘ Handle ChildAdded on GtkShell items
	∘ Fixing take_children() to not unref
	∘ Fix naming of the GIR file

2011-02-10  Ted Gould  <ted@gould.cx>

	Import upstream version 0.3.97

2011-02-10  Ted Gould  <ted@gould.cx>

	Merge U. Desktop

2011-02-04  Ted Gould  <ted@gould.cx>

	releasing version 0.3.96-0ubuntu3~ppa1

2011-02-04  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Parser fixes for children added in GtkMenuShell (LP: #)

2011-02-04  Ted Gould  <ted@gould.cx>

	Sync to U. Desktop

2011-02-07  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.96-0ubuntu3

2011-02-04  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.96-0ubuntu2

2011-02-03  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.96-0ubuntu1

2011-02-03  Ted Gould  <ted@gould.cx>

	releasing version 0.3.96-0ubuntu1~ppa1

2011-02-03  Ted Gould  <ted@gould.cx>

	Merge from U. Desktop

2011-02-03  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* Remove signal handlers for correct objects

2011-02-03  Ted Gould  <ted@gould.cx>

	Import upstream version 0.3.96

2011-01-31  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.95-0ubuntu1

2011-01-31  Ted Gould  <ted@gould.cx>

	releasing version 0.3.95-0ubuntu1~ppa1

2011-01-31  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* Fix crashes on rapidly creating and destroying client
	and menu objects (LP: #709754)
	* Fix dynamically changed submenus to get the parsed
	(LP: #696896)
	* Fix bad signature on GetProperties with no hits 

2011-01-31  Ted Gould  <ted@gould.cx>

	Import upstream version 0.3.95

2011-01-28  Ted Gould  <ted@gould.cx>

	Merge from U. Desktop

2011-01-27  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.94-0ubuntu1

2011-01-27  Ted Gould  <ted@gould.cx>

	releasing version 0.3.94-0ubuntu1~ppa1

2011-01-27  Ted Gould  <ted@gould.cx>

	New upstream release.

2011-01-27  Ted Gould  <ted@gould.cx>

	Import upstream version 0.3.94

2011-01-27  Ted Gould  <ted@gould.cx>

	releasing version 0.3.93-0ubuntu2~ppa1

2011-01-27  Ted Gould  <ted@gould.cx>

	Fixing warnings from 'use-fallback'

2011-01-27  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Fixing setting toggle to a boolean
	* Fixing some memory leaks
	* Fixing signatures in GetChildren
	* Look for the serializable menuitems and use their
	build functions
	* Fix critical message from being printed 
	* Fixing shutdown messages on destruction
	* Adding a parser
	* Adding a serializable menu item

2011-01-26  Ted Gould  <ted@gould.cx>

	releasing version 0.3.93-0ubuntu2~ted10

2011-01-26  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Only activate on menu bars

2011-01-26  Ted Gould  <ted@gould.cx>

	releasing version 0.3.93-0ubuntu2~ted9

2011-01-26  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Only activate at the top level

2011-01-26  Ted Gould  <ted@gould.cx>

	releasing version 0.3.93-0ubuntu2~ted8

2011-01-26  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Factoring out the stack in the parser
	* Fixing setting toggle to a boolean

2011-01-26  Ted Gould  <ted@gould.cx>

	releasing version 0.3.93-0ubuntu2~ted7

2011-01-26  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Changing tuple building

2011-01-26  Ted Gould  <ted@gould.cx>

	releasing version 0.3.93-0ubuntu2~ted6

2011-01-26  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Making explicit use of tuple to make more robust

2011-01-26  Ted Gould  <ted@gould.cx>

	releasing version 0.3.93-0ubuntu2~ted5

2011-01-26  Ted Gould  <ted@gould.cx>

	Fixing signatures in GetChildren

2011-01-26  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Fixing some memory leaks

2011-01-25  Ted Gould  <ted@gould.cx>

	releasing version 0.3.93-0ubuntu2~ted4

2011-01-25  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Look for the serializable menuitems and use their
	build functions
	* Fix critical message from being printed 

2011-01-25  Ted Gould  <ted@gould.cx>

	releasing version 0.3.93-0ubuntu2~ted3

2011-01-25  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Work with GtkMenu's as well

2011-01-24  Ted Gould  <ted@gould.cx>

	releasing version 0.3.93-0ubuntu2~ted2

2011-01-24  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Fixing shutdown messages on destruction

2011-01-23  Ted Gould  <ted@gould.cx>

	releasing version 0.3.93-0ubuntu2~ted1

2011-01-23  Ted Gould  <ted@gould.cx>

	GTK 3 fix

2011-01-23  Ted Gould  <ted@gould.cx>

	Merging in serializable menu item

2011-01-23  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Merging in the parser

2011-01-23  Ted Gould  <ted@gould.cx>

	Sync to Ubuntu Desktop

2011-01-20  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.93-0ubuntu1

2011-01-20  Ted Gould  <ted@gould.cx>

	releasing version 0.3.93-0ubuntu1~ppa1

2011-01-20  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* Fixing scanner export
	* Increasing scanner warnings
	* Signalling to DBus when object is registered
	* Handling errors in GVariant better than crashing

2011-01-20  Ted Gould  <ted@gould.cx>

	Import upstream version 0.3.93

2011-01-20  Ted Gould  <ted@gould.cx>

	Syncing to Ubuntu Desktop

2011-01-18  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.92-0ubuntu3

2011-01-18  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.92-0ubuntu2

2011-01-14  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.92-0ubuntu1

2011-01-14  Ted Gould  <ted@gould.cx>

	releasing version 0.3.92-0ubuntu1~ppa1

2011-01-14  Ted Gould  <ted@gould.cx>

	Sync to Ubuntu Desktop

2011-01-14  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* Fixing handle event to send unboxed values
	* Build fixes

2011-01-14  Ted Gould  <ted@gould.cx>

	Import upstream version 0.3.92

2011-01-14  Ted Gould  <ted@gould.cx>

	0.3.92

2011-01-13  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 0.3.91-0ubuntu1

2011-01-13  Ted Gould  <ted@gould.cx>

	releasing version 0.3.91-0ubuntu1~ppa1

2011-01-13  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* Porting from dbus-glib to GDBus
	* Bumping the library ABI version
	* debian/*.install: Changing to be the 0.4 version of the dbusmenu
	API of all the filenames and paths.
	* debian/control: Bumping ABI version in package names

2011-01-13  Ted Gould  <ted@gould.cx>

	Import upstream version 0.3.91

2011-01-06  Ted Gould  <ted@gould.cx>

	releasing version 0.3.90-0ubuntu4~ppa2

2011-01-06  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Supporting removing properties

2011-01-06  Ted Gould  <ted@gould.cx>

	Sync to trunk

2011-01-05  Ted Gould  <ted@gould.cx>

	releasing version 0.3.90-0ubuntu4~remove1

2011-01-05  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Supporting removing properties

2011-01-05  Ted Gould  <ted@gould.cx>

	Updating to desktop branch

2011-01-05  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Supporting removing properties

2011-01-06  Ted Gould  <ted@gould.cx>

	releasing version 0.3.90-0ubuntu4~ppa1

2011-01-05  Ted Gould  <ted@gould.cx>

	debian/control: Changing the GIR package names from "0.2" to
	"0.4" which now the names of the actual files.

2011-01-05  Ted Gould  <ted@gould.cx>

	Merging in Ubuntu Desktop

2010-12-09  Ted Gould  <ted@gould.cx>

	releasing version 0.3.90-0ubuntu2~ppa3

2010-12-09  Ted Gould  <ted@gould.cx>

	debian/control: Forgot jsonloader

2010-12-09  Ted Gould  <ted@gould.cx>

	releasing version 0.3.90-0ubuntu2~ppa2

2010-12-09  Ted Gould  <ted@gould.cx>

	debian/control: Bumping ABI version in package names

2010-12-09  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Fixing check items
	* Bumping the library ABI version

2010-12-08  Ted Gould  <ted@gould.cx>

	releasing version 0.3.90-0ubuntu2~ppa1

2010-12-08  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Porting from dbus-glib to GDBus
	* debian/*.install: Changing to be the 0.4 version of the dbusmenu
	API of all the filenames and paths.
	* Autogen

2010-12-08  Ted Gould  <ted@gould.cx>

	Sync up to trunk

2010-12-08  Ted Gould  <ted@gould.cx>

	releasing version 0.3.90-0ubuntu2~ppa1~gdbus2

2010-12-08  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Fixing the pc files

2010-12-07  Ted Gould  <ted@gould.cx>

	releasing version 0.3.90-0ubuntu2~ppa1~gdbus1

2010-12-07  Ted Gould  <ted@gould.cx>

	Switching the jsonloader include files dir

2010-12-07  Ted Gould  <ted@gould.cx>

	Update marshallers

2010-12-07  Ted Gould  <ted@gould.cx>

	Autogen

2010-12-07  Ted Gould  <ted@gould.cx>

	debian/*.install: Changing to be the 0.4 version of the dbusmenu
	API of all the filenames and paths.

2010-12-07  Ted Gould  <ted@gould.cx>

	Version number fix

2010-12-07  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Porting from dbus-glib to GDBus

2010-12-07  Ted Gould  <ted@gould.cx>

	Updating to Ubuntu Desktop

2010-12-16  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.90-0ubuntu3

2010-12-09  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.90-0ubuntu2

2010-12-09  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.90-0ubuntu1

2010-12-01  Ken VanDine  <ken.vandine@canonical.com>

	- Removed build depends for gir-repository-dev (LP: #677382)
	- Use gir:Depends

2010-11-24  Ken VanDine  <ken.vandine@canonical.com>

	* debian/rules
	- Added build targets to build with gtk3 enabled in additional to 
	default build with gtk2
	* debian/control
	- Updated build depends to support building with gtk+-3.0
	- Added dh-autoreconf build depends
	- Added libdbusmenu-gtk3-2, libdbusmenu-gtk3-dev, gir1.0-dbusmenu-gtk3-0.2
	binaries
	- build depend on libgdk-pixbuf2.0-dev >= 2.22.1-0ubuntu4, needed
	for GIR fixes
	* docs/libdbusmenu-gtk/reference/Makefile.am, libdbusmenu-glib/Makefile.am, 
	libdbusmenu-gtk/Makefile.am
	- Fixes needed for building with-gtk=3

2010-11-24  Ken VanDine  <ken.vandine@canonical.com>

	Revert version bump

2010-11-24  Ken VanDine  <ken.vandine@canonical.com>

	Initial work on building with gtk3 as well as gtk2

2010-11-17  Ken VanDine  <ken.vandine@canonical.com>

	* New upstream release.
	* Breaking ABI and getting reserved back
	* Adding build support for GTK2/3 builds
	* Only force a flush of top level items, allow others to be
	based on the count.
	* debian/control, debian/libdbusmenu-glib2.install,
	debian/libdbusmenu-gtk2.install: Switching package names to
	match .so bump.

2010-11-11  Ted Gould  <ted@gould.cx>

	releasing version 0.3.90-0ubuntu1~ppa1

2010-11-11  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* Adding build support for GTK2/3 builds
	* Only force a flush of top level items, allow others to be
	based on the count.

2010-11-11  Ted Gould  <ted@gould.cx>

	Import upstream version 0.3.90

2010-11-11  Ted Gould  <ted@gould.cx>

	Dummy commit for merge-upstream

2010-10-13  Ted Gould  <ted@gould.cx>

	releasing version 0.4.0~dev-0ubuntu1~ppa1

2010-10-13  Ted Gould  <ted@gould.cx>

	Autogen

2010-10-13  Ted Gould  <ted@gould.cx>

	debian/control, debian/libdbusmenu-glib2.install,
	debian/libdbusmenu-gtk2.install: Switching package names to
	match .so bump.

2010-10-13  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Breaking ABI and getting reserved back

2010-10-12  Ted Gould  <ted@gould.cx>

	Updating to Ubuntu Desktop

2010-09-22  Didier Roche  <didier.roche@canonical.com>

	* New upstream release:
	* Don't use a typedef in the signal handler in the class to
	avoid confusing vapigen.

2010-09-22  Ted Gould  <ted@gould.cx>

	releasing version 0.3.16-0ubuntu1~ppa1

2010-09-22  Ted Gould  <ted@gould.cx>

	* New upstream release:
	* Don't use a typedef in the signal handler in the class to
	avoid confusing vapigen.

2010-09-22  Ted Gould  <ted@gould.cx>

	Import upstream version 0.3.16

2010-09-22  Ted Gould  <ted@gould.cx>

	Merging Ubuntu-desktop

2010-09-21  Ted Gould  <ted@gould.cx>

	releasing version 0.3.14-0ubuntu2~ppa1

2010-09-21  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Passing up About-to-show as an activate signal (LP: #637692)

2010-09-19  Ted Gould  <ted@gould.cx>

	releasing version 0.3.14-0ubuntu1~ppa2~ats1

2010-09-19  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Passing up About-to-show as an activate signal

2010-09-21  Ted Gould  <ted@gould.cx>

	Sync to Ubuntu Desktop

2010-09-22  Didier Roche  <didier.roche@canonical.com>

	* New upstream release:
	- fix Action for top-level dropdown menu item not activated (LP: #637692)

2010-09-22  Didier Roche  <didier.roche@canonical.com>

	Import upstream version 0.3.15

2010-09-15  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.14-0ubuntu1

2010-09-15  Ted Gould  <ted@gould.cx>

	releasing version 0.3.14-0ubuntu1~ppa1

2010-09-15  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* Fixing a memory leak by unref'ing a hashtable

2010-09-15  Ted Gould  <ted@gould.cx>

	Import upstream version 0.3.14

2010-09-14  Ted Gould  <ted@gould.cx>

	releasing version 0.3.13-0ubuntu2~ppa1

2010-09-14  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Making a callback for the event dbus function happen off
	of the mainloop so it returns a response. (LP: #636756)

2010-09-14  Ted Gould  <ted@gould.cx>

	Sync to trunk

2010-09-14  Ted Gould  <ted@gould.cx>

	releasing version 0.3.13-0ubuntu1~ppa2~oobsignals1

2010-09-14  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Making a callback for the event dbus function happen off
	of the mainloop so it returns a response. (LP: #636756)

2010-09-14  Ted Gould  <ted@gould.cx>

	Sync to Ubuntu Desktop

2010-09-09  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.13-0ubuntu1

2010-09-09  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.13-0ubuntu1

2010-09-09  Ken VanDine  <ken.vandine@canonical.com>

	* New upstream release.
	* Handling window grabs on activated signals (LP: #633275)
	* Fixing the passing of the value to the results signal
	* Adding a test for checking event results signal
	* Changing the timeouts on event calls for better detection
	of failing applications

2010-09-09  Ted Gould  <ted@gould.cx>

	releasing version 0.3.13-0ubuntu1~ppa1

2010-09-09  Ted Gould  <ted@gould.cx>

	Handling window grabs on activated signals (LP: #633275)

2010-09-09  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* Changing the timeouts on event calls for better detection
	of failing applications

2010-09-09  Ted Gould  <ted@gould.cx>

	Import upstream version 0.3.13

2010-08-30  Ted Gould  <ted@gould.cx>

	releasing version 0.3.12-0ubuntu2~ppa1

2010-08-30  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Fixing the passing of the value to the results signal
	* Adding a test for checking event results signal
	* Changing the timeouts on event calls

2010-08-30  Ted Gould  <ted@gould.cx>

	Update to trunk

2010-08-27  Ted Gould  <ted@gould.cx>

	releasing version 0.3.12-0ubuntu2~ppa1~signal2

2010-08-27  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Changing the timeouts

2010-08-27  Ted Gould  <ted@gould.cx>

	releasing version 0.3.12-0ubuntu2~ppa1~signal1

2010-08-27  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Fixing the passing of the value to the results signal
	* Adding a test for checking event results signal

2010-08-27  Ted Gould  <ted@gould.cx>

	Merge from Ubuntu Desktop

2010-08-26  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 0.3.12-0ubuntu1

2010-08-26  Ted Gould  <ted@gould.cx>

	releasing version 0.3.12-0ubuntu1~ppa1

2010-08-26  Ted Gould  <ted@gould.cx>

	Merging Ubuntu Desktop

2010-08-26  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* Increase layout XML size
	* Display an event for the status of the signal to the server

2010-08-26  Ted Gould  <ted@gould.cx>

	Import upstream version 0.3.12

2010-08-25  Ted Gould  <ted@gould.cx>

	releasing version 0.3.11-0ubuntu1~ppa2

2010-08-25  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Support activation of menus client side
	* Autogen

2010-08-25  Ted Gould  <ted@gould.cx>

	Sync to trunk

2010-08-18  Ted Gould  <ted@gould.cx>

	releasing version 0.3.10-0ubuntu1~ppa2~activate1

2010-08-18  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Support activation of menus client side

2010-08-19  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.11-0ubuntu1

2010-08-19  Ken VanDine  <ken.vandine@canonical.com>

	dropped build-deps for dbus-runner

2010-08-19  Ken VanDine  <ken.vandine@canonical.com>

	* New upstream release.
	* Fix to handle whitespace in layout XML better
	* Fixes to test scripts on ARM

2010-08-19  Ted Gould  <ted@gould.cx>

	releasing version 0.3.11-0ubuntu1~ppa1

2010-08-19  Ted Gould  <ted@gould.cx>

	Sync with Ubuntu Desktop

2010-08-19  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* Fix to handle whitespace in layout XML better
	* Fixes to test scripts on ARM

2010-08-19  Ted Gould  <ted@gould.cx>

	Import upstream version 0.3.11

2010-08-12  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.10-0ubuntu1

2010-08-12  Ted Gould  <ted@gould.cx>

	releasing version 0.3.10-0ubuntu1~ppa1

2010-08-12  Ted Gould  <ted@gould.cx>

	Merging in Ubuntu Desktop

2010-08-12  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* Fixes to dbusmenu-dumper

2010-08-12  Ted Gould  <ted@gould.cx>

	Import upstream version 0.3.10

2010-08-09  Ted Gould  <ted@gould.cx>

	releasing version 0.3.9-0ubuntu1~ppa2

2010-08-09  Ted Gould  <ted@gould.cx>

	* debian/rules: Enabling running check at build time
	* debian/control: Adding build deps xvfb and dbus-test-runner for new
	make check rules

2010-08-07  Ted Gould  <ted@gould.cx>

	releasing version 0.3.9-0ubuntu1~ppa2~check2

2010-08-07  Ted Gould  <ted@gould.cx>

	debian/control: Adding build deps xvfb and dbus-test-runner for new
	make check rules

2010-08-07  Ted Gould  <ted@gould.cx>

	releasing version 0.3.9-0ubuntu1~ppa2~check1

2010-08-07  Ted Gould  <ted@gould.cx>

	debian/rules: Enabling running check at build time

2010-08-10  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 0.3.9-0ubuntu2

2010-08-03  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.9-0ubuntu1

2010-08-02  Ted Gould  <ted@gould.cx>

	Merging the debian branch

2010-07-29  Evgeni Golov  <evgeni@debian.org>

	Standards-Version: 3.9.1

2010-07-29  Evgeni Golov  <evgeni@debian.org>

	* Merge latest upstream from Ubuntu.
	* New upstream release.

2010-07-29  Evgeni Golov  <evgeni@debian.org>

	New upstream release merge from ubuntu

2010-07-17  Evgeni Golov  <evgeni@debian.org>

	* Merge new upstream from Ubuntu.
	* New upstream release.
	∘ Protect against NULL values as event

2010-07-17  Evgeni Golov  <evgeni@debian.org>

	Merge 0.3.6-0ubuntu1
	
	New upstream release.
	∘ Protect against NULL values as event

2010-08-02  Ted Gould  <ted@gould.cx>

	Adding bug number to change log

2010-08-02  Ted Gould  <ted@gould.cx>

	releasing version 0.3.9-0ubuntu1~ppa1

2010-08-02  Ted Gould  <ted@gould.cx>

	New upstream release.

2010-08-02  Ted Gould  <ted@gould.cx>

	Import upstream version 0.3.9

2010-08-02  Ted Gould  <ted@gould.cx>

	releasing version 0.3.8-0ubuntu2~ppa1

2010-08-02  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Making it so that properties are requested bredth first
	* Globbing layout signaling from the server
	* Globbing property requests into group requests

2010-08-02  Ted Gould  <ted@gould.cx>

	Sync to trunk

2010-08-02  Ted Gould  <ted@gould.cx>

	releasing version 0.3.8-0ubuntu2~ppa1~glob1

2010-08-02  Ted Gould  <ted@gould.cx>

	* Updating to packaging branch
	* Globbing layout signaling from the server
	* Globbing property requests into group requests
	* New upstream release.
	- Added ItemActivationRequested signal.
	* New upstream release.
	* Making dbusmenu-dumper have a click to dump feature.
	* Autogen update

2010-07-20  Ted Gould  <ted@gould.cx>

	releasing version 0.3.6-0ubuntu2~ppa1~glob3

2010-07-20  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Making it so that properties are requested bredth first

2010-07-20  Ted Gould  <ted@gould.cx>

	releasing version 0.3.6-0ubuntu2~ppa1~glob2

2010-07-20  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Globbing layout signaling from the server

2010-07-20  Ted Gould  <ted@gould.cx>

	releasing version 0.3.6-0ubuntu2~ppa1~glob1

2010-07-20  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Globbing property requests into group requests

2010-08-02  Ted Gould  <ted@gould.cx>

	Merging in Ubuntu Desktop branch.

2010-07-20  Ted Gould  <ted@gould.cx>

	releasing version 0.3.6-0ubuntu2~ppa1

2010-07-20  Ted Gould  <ted@gould.cx>

	Autogen update

2010-07-20  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Making dbusmenu-dumper have a click to dump feature.

2010-07-15  Ted Gould  <ted@gould.cx>

	Merging in Debian branch

2010-07-14  Evgeni Golov  <evgeni@debian.org>

	more description updates

2010-07-14  Evgeni Golov  <evgeni@debian.org>

	Add missing "used" to the json package description.

2010-07-14  Evgeni Golov  <evgeni@debian.org>

	Merge new upstreams and changes from Ubuntu.
	* New upstream release.
	∘ Protect against NULL nodes (LP: #602444)
	∘ Remove extra warnings and messages
	∘ Handle not having a session bus better (LP: #598715)
	* New upstream release.
	* Block building submenus on separators (LP: #598620)
	* Adding more through JSON support for testing
	* Fixing up value handling in dbusmenu-dumper
	* debian/control, debian/libdbusmenu-jsonloader*install: Adding
	two binary packages for the jsonloader test library.

2010-07-14  Evgeni Golov  <evgeni@debian.org>

	Merged lp:~ubuntu-desktop/dbusmenu/ubuntu
	
	* New upstream release.
	∘ Protect against NULL nodes (LP: #602444)
	∘ Remove extra warnings and messages
	∘ Handle not having a session bus better (LP: #598715)
	* New upstream release.
	* Block building submenus on separators (LP: #598620)
	* Adding more through JSON support for testing
	* Fixing up value handling in dbusmenu-dumper
	* debian/control, debian/libdbusmenu-jsonloader*install: Adding
	two binary packages for the jsonloader test library.
	* Merge Ubuntu.
	Preserve Maintainer and Vcs-* fields.
	* Standards-Version: 3.9.0
	* Source-Format: 1.0 for now
	- -doc packages are Arch:all

2010-07-15  Ted Gould  <ted@gould.cx>

	Merging from Ubuntu Desktop

2010-07-30  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.8-0ubuntu1

2010-07-30  Ken VanDine  <ken.vandine@canonical.com>

	Import upstream version 0.3.8

2010-07-23  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.7-0ubuntu1

2010-07-22  Ken VanDine  <ken.vandine@canonical.com>

	Import upstream version 0.3.7

2010-07-15  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.6-0ubuntu1

2010-07-15  Ted Gould  <ted@gould.cx>

	releasing version 0.3.6-0ubuntu1~ppa1

2010-07-15  Ted Gould  <ted@gould.cx>

	New upstream release.
	∘ Protect against NULL values as event

2010-07-15  Ted Gould  <ted@gould.cx>

	Import upstream version 0.3.6

2010-07-08  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.3.5-0ubuntu1

2010-07-08  Ted Gould  <ted@gould.cx>

	releasing version 0.3.5-0ubuntu1~ppa1

2010-07-08  Ted Gould  <ted@gould.cx>

	New upstream release.
	∘ Protect against NULL nodes (LP: #602444)
	∘ Remove extra warnings and messages
	∘ Handle not having a session bus better (LP: #598715)

2010-07-08  Ted Gould  <ted@gould.cx>

	Import upstream version 0.3.5

2010-07-07  Ted Gould  <ted@gould.cx>

	Merging in Debian fixes

2010-07-01  Evgeni Golov  <evgeni@debian.org>

	Source-Format: 1.0 for now

2010-07-01  Evgeni Golov  <evgeni@debian.org>

	Standards-Version: 3.9.0

2010-07-01  Evgeni Golov  <evgeni@debian.org>

	Merge Ubuntu.
	Preserve Maintainer and Vcs-* fields.
	
	From Ubuntu:
	* New upstream release.
	* Adding support for menu shortcuts (LP: #591293)
	* Fixing distcheck of documentation builds
	* Autogen.sh fix for adding custom prefix (LP: #595565)
	* Fixing children property name to match spec (LP: #597321)
	* Merging in Debian branch
	* debian/control: Switching branch on this branch to be the
	dbusmenu-team.
	* debian/rules: Updating shlibs to 0.3.3 for shortcut API additions

2010-07-01  Evgeni Golov  <evgeni@debian.org>

	Merging lp:~ubuntu-desktop/dbusmenu/ubuntu
	
	* New upstream release.
	* Adding support for menu shortcuts (LP: #591293)
	* Fixing distcheck of documentation builds
	* Autogen.sh fix for adding custom prefix (LP: #595565)
	* Fixing children property name to match spec (LP: #597321)
	* Merging in Debian branch
	* debian/control: Switching branch on this branch to be the
	dbusmenu-team.
	* debian/rules: Updating shlibs to 0.3.3 for shortcut API additions
	* Merge from Ubuntu.
	Closes: #586069
	* debian/control:
	- Set Maintainer to pkg-ayatana.
	- Add myself as Uploader.
	- Update package descriptions.
	- Standards-Version: 3.8.4
	- Fix Homepage URL.
	- Update Vcs-* fields.
	* debian/copyright:
	- Convert to DEP5 format.
	- Add Ken and Sebastien, according to changelog.
	- Add Aurélien Gâteau, according to headers.

2010-06-20  Evgeni Golov  <evgeni@debian.org>

	s/GTK/GTK+/

2010-06-20  Evgeni Golov  <evgeni@debian.org>

	-doc packages are Arch:all

2010-07-06  Ted Gould  <ted@gould.cx>

	Merging with Ubuntu Desktop

2010-07-01  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 0.3.4-0ubuntu1

2010-07-01  Ted Gould  <ted@gould.cx>

	releasing version 0.3.4-0ubuntu1~ppa1

2010-07-01  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* Fixing up value handling in dbusmenu-dumper

2010-07-01  Ted Gould  <ted@gould.cx>

	Import upstream version 0.3.4

2010-06-30  Ted Gould  <ted@gould.cx>

	releasing version 0.3.3-0ubuntu2~ppa3

2010-06-30  Ted Gould  <ted@gould.cx>

	* Upstream merge
	* Block building submenus on separators (LP: #598620)

2010-06-30  Ted Gould  <ted@gould.cx>

	Sync to trunk

2010-06-29  Ted Gould  <ted@gould.cx>

	releasing version 0.3.3-0ubuntu2~ppa2~json3~subs1

2010-06-29  Ted Gould  <ted@gould.cx>

	* Upstream merge
	* Block building submenus on separators

2010-06-30  Ted Gould  <ted@gould.cx>

	releasing version 0.3.3-0ubuntu2~ppa2

2010-06-30  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Adding more through JSON support for testing
	* Autogen
	* debian/control, debian/libdbusmenu-jsonloader*install: Adding
	two binary packages for the jsonloader test library.

2010-06-30  Ted Gould  <ted@gould.cx>

	Sync to trunk

2010-06-29  Ted Gould  <ted@gould.cx>

	releasing version 0.3.3-0ubuntu2~ppa2~json2

2010-06-29  Ted Gould  <ted@gould.cx>

	debian/libdbusmenu-jsonloader0 moving to 1 to match
	library version.

2010-06-28  Ted Gould  <ted@gould.cx>

	releasing version 0.3.3-0ubuntu2~ppa2~json1

2010-06-28  Ted Gould  <ted@gould.cx>

	Glib library too.

2010-06-28  Ted Gould  <ted@gould.cx>

	Typo

2010-06-28  Ted Gould  <ted@gould.cx>

	Adding in the additional libraries.

2010-06-28  Ted Gould  <ted@gould.cx>

	debian/control, debian/libdbusmenu-jsonloader*install: Adding
	two binary packages for the jsonloader test library.

2010-06-28  Ted Gould  <ted@gould.cx>

	Autogen

2010-06-28  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Adding more through JSON support for testing

2010-06-28  Ted Gould  <ted@gould.cx>

	releasing version 0.3.3-0ubuntu2~ppa1

2010-06-28  Ted Gould  <ted@gould.cx>

	Merging in Ubuntu Desktop branch

2010-06-28  Ted Gould  <ted@gould.cx>

	releasing version 0.3.3-0ubuntu1~ppa2

2010-06-28  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Fixing up value handling in dbusmenu-dumper

2010-06-24  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 0.3.3-0ubuntu1

2010-06-24  Ken VanDine  <ken.vandine@canonical.com>

	* New upstream release.
	* Adding support for menu shortcuts (LP: #591293)
	* Fixing distcheck of documentation builds
	* Autogen.sh fix for adding custom prefix (LP: #595565)
	* Fixing children property name to match spec (LP: #597321)
	* Merging in Debian branch
	* debian/control: Switching branch on this branch to be the
	dbusmenu-team.
	* debian/rules: Updating shlibs to 0.3.3 for shortcut API additions
	* Merge from Ubuntu.
	Closes: #586069
	* debian/control:
	- Set Maintainer to pkg-ayatana.
	- Add myself as Uploader.
	- Update package descriptions.
	- Standards-Version: 3.8.4
	- Fix Homepage URL.
	- Update Vcs-* fields.
	* debian/copyright:
	- Convert to DEP5 format.
	- Add Ken and Sebastien, according to changelog.
	- Add Aurélien Gâteau, according to headers.

2010-06-24  Ted Gould  <ted@gould.cx>

	releasing version 0.3.3-0ubuntu1~ppa1

2010-06-24  Ted Gould  <ted@gould.cx>

	debian/rules: Updating shlibs to 0.3.3 for shortcut API additions

2010-06-24  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* Adding support for menu shortcuts (LP: #591293)
	* Autogen.sh fix for adding custom prefix (LP: #595565)
	* Fixing children property name to match spec (LP: #597321)

2010-06-24  Ted Gould  <ted@gould.cx>

	Import upstream version 0.3.3

2010-06-24  Ted Gould  <ted@gould.cx>

	releasing version 0.3.2-1ubuntu1~ppa5

2010-06-24  Ted Gould  <ted@gould.cx>

	* Upstream merge
	* Changing the shortcut implementation to match the Qt
	implementation of dbusmenu.

2010-06-24  Ted Gould  <ted@gould.cx>

	Sync to trunk

2010-06-23  Ted Gould  <ted@gould.cx>

	releasing version 0.3.2-1ubuntu1~ppa5~qtish6

2010-06-23  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Fixing our setting of the shortcut to match the same
	collection style structure.

2010-06-23  Ted Gould  <ted@gould.cx>

	releasing version 0.3.2-1ubuntu1~ppa5~qtish5

2010-06-23  Ted Gould  <ted@gould.cx>

	* Upstream merge
	* No internal collections.  Eh, whatever.

2010-06-23  Ted Gould  <ted@gould.cx>

	releasing version 0.3.2-1ubuntu1~ppa5~qtish4

2010-06-23  Ted Gould  <ted@gould.cx>

	* Upstream merge
	* Switching to using collection iterators

2010-06-23  Ted Gould  <ted@gould.cx>

	releasing version 0.3.2-1ubuntu1~ppa5~qtish3

2010-06-23  Ted Gould  <ted@gould.cx>

	* Upstream merge
	* Checking for collections

2010-06-22  Ted Gould  <ted@gould.cx>

	releasing version 0.3.2-1ubuntu1~ppa5~qtish2

2010-06-22  Ted Gould  <ted@gould.cx>

	* Upstream merge
	* Lowering protection on type checking

2010-06-22  Ted Gould  <ted@gould.cx>

	releasing version 0.3.2-1ubuntu1~ppa5~qtish1

2010-06-22  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Changing the format on the get side of things

2010-06-22  Ted Gould  <ted@gould.cx>

	releasing version 0.3.2-1ubuntu1~ppa4

2010-06-22  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Checking to ensure our values are what we expect

2010-06-22  Ted Gould  <ted@gould.cx>

	Sync to trunk

2010-06-22  Ted Gould  <ted@gould.cx>

	releasing version 0.3.2-1ubuntu1~ppa4~value3

2010-06-22  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Useful warning messages

2010-06-22  Ted Gould  <ted@gould.cx>

	releasing version 0.3.2-1ubuntu1~ppa4~value2

2010-06-22  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Looking further inside the boxes

2010-06-22  Ted Gould  <ted@gould.cx>

	releasing version 0.3.2-1ubuntu1~ppa4~value1

2010-06-22  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Checking to ensure our values are what we expect

2010-06-22  Ted Gould  <ted@gould.cx>

	releasing version 0.3.2-1ubuntu1~ppa3

2010-06-22  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Fixing getting accelerators from menuitems

2010-06-21  Ted Gould  <ted@gould.cx>

	releasing version 0.3.2-1ubuntu1~ppa2

2010-06-21  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Adding support for menu shortcuts
	* Fixing distcheck of documentation builds

2010-06-16  Ted Gould  <ted@gould.cx>

	releasing version 0.3.2-1ubuntu1~ppa1

2010-06-16  Ted Gould  <ted@gould.cx>

	* Merging in Debian branch
	* debian/control: Switching branch on this branch to be the
	dbusmenu-team.
	* Merge from Ubuntu.
	Closes: #586069
	* debian/control:
	- Set Maintainer to pkg-ayatana.
	- Add myself as Uploader.
	- Update package descriptions.
	- Standards-Version: 3.8.4
	- Fix Homepage URL.
	- Update Vcs-* fields.
	* debian/copyright:
	- Convert to DEP5 format.
	- Add Ken and Sebastien, according to changelog.
	- Add Aurélien Gâteau, according to headers.

2010-06-16  Evgeni Golov  <evgeni@debian.org>

	More parts are LGPL...

2010-06-16  Evgeni Golov  <evgeni@debian.org>

	Add Aurélien Gâteau, according to headers.

2010-06-16  Evgeni Golov  <evgeni@debian.org>

	Add a Closes: #586069

2010-06-16  Evgeni Golov  <evgeni@debian.org>

	Add Ken and Sebastien, according to changelog.

2010-06-15  sargentd@die-welt.net

	Update Vcs-* fields.

2010-06-15  sargentd@die-welt.net

	- Standards-Version: 3.8.4
	- Fix Homepage URL.

2010-06-15  sargentd@die-welt.net

	Update package descriptions.

2010-06-15  sargentd@die-welt.net

	debian/copyright: Convert to DEP5 format.

2010-06-15  sargentd@die-welt.net

	Merge from Ubuntu.
	
	* debian/control:
	- Set Maintainer to pkg-ayatana.
	- Add myself as Uploader.

2010-06-14  Ted Gould  <ted@gould.cx>

	Merging to ubuntu desktop branch

2010-06-10  Ted Gould  <ted@gould.cx>

	Merge in Ubuntu Desktop branch

2010-06-11  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 0.3.2-0ubuntu1

2010-06-10  Ken VanDine  <ken.vandine@canonical.com>

	* debian/control
	- added doc packages
	- added build dep for gtk-doc-tools
	* debian/libdbusmenu-glib-doc.install added
	* debian/libdbusmenu-gtk-doc.install added
	* debian/rules 
	- enabled gtk-doc for configure
	* New upstream release.
	* Set the 'child-display' property on menuitems that
	have child menuitems.
	* gtk-doc support
	* Document the 'shortcut' property
	* New upstream release.
	* Add function to get submenu of GTK-ified items
	* Fix signal prototype of ID update
	* Fixing up VAPI files to build them correctly
	* Fixing the version string in the GIR file
	* Fix documentation title page
	* Reject text nodes early (warnings with Qt integration)
	* debian/libdbusmenu-glib-dev.install: Updating gir and vapi file
	names for package list.
	* debian/gir1.0-dbusmenu-glib-0.2.install: Changing the name of the
	typelib file.

2010-06-10  Ted Gould  <ted@gould.cx>

	releasing version 0.3.2-0ubuntu1~ppa1

2010-06-10  Ted Gould  <ted@gould.cx>

	Trying to delete some files that aren't in the tarball

2010-06-10  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* gtk-doc support
	* Document the 'shortcut' property

2010-06-10  Ted Gould  <ted@gould.cx>

	Import upstream version 0.3.2

2010-06-10  Ted Gould  <ted@gould.cx>

	releasing version 0.3.1-0ubuntu2~ppa1

2010-06-10  Ted Gould  <ted@gould.cx>

	Autogen update

2010-06-10  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Set the 'child-display' property on menuitems that
	have child menuitems.

2010-06-09  Ted Gould  <ted@gould.cx>

	Merging in Ubuntu Desktop branch

2010-06-09  Ted Gould  <ted@gould.cx>

	releasing version 0.3.1-0ubuntu1~ppa2

2010-06-09  Ted Gould  <ted@gould.cx>

	Autogen and adding new Makefiles

2010-06-09  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* gtk-doc support

2010-06-07  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 0.3.1-0ubuntu1

2010-06-04  Ken VanDine  <ken.vandine@canonical.com>

	Fix annotations for GIR scanner

2010-06-04  Ted Gould  <ted@gould.cx>

	releasing version 0.3.1-0ubuntu1~ppa1

2010-06-04  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* Fix annotations for GIR scanner

2010-06-04  Ted Gould  <ted@gould.cx>

	Import upstream version 0.3.1

2010-06-04  Ken VanDine  <ken.vandine@canonical.com>

	* New upstream release.
	* Add function to get submenu of GTK-ified items
	* Fix signal prototype of ID update
	* Fixing up VAPI files to build them correctly
	* Fixing the version string in the GIR file
	* Fix documentation title page
	* Reject text nodes early (warnings with Qt integration)
	* debian/libdbusmenu-glib-dev.install: Updating gir and vapi file
	names for package list.
	* debian/gir1.0-dbusmenu-glib-0.2.install: Changing the name of the
	typelib file.

2010-05-27  Ted Gould  <ted@gould.cx>

	releasing version 0.3.0-0ubuntu1~ppa1

2010-05-27  Ted Gould  <ted@gould.cx>

	Merging in Ubuntu Desktop branch

2010-05-27  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* Add function to get submenu of GTK-ified items
	* Fix signal prototype of ID update
	* Fixing the version string in the GIR file

2010-05-27  Ted Gould  <ted@gould.cx>

	Import upstream version 0.3.0

2010-05-27  Ted Gould  <ted@gould.cx>

	Change version number for merge-upstream

2010-05-21  Ted Gould  <ted@gould.cx>

	releasing version 0.3.0~dev-0ubuntu1~ppa4

2010-05-21  Ted Gould  <ted@gould.cx>

	Autogen update

2010-05-21  Ted Gould  <ted@gould.cx>

	releasing version 0.3.0~dev-0ubuntu1~ppa3

2010-05-21  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Fixing the version string in the GIR file

2010-05-20  Ted Gould  <ted@gould.cx>

	releasing version 0.3.0~dev-0ubuntu1~ppa2

2010-05-20  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Fixing up VAPI files to build them correctly
	* Fix documentation title page
	* Reject text nodes early (warnings with Qt integration)
	* Autogen
	* debian/libdbusmenu-glib-dev.install: Updating gir and vapi file
	names for package list.
	* debian/gir1.0-dbusmenu-glib-0.2.install: Changing the name of the
	typelib file.

2010-05-20  Ted Gould  <ted@gould.cx>

	Sync to trunk

2010-05-20  Ted Gould  <ted@gould.cx>

	releasing version 0.3.0~dev-0ubuntu1~ppa2~vapi1

2010-05-20  Ted Gould  <ted@gould.cx>

	debian/gir1.0-dbusmenu-glib-0.2.install: Changing the name of the
	typelib file.

2010-05-20  Ted Gould  <ted@gould.cx>

	debian/libdbusmenu-glib-dev.install: Updating gir and vapi file
	names for package list.

2010-05-20  Ted Gould  <ted@gould.cx>

	Autogen

2010-05-20  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Fixing up VAPI files to build them correctly

2010-05-06  Ted Gould  <ted@gould.cx>

	releasing version 0.3.0~dev-0ubuntu1~ppa1

2010-05-06  Ted Gould  <ted@gould.cx>

	Bump version

2010-04-19  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 0.2.9-0ubuntu3

2010-04-17  Ted Gould  <ted@gould.cx>

	releasing version 0.2.9-0ubuntu3~ppa1

2010-04-17  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Only unref root if the root has changed.
	* Ensure that callbacks retain references to objects incase
	they get deleted quickly.
	* Protecting references before signalling
	* Decrementing refs when added to child menus

2010-04-17  Ted Gould  <ted@gould.cx>

	Sync to trunk

2010-04-16  Ted Gould  <ted@gould.cx>

	releasing version 0.2.9-0ubuntu2~ppa2~refs7

2010-04-16  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Only unref root if the root has changed.

2010-04-16  Ted Gould  <ted@gould.cx>

	releasing version 0.2.9-0ubuntu2~ppa2~refs6

2010-04-16  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Ensure that callbacks retain references to objects incase
	they get deleted quickly.

2010-04-16  Ted Gould  <ted@gould.cx>

	releasing version 0.2.9-0ubuntu2~ppa2~refs5

2010-04-16  Ted Gould  <ted@gould.cx>

	debian/rules: Massive debugging

2010-04-16  Ted Gould  <ted@gould.cx>

	releasing version 0.2.9-0ubuntu2~ppa2~refs4

2010-04-16  Ted Gould  <ted@gould.cx>

	* Upstream merge
	* Removing extra unref which allows us to not make an
	extra ref.

2010-04-16  Ted Gould  <ted@gould.cx>

	releasing version 0.2.9-0ubuntu2~ppa2~refs3

2010-04-16  Ted Gould  <ted@gould.cx>

	* Upstream merge
	* Protecting references before signalling

2010-04-16  Ted Gould  <ted@gould.cx>

	releasing version 0.2.9-0ubuntu2~ppa2~refs2

2010-04-16  Ted Gould  <ted@gould.cx>

	releasing version 0.2.9-0ubuntu2~ppa2~refs1

2010-04-16  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Decrementing refs when added to child menus

2010-04-17  Ted Gould  <ted@gould.cx>

	Sync to desktop

2010-04-15  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 0.2.9-0ubuntu2

2010-04-15  Ted Gould  <ted@gould.cx>

	releasing version 0.2.9-0ubuntu2~ppa1

2010-04-15  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Changing GTK layer to look at position in realized
	children to avoid realization races. (LP: #555816)
	* Don't allow setting children twice
	* Ref children of a menuitem
	* Return error when parent ID of getlayout can't be found
	* Adding in visible property to docs
	* Helpful comments in the code

2010-04-15  Ted Gould  <ted@gould.cx>

	Sync to trunk

2010-04-15  Ted Gould  <ted@gould.cx>

	releasing version 0.2.9-0ubuntu1~ppa2~ordering6

2010-04-15  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* A position functions using realized position

2010-04-14  Ted Gould  <ted@gould.cx>

	releasing version 0.2.9-0ubuntu1~ppa2~ordering5

2010-04-14  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Changing GTK layer to look at position in realized
	children to avoid realization races.

2010-04-14  Ted Gould  <ted@gould.cx>

	releasing version 0.2.9-0ubuntu1~ppa2~ordering4

2010-04-14  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* I really don't want to talk about it.

2010-04-14  Ted Gould  <ted@gould.cx>

	releasing version 0.2.9-0ubuntu1~ppa2~ordering3

2010-04-14  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Fixing the truth

2010-04-14  Ted Gould  <ted@gould.cx>

	releasing version 0.2.9-0ubuntu1~ppa2~ordering2

2010-04-14  Ted Gould  <ted@gould.cx>

	Wrong version number

2010-04-14  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Don't allow setting children twice
	* Ref children of a menuitem
	* Return error when parent ID of getlayout can't be found

2010-04-14  Ted Gould  <ted@gould.cx>

	releasing version 0.2.9-0ubuntu1~ppa2~ordering1

2010-04-14  Ted Gould  <ted@gould.cx>

	debian/rules: Massive debugging

2010-04-14  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Adding in visible property to docs
	* Helpful comments in the code

2010-04-15  Ted Gould  <ted@gould.cx>

	Sync to Ubuntu Desktop

2010-04-01  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 0.2.9-0ubuntu1

2010-04-01  Ted Gould  <ted@gould.cx>

	releasing version 0.2.9-0ubuntu1~ppa1

2010-04-01  Ted Gould  <ted@gould.cx>

	* New upstream release.
	* Changing the parse function to get_children instead of
	taking them. (LP: #471044)
	* Supporting AboutToShow in event callbacks to catch up
	with QT implementation.
	* Unrefing on layout updates (LP: #545026)
	* Resetting sync versions on disconnection
	* Removing useless warning
	- Added extended description for gir1.0-dbusmenu-gtk-0.2 and

2010-04-01  Ted Gould  <ted@gould.cx>

	Import upstream version 0.2.9

2010-04-01  Ted Gould  <ted@gould.cx>

	releasing version 0.2.8-0ubuntu3~ppa1

2010-04-01  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Documentation fix

2010-04-01  Ted Gould  <ted@gould.cx>

	Sync to Ubuntu Desktop

2010-04-01  Ted Gould  <ted@gould.cx>

	Turning off merge mode

2010-04-01  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 0.2.8-0ubuntu2

2010-03-31  Ted Gould  <ted@gould.cx>

	releasing version 0.2.8-0ubuntu2~ppa3

2010-03-31  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Changing the parse function to get_children instead of
	taking them. (LP: #471044)

2010-03-31  Ted Gould  <ted@gould.cx>

	Sync to trunk

2010-03-31  Ted Gould  <ted@gould.cx>

	releasing version 0.2.8-0ubuntu2~ppa3~update1

2010-03-31  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Changing the parse function to get_children instead of
	taking them.

2010-03-31  Ted Gould  <ted@gould.cx>

	releasing version 0.2.8-0ubuntu2~ppa2

2010-03-31  Ted Gould  <ted@gould.cx>

	* Upstream merge
	* Supporting AboutToShow in event callbacks to catch up
	with QT implementation.

2010-03-31  Ted Gould  <ted@gould.cx>

	releasing version 0.2.8-0ubuntu2~ppa1

2010-03-31  Ted Gould  <ted@gould.cx>

	* Upstream merge
	* Unrefing on layout updates (LP: #545026)
	* Resetting sync versions on disconnection
	* Removing useless warning

2010-03-31  Ted Gould  <ted@gould.cx>

	Sync to trunk

2010-03-31  Ted Gould  <ted@gould.cx>

	releasing version 0.2.8-0ubuntu1~ppa2~crash2

2010-03-31  Ted Gould  <ted@gould.cx>

	releasing version 0.2.8-0ubuntu1~ppa2~crash1ubuntu1

2010-03-31  Ted Gould  <ted@gould.cx>

	* Upstream merge
	* Making an unref more accessible

2010-03-31  Ted Gould  <ted@gould.cx>

	releasing version 0.2.8-0ubuntu1~ppa2~crash1

2010-03-31  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Trying to fix stuff.

2010-03-25  Ted Gould  <ted@gould.cx>

	releasing version 0.2.8-0ubuntu1~ppa1

2010-03-25  Ted Gould  <ted@gould.cx>

	* Upstream release 0.2.8
	* Fix typo in documentation

2010-03-24  Ted Gould  <ted@gould.cx>

	releasing version 0.2.7-0ubuntu2~ppa2

2010-03-24  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Crash fix in blank items
	* Adding support for blank icons (LP: #534854)
	* Remove unneeded warning (LP: #537312)

2010-03-24  Ted Gould  <ted@gould.cx>

	releasing version 0.2.7-0ubuntu2~ppa1

2010-03-24  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Adding support for blank icons

2010-03-24  Ted Gould  <ted@gould.cx>

	Sync to ubuntu desktop

2010-04-01  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 0.2.8-0ubuntu1

2010-03-04  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 0.2.7-0ubuntu1

2010-03-04  Ted Gould  <ted@gould.cx>

	releasing version 0.2.7-0ubuntu1~ppa1

2010-03-04  Ted Gould  <ted@gould.cx>

	* Upstream release 0.2.7
	* Adding dependencies for gir-repository-dev and
	gobject-introspection to ensure we get all the GI goodies.
	* debian/control, debian/gir1.0-dbusmenu-glib-0.2.install,
	debian/gir1.0-dbusmenu-gtk-0.2.install: Adding new packages to
	hold the typelib files generated by GObject introspection.

2010-03-02  Ted Gould  <ted@gould.cx>

	releasing version 0.2.6-0ubuntu2~ppa2

2010-03-02  Ted Gould  <ted@gould.cx>

	* debian/control:
	* Adding dependencies for gir-repository-dev and
	gobject-introspection to ensure we get all the GI goodies.

2010-03-01  Ted Gould  <ted@gould.cx>

	releasing version 0.2.6-0ubuntu2~ppa1

2010-03-01  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Adding in building of the GObject Introspection details
	* Adding in building of VAPI files
	* debian/control:
	* Adding dependency on valac
	* Adding in gir's as build dependencies.
	* Adding in build dependencies for GIR dev
	* debian/libdbusmenu-glib-dev.install,
	debian/libdbusmenu-gtk-dev.install:
	* Added VAPI files to the packages.
	* Added GIR files to the packages.
	* debian/control, debian/gir1.0-dbusmenu-glib-0.2.install,
	debian/gir1.0-dbusmenu-gtk-0.2.install: Adding new packages to
	hold the typelib files generated by GObject introspection.

2010-03-01  Ted Gould  <ted@gould.cx>

	Sync to trunk

2010-03-01  Ted Gould  <ted@gould.cx>

	releasing version 0.2.6-0ubuntu1~ppa2~gir5

2010-03-01  Ted Gould  <ted@gould.cx>

	* debian/rules: Setting up to run autogen.sh
	* debian/control: Adding dep on gnome-common

2010-03-01  Ted Gould  <ted@gould.cx>

	releasing version 0.2.6-0ubuntu1~ppa2~gir4

2010-03-01  Ted Gould  <ted@gould.cx>

	* debian/control: Adding dependency on valac
	* debian/libdbusmenu-glib-dev.install,
	debian/libdbusmenu-gtk-dev.install: Added VAPI files to
	the packages.

2010-03-01  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Adding in building of VAPI files

2010-02-28  Ted Gould  <ted@gould.cx>

	releasing version 0.2.6-0ubuntu1~ppa2~gir3

2010-02-28  Ted Gould  <ted@gould.cx>

	debian/libdbusmenu-glib-dev.install,
	debian/libdbusmenu-gtk-dev.install: Added GIR files to
	the packages.

2010-02-28  Ted Gould  <ted@gould.cx>

	releasing version 0.2.6-0ubuntu1~ppa2~gir2

2010-02-28  Ted Gould  <ted@gould.cx>

	debian/control: Adding in gir's as build dependencies.

2010-02-28  Ted Gould  <ted@gould.cx>

	releasing version 0.2.6-0ubuntu1~ppa2~gir1

2010-02-28  Ted Gould  <ted@gould.cx>

	Fixing deps

2010-02-28  Ted Gould  <ted@gould.cx>

	debian/gir1.0-dbusmenu-gtk-0.2.install: Adding new packages to
	hold the typelib files generated by GObject introspection.
	* debian/control: Adding in build dependencies for GIR dev

2010-02-28  Ted Gould  <ted@gould.cx>

	debian/control, debian/gir1.0-dbusmenu-glib-0.2.install,
	gir1.0-dbusmenu-gtk-0.2.install: Adding new packages to hold
	the typelib files generated by GObject introspection.

2010-02-28  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Adding in building of the GObject Introspection details

2010-02-28  Ted Gould  <ted@gould.cx>

	Sync with ubuntu desktop

2010-02-25  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 0.2.6-0ubuntu1

2010-02-25  Ted Gould  <ted@gould.cx>

	releasing version 0.2.6-0ubuntu1~ppa1

2010-02-25  Ted Gould  <ted@gould.cx>

	* Upstream release 0.2.6
	* Fix testing to make it more reliable
	* Remove delayed property queueing as it was causing
	properties to not get updated.

2010-02-18  Ted Gould  <ted@gould.cx>

	Merging in Ubuntu Desktop

2010-02-18  Ted Gould  <ted@gould.cx>

	Updated to ubuntudesktop

2010-02-18  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 0.2.5-0ubuntu1

2010-02-18  Ted Gould  <ted@gould.cx>

	releasing version 0.2.5-0ubuntu1~ppa1

2010-02-18  Ted Gould  <ted@gould.cx>

	debian/rules: Updating shlibs

2010-02-18  Ted Gould  <ted@gould.cx>

	Upstream release 0.2.5

2010-02-18  Ted Gould  <ted@gould.cx>

	releasing version 0.2.4-0ubuntu2~ppa2

2010-02-18  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Adding in menuitem proxy object.

2010-02-18  Ted Gould  <ted@gould.cx>

	Updating to trunk

2010-02-17  Ted Gould  <ted@gould.cx>

	releasing version 0.2.4-0ubuntu2~ppa1~proxy1

2010-02-17  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Adding in menuitem proxy object.

2010-02-18  Ted Gould  <ted@gould.cx>

	releasing version 0.2.4-0ubuntu2~ppa1

2010-02-18  Ted Gould  <ted@gould.cx>

	* Upstream merge
	* Adding ID to default <menu> item.

2010-02-11  Ken VanDine  <ken.vandine@canonical.com>

	releasing version 0.2.4-0ubuntu1

2010-02-11  Ted Gould  <ted@gould.cx>

	releasing version 0.2.4-0ubuntu1

2010-02-11  Ted Gould  <ted@gould.cx>

	* Upstream release 0.2.4
	* Remove uneccessary reference to stop duplication of menus
	* Handle dbus method errors better

2010-02-11  Ted Gould  <ted@gould.cx>

	Update to desktop

2010-02-10  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 0.2.3-0ubuntu3

2010-02-09  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 0.2.3-0ubuntu2

2010-02-09  Ted Gould  <ted@gould.cx>

	releasing version 0.2.3-0ubuntu1~ppa2

2010-02-09  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Removing the ref to root and a setting of root

2010-02-09  Ted Gould  <ted@gould.cx>

	Sync to trunk

2010-02-08  Ted Gould  <ted@gould.cx>

	releasing version 0.2.3-0ubuntu1~ppa2~repeat7

2010-02-08  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Removing debug messages

2010-02-08  Ted Gould  <ted@gould.cx>

	releasing version 0.2.3-0ubuntu1~ppa2~repeat6

2010-02-08  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Removing the ref to root and a setting of root

2010-02-08  Ted Gould  <ted@gould.cx>

	releasing version 0.2.3-0ubuntu1~ppa2~repeat5

2010-02-08  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Debugging message

2010-02-08  Ted Gould  <ted@gould.cx>

	releasing version 0.2.3-0ubuntu1~ppa2~repeat4

2010-02-08  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Debugging message

2010-02-08  Ted Gould  <ted@gould.cx>

	releasing version 0.2.3-0ubuntu1~ppa2~repeat3

2010-02-08  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Debugging message

2010-02-08  Ted Gould  <ted@gould.cx>

	releasing version 0.2.3-0ubuntu1~ppa2~repeat2

2010-02-08  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Debugging message

2010-02-08  Ted Gould  <ted@gould.cx>

	releasing version 0.2.3-0ubuntu1~ppa2~repeat1

2010-02-08  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Making sure to unref the old item in all cases.

2010-02-05  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 0.2.3-0ubuntu1

2010-02-05  Ted Gould  <ted@gould.cx>

	releasing version 0.2.3-0ubuntu1~ppa1

2010-02-05  Ted Gould  <ted@gould.cx>

	Upstream release 0.2.3

2010-02-05  Ted Gould  <ted@gould.cx>

	releasing version 0.2.2-0ubuntu3~ppa1

2010-02-05  Ted Gould  <ted@gould.cx>

	libdbusmenu-tools.install: Add in json file and README so
	that they're put in the right directories.

2010-02-05  Ted Gould  <ted@gould.cx>

	* Upstrem Merge
	* Fixing handing of root IDs being zero
	* Handling syncing of properties when reusing items
	* Shipping new JSON files and READMEs for testing.

2010-02-05  Ted Gould  <ted@gould.cx>

	Sync to trunk

2010-02-04  Ted Gould  <ted@gould.cx>

	releasing version 0.2.2-0ubuntu1~ppa2~autoid3

2010-02-04  Ted Gould  <ted@gould.cx>

	* Upstrem Merge
	* Fixing the range nd default.

2010-02-04  Ted Gould  <ted@gould.cx>

	releasing version 0.2.2-0ubuntu1~ppa2~autoid2

2010-02-04  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Menuitem ID handling properly.

2010-02-04  Ted Gould  <ted@gould.cx>

	releasing version 0.2.2-0ubuntu1~ppa2~autoid1

2010-02-04  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Auto handle ids even for subclasses

2010-02-04  Ted Gould  <ted@gould.cx>

	Updating to desktop

2010-02-04  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 0.2.2-0ubuntu3

2010-02-04  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 0.2.2-0ubuntu2

2010-02-04  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 0.2.2-0ubuntu1

2010-02-04  Ted Gould  <ted@gould.cx>

	releasing version 0.2.2-0ubuntu1~ppa1

2010-02-04  Ted Gould  <ted@gould.cx>

	debian/libdbusmenu-tools.install: Adding a wildcard to get
	all of the tools in libexec

2010-02-04  Ted Gould  <ted@gould.cx>

	* Upstream Release 0.2.2
	* Adding tools for timing dbusmenu

2010-02-04  Ted Gould  <ted@gould.cx>

	releasing version 0.2.1-0ubuntu2~ppa1

2010-02-04  Ted Gould  <ted@gould.cx>

	* Upstream Merge
	* Interoperability fixes
	* Adding timestamps to events
	* Better handling of XML

2010-01-19  Ted Gould  <ted@gould.cx>

	Merging in Ubuntu Desktop

2010-01-19  Ken VanDine  <ken.vandine@canonical.com>

	merged from lp:~ubuntu-desktop/dbusmenu/ubuntu

2010-01-12  Ted Gould  <ted@gould.cx>

	releasing version 0.2.1-0ubuntu1~ppa1

2010-01-12  Ted Gould  <ted@gould.cx>

	* Upstream release 0.2.1
	* Setting direction based on parent widget text direction.

2010-01-12  Ted Gould  <ted@gould.cx>

	releasing version 0.2.0-0ubuntu2~ppa3

2010-01-12  Ted Gould  <ted@gould.cx>

	* Upstream update
	* Not deleting images that we're still using.

2010-01-11  Ted Gould  <ted@gould.cx>

	releasing version 0.2.0-0ubuntu2~ppa2

2010-01-11  Ted Gould  <ted@gould.cx>

	* Upstream update
	* Setting direction based on parent widget text direction.

2010-01-11  Ted Gould  <ted@gould.cx>

	Sync to trunk

2010-01-11  Ted Gould  <ted@gould.cx>

	releasing version 0.2.0-0ubuntu2~ppa1~ltr2

2010-01-11  Ted Gould  <ted@gould.cx>

	* Upstream update
	* Setting direction based on parent widget text direction.

2010-01-11  Ted Gould  <ted@gould.cx>

	releasing version 0.2.0-0ubuntu2~ppa1~ltr1

2010-01-11  Ted Gould  <ted@gould.cx>

	* Upstream update
	* Adding in checking for icon name plus 'ltr' to see if
	it exists.

2010-01-11  Ted Gould  <ted@gould.cx>

	releasing version 0.2.0-0ubuntu2~ppa1

2010-01-11  Ted Gould  <ted@gould.cx>

	* Upstream update
	* Adding padding between the icon and the label.

2010-01-11  Ted Gould  <ted@gould.cx>

	Sync to trunk

2010-01-11  Ted Gould  <ted@gould.cx>

	releasing version 0.2.0-0ubuntu2~ppa1~padding1

2010-01-11  Ted Gould  <ted@gould.cx>

	* Upstream update
	* Adding padding between the icon and the label.

2010-01-11  Ted Gould  <ted@gould.cx>

	Updates from desktop team

2010-01-12  Ken VanDine  <ken.vandine@canonical.com>

	* Upstream release 0.2.1
	- Fix to not destroy the image if we're still using it.
	- Adding code to support icon names that have an implied direction in them.
	- Fix to put a small amount of padding between the icon and the label.

2010-01-12  Ken VanDine  <ken.vandine@canonical.com>

	merged 0.2.1

2010-01-11  Sebastien Bacher  <seb128@ubuntu.com>

	releasing version 0.2.0-0ubuntu3

2010-01-11  Sebastien Bacher  <seb128@ubuntu.com>

	* debian/rules:
	- updated shlibs version

2010-01-09  Ken VanDine  <ken.vandine@canonical.com>

	* Added debian/libdbusmenu-tools.install
	* debian/control
	- improved description for libdbusmenu-tools

2010-01-08  Ken VanDine  <ken.vandine@canonical.com>

	* Upstream release 0.2.0
	- Remove unused libdbusmenu-qt
	- Changing API to be V0.2 for reals
	- Adding underline support
	- Test suite fixes and automation support
	- dbus-dumper tool
	- Switch to org.ayatana
	- Fixing the handling of typed properties, especially bools.
	- Adding GetChildren function for getting a single submenu
	- Starting to watch DBus if the proxy builds fail.
	- Test suite fixes
	- Fixing the consistency between the #defines and what
	was used in the code.
	* debian/control, debian/libdbusmenu-tools.install: Setting
	up a package for the new dbusmenu-dumper tool.
	* debian/control: Mentioning nicely that this will cause
	indicator-messages << 0.3 and indicator-session << 0.2 to
	break.

2010-01-08  Ted Gould  <ted@gould.cx>

	releasing version 0.2.0-0ubuntu1~ppa1

2010-01-08  Ted Gould  <ted@gould.cx>

	* Upstream official 0.2.0
	* Remove unused libdbusmenu-qt

2010-01-07  Ted Gould  <ted@gould.cx>

	releasing version 0.2.0~dev-0ubuntu1~ppa9

2010-01-07  Ted Gould  <ted@gould.cx>

	* Upstream update:
	* Fixing the consistency between the #defines and what
	was used in the code.

2010-01-07  Ted Gould  <ted@gould.cx>

	releasing version 0.2.0~dev-0ubuntu1~ppa8

2010-01-07  Ted Gould  <ted@gould.cx>

	* Upstream update:
	* Starting to watch DBus if the proxy builds fail.

2010-01-07  Ted Gould  <ted@gould.cx>

	Sync to trunk

2010-01-06  Ted Gould  <ted@gould.cx>

	releasing version 0.2.0~dev-0ubuntu1~ppa8~light5

2010-01-06  Ted Gould  <ted@gould.cx>

	* Upstream update:
	* Remove debug message

2010-01-06  Ted Gould  <ted@gould.cx>

	releasing version 0.2.0~dev-0ubuntu1~ppa8~light4

2010-01-06  Ted Gould  <ted@gould.cx>

	* Upstream update:
	* Look for NULL strings instead of NULL pointers

2010-01-06  Ted Gould  <ted@gould.cx>

	releasing version 0.2.0~dev-0ubuntu1~ppa8~light3

2010-01-06  Ted Gould  <ted@gould.cx>

	* Upstream update:
	* Debug message

2010-01-06  Ted Gould  <ted@gould.cx>

	releasing version 0.2.0~dev-0ubuntu1~ppa8~light2

2010-01-06  Ted Gould  <ted@gould.cx>

	* Upstream update:
	* Looking at the dbus name

2010-01-06  Ted Gould  <ted@gould.cx>

	releasing version 0.2.0~dev-0ubuntu1~ppa8~light1

2010-01-06  Ted Gould  <ted@gould.cx>

	* Upstream update:
	* Starting to watch DBus if the proxy builds fail.

2010-01-06  Ted Gould  <ted@gould.cx>

	releasing version 0.2.0~dev-0ubuntu1~ppa7

2010-01-06  Ted Gould  <ted@gould.cx>

	* Upstream update:
	* Adding GetChildren function for getting a single submenu
	* Test suite fixes

2009-12-22  Ted Gould  <ted@gould.cx>

	releasing version 0.2.0~dev-0ubuntu1~ppa6

2009-12-22  Ted Gould  <ted@gould.cx>

	Fixing the handling of typed properties, especially bools.

2009-12-22  Ted Gould  <ted@gould.cx>

	Sync to trunk

2009-12-22  Ted Gould  <ted@gould.cx>

	releasing version 0.2.0~dev-0ubuntu1~ppa6~sigfix7

2009-12-22  Ted Gould  <ted@gould.cx>

	Nope, bad idea.

2009-12-21  Ted Gould  <ted@gould.cx>

	releasing version 0.2.0~dev-0ubuntu1~ppa6~sigfix6

2009-12-21  Ted Gould  <ted@gould.cx>

	Signal change

2009-12-21  Ted Gould  <ted@gould.cx>

	releasing version 0.2.0~dev-0ubuntu1~ppa6~sigfix5

2009-12-21  Ted Gould  <ted@gould.cx>

	string to value fix

2009-12-21  Ted Gould  <ted@gould.cx>

	releasing version 0.2.0~dev-0ubuntu1~ppa6~sigfix4

2009-12-21  Ted Gould  <ted@gould.cx>

	Using a hash table replace

2009-12-18  Ted Gould  <ted@gould.cx>

	releasing version 0.2.0~dev-0ubuntu1~ppa6~sigfix3

2009-12-18  Ted Gould  <ted@gould.cx>

	debian/rules: Massive debugging

2009-12-18  Ted Gould  <ted@gould.cx>

	releasing version 0.2.0~dev-0ubuntu1~ppa6~sigfix2

2009-12-18  Ted Gould  <ted@gould.cx>

	releasing version 0.2.0~dev-0ubuntu1~ppa6~sigfix1

2009-12-18  Ted Gould  <ted@gould.cx>

	Trying again

2009-12-18  Ted Gould  <ted@gould.cx>

	releasing version 0.2.0~dev-0ubuntu1~ppa6~sigfix1

2009-12-18  Ted Gould  <ted@gould.cx>

	* Upstream
	* Fixing the signal prototypes.

2009-12-18  Ted Gould  <ted@gould.cx>

	releasing version 0.2.0~dev-0ubuntu1~ppa5

2009-12-18  Ted Gould  <ted@gould.cx>

	debian/control: Switching the breaks to be ~dev as those
	versions are not yet released.

2009-12-18  Ted Gould  <ted@gould.cx>

	releasing version 0.2.0~dev-0ubuntu1~ppa4

2009-12-18  Ted Gould  <ted@gould.cx>

	* Updating trunk
	* Setting version numbers

2009-12-18  Ted Gould  <ted@gould.cx>

	releasing version 0.2.0~dev-0ubuntu1~ppa3

2009-12-18  Ted Gould  <ted@gould.cx>

	debian/control: Mentioning nicely that this will cause
	indicator-messages << 0.3 and indicator-session << 0.2 to
	break.

2009-12-18  Ted Gould  <ted@gould.cx>

	* Updating trunk
	* Changing API to be V0.2 for reals

2009-12-18  Ted Gould  <ted@gould.cx>

	Somehow I messed up the merge and lost the version change.  Oops.

2009-12-10  Ted Gould  <ted@gould.cx>

	Sync with 0.1 packaging branch

2009-12-10  Ted Gould  <ted@gould.cx>

	Ken's packaging branch

2009-12-10  Ted Gould  <ted@gould.cx>

	Syncing with the 0.1 packaging branch

2009-12-10  Ted Gould  <ted@gould.cx>

	releasing version 0.2.0~dev-0ubuntu1~ppa2

2009-12-10  Ted Gould  <ted@gould.cx>

	* Updating to trunk
	* Adding underline support

2009-12-08  Ted Gould  <ted@gould.cx>

	releasing version 0.2.0~dev-0ubuntu1~ppa1

2009-12-08  Ted Gould  <ted@gould.cx>

	debian/control, debian/libdbusmenu-tools.install: Setting
	up a package for the new dbusmenu-dumper tool.

2009-12-08  Ted Gould  <ted@gould.cx>

	* Updating to trunk
	* Test suite fixes and automation support
	* dbus-dumper tool
	* Switch to org.ayatana

2009-12-10  Ken VanDine  <ken.vandine@canonical.com>

	set release to lucid

2009-12-10  Ken VanDine  <ken.vandine@canonical.com>

	set version string

2009-12-10  Ted Gould  <ted@gould.cx>

	releasing version 0.1.8-0ubuntu1~ppa1

2009-12-10  Ted Gould  <ted@gould.cx>

	* Upstream release 0.1.8
	* Changing the name to org.ayatana
	* Underline fixes
	* Documenation of the DBus API 

2009-10-05  Ted Gould  <ted@canonical.com>

	releasing version 0.1.7-0ubuntu1~ppa1

2009-10-05  Ted Gould  <ted@canonical.com>

	* Upstream release 0.1.7
	* Adding the GPL v3 Copying file so that we're all legal.

2012-12-17  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	Fix docs.

2012-12-04  Charles Kerr  <charles.kerr@canonical.com>

	gtk-doc fix: update to gtk-doc 1.14 w/o templates

2012-12-04  Charles Kerr  <charles.kerr@canonical.com>

	gtk-doc fix: dbusmenu_menuitem_set_root doesn't have a return value

2012-12-04  Charles Kerr  <charles.kerr@canonical.com>

	gtk-doc fix: DbusmenuMenuitemClass.send_about_to_show

2012-11-28  Charles Kerr  <charles.kerr@canonical.com>

	Confirm that icon_name is non-NULL before passing it to gtk_icon_theme_has_icon(). Fixes: https://bugs.launchpad.net/bugs/1082516.
	
	Approved by Mathieu Trudel-Lapierre, PS Jenkins bot.

2012-11-26  Charles Kerr  <charles.kerr@canonical.com>

	whoops! remove a stray g_message() that got committed

2012-11-26  Charles Kerr  <charles.kerr@canonical.com>

	confirm that icon_name is non-NULL before passing it to gtk_icon_theme_has_icon()

2012-10-26  Charles Kerr  <charles.kerr@canonical.com>

	when initializing fields inside a struct being declared, replace gccism with c99 syntax.
	
	Approved by PS Jenkins bot, Albert Astals Cid.

2012-10-26  Charles Kerr  <charles.kerr@canonical.com>

	when initializing fields inside a struct being declared, replace gccism with c99 syntax

2012-10-26  Albert Astals  <albert.astals@canonical.com>

	Do not reuse menu items if their type is different
	
	The gtk side does not know how to convert from a separator to a standard item,
	and even if it'd knew it does not make much sense to reuse them since if the types
	are different you can expect there's little to reuse. Fixes: https://bugs.launchpad.net/bugs/1071321. Approved by Charles Kerr, PS Jenkins bot.

2012-10-25  Albert Astals  <albert.astals@canonical.com>

	null type means standard type

2012-10-25  Albert Astals  <albert.astals@canonical.com>

	Use g_variant_compare

2012-10-25  Albert Astals  <albert.astals@canonical.com>

	Do not reuse menu items if their type is different
	
	The gtk side does not know how to convert from a separator to a standard item,
	and even if it'd knew it does not make much sense to reuse them since if the types
	are different you can expect there's little to reuse

2012-10-24  Albert Astals Cid (aacid)

	Only prefer name over pixmap if the theme has the icon for the name

2012-10-18  Albert Astals  <albert.astals@canonical.com>

	Only prefer name over pixmap if the theme has the icon for the name

2012-10-24  Charles Kerr  <charles.kerr@canonical.com>

	comment copyediting

2012-10-07  Charles Kerr  <charles.kerr@canonical.com>

	fix grammar: use of its and it's

2012-10-16  Albert Astals  <albert.astals@canonical.com>

	Call gtk_menu_set_active with the position of the activated menu item
	
	Fixes interaction with GtkRecentChooserMenu (bug 752674). Fixes: https://bugs.launchpad.net/bugs/752674. Approved by Ted Gould.

2012-10-16  Albert Astals  <albert.astals@canonical.com>

	spacing

2012-10-16  Albert Astals  <albert.astals@canonical.com>

	Call gtk_menu_set_active with the position of the activated menu item
	
	Fixes interaction with GtkRecentChooserMenu (bug 752674)

2012-10-03  Charles Kerr  <charles.kerr@canonical.com>

	12.10.2

2012-09-24  Lars Uebernickel  <lars.uebernickel@canonical.com>

	parser.c: make sure to disconnect from gtksettings::gtk-menu-images

2012-09-20  Charles Kerr  <charles.kerr@canonical.com>

	12.10.1

2012-09-20  Charles Kerr  <charles.kerr@canonical.com>

	revert r417 so that we don't change the vapi name at the last minute for 12.10 (LP: #978687)

2012-09-20  Charles Kerr  <charles.kerr@canonical.com>

	12.10.0

2012-09-20  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~charlesk/dbusmenu/fix-json-tests to fix breakage in the test-json unit tests.

2012-09-19  Charles Kerr  <charles.kerr@canonical.com>

	Undo r423, I found this bug while preparing the dbusmenu release but forgot to revert the version before pushing this branch.

2012-09-19  Charles Kerr  <charles.kerr@canonical.com>

	in the test-json and test-json-instruction unit tests, don't tell dbus-test-runner to ignore the server & clients' return values

2012-09-19  Charles Kerr  <charles.kerr@canonical.com>

	12.10.0

2012-09-13  Michael Terry  <michael.terry@canonical.com>

	pay attention to GtkSettings's gtk-menu-images value as it changes on the client end

2012-09-10  Michael Terry  <michael.terry@canonical.com>

	pay attention to GtkSettings's gtk-menu-images value as it changes on the client end

2012-08-21  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~charlesk/dbusmenu/constify-dbusmenu-menuitem-getters

2012-04-25  Charles Kerr  <charles.kerr@canonical.com>

	constify the dbusmenu_menuitem_get*() functions

2012-06-18  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~evgeni/dbusmenu/optional-valgrind to allow dbusmenu to build and run its non-valgrind checks on architectures where valgrind isn't available.

2012-06-12  Evgeni Golov  <evgeni@debian.org>

	make pkg-config check not fail if valgrind was not found
	
	this allows to build and run non-valgrind checks on arches where valgrind  
	is not available

2012-06-07  Ted Gould  <ted@gould.cx>

	Making the headers match independent of build directory

2012-05-24  evgeni@debian.org

	don't include build-time filenames in comments of the enum header files
	
	If we do, the header files may be different on each build.
	This is especially harmful when building multiple times for multiple
	architectures and expecting the files to be identical.
	
	See: http://bugs.debian.org/674200

2012-06-04  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~aacid/dbusmenu/amp_replacement to prevent menuitems containing a '&' from incorrectly showing an underscore

2012-06-04  Albert Astals  <albert.astals@canonical.com>

	Use g_markup_escape_text instead of manually trying to fix the text

2012-06-04  Albert Astals  <albert.astals@canonical.com>

	Replace & with &amp; since we are using set_markup in the label

2012-04-26  Charles Kerr  <charles.kerr@canonical.com>

	Evan Nemerson's patch to make the Vala bindings use pkg-config names, rather than GIR names, so that valac can automatically pick up the relevant libraries and flags.

2012-04-11  Charles Kerr  <charles.kerr@canonical.com>

	apply Evan Nemerson's patch to make the Vala binidngs use pkg-config names, not GIR names, so that valac can automatically pick up the relevant libraries and flags.

2012-04-23  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~ted/dbusmenu/double-underscore to make libdbusmenu-gtk/genericmenuitem.c's sanitize_label() function static.

2012-04-23  Ted Gould  <ted@gould.cx>

	Static is probably better to ensure we don't get out of the binary

2012-04-12  Ted Gould  <ted@gould.cx>

	Make sanitize_label static for sure and inline if available

2012-04-23  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~ted/dbusmenu/lp982656 to set the widget for the accelerator even if there isn't a mnemonic.

2012-04-16  Ted Gould  <ted@gould.cx>

	Attaching bug

2012-04-16  Ted Gould  <ted@gould.cx>

	Move setting the accell widget out of the if statement

2012-04-23  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~charlesk/dbusmenu/lp-981766 to fix a leaked dbus_object_path string

2012-04-14  Charles Kerr  <charles.kerr@canonical.com>

	fix leaky DbusmenuServer.priv.dbusobject

2012-04-11  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~ted/dbusmenu/double-underscore to fix the double underscore regression introduced earlier.

2012-04-11  Ted Gould  <ted@gould.cx>

	No reason to bother with that in the global namespace

2012-04-11  Ted Gould  <ted@gould.cx>

	Provide a function to sanitize the label and use that as Pango isn't doing it for us now

2012-04-11  Ted Gould  <ted@gould.cx>

	Oops, get the real trunk

2012-04-11  Ted Gould  <ted@gould.cx>

	Attaching bug

2012-04-11  Charles Kerr  <charles.kerr@canonical.com>

	0.6.1

2012-04-11  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~ted/dbusmenu/lp903200 to be more explicit about what is and isn't a mnemonic.

2012-04-09  Ted Gould  <ted@gould.cx>

	Handle mnemonic stuff on updates as well

2012-04-09  Ted Gould  <ted@gould.cx>

	Check the string for mnemonic support when setting the value

2012-04-09  Ted Gould  <ted@gould.cx>

	Catching up to trunk

2012-03-01  Ted Gould  <ted@gould.cx>

	Attaching bug

2012-04-11  Charles Kerr  <charles.kerr@canonical.com>

	0.6.0

2012-04-11  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~charlesk/dbusmenu/disconnect-menuitem-shown to have menuitem_signals_remove() disconnect the DBUSMENU_MENUITEM_SIGNAL_SHOW_TO_USER event that we connected to in menuitem_signals_create().

2012-04-10  Charles Kerr  <charles.kerr@canonical.com>

	In menuitem_signals_remove(), disconnect the DBUSMENU_MENUITEM_SIGNAL_SHOW_TO_USER event that we connected to in menuitem_signals_create().
	
	It looks like this non-disconnected signal goes all the way back to July 2010 <http://bazaar.launchpad.net/~dbusmenu-team/dbusmenu/trunk.0.6/revision/139#libdbusmenu-glib/server.c> so I'd like ted's eyes on this to confirm there's not some nuance that I'm missing...

2012-04-10  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~charlesk/dbusmenu/lp-977803 to silence false positives in dbusmenu's signal smoke tests.

2012-04-10  Charles Kerr  <charles.kerr@canonical.com>

	switch the smoke test to a g_debug statement

2012-04-10  Charles Kerr  <charles.kerr@canonical.com>

	make the signal disconnect warnings in dbusmenu-gtk more fine-grained.

2012-04-09  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~charlesk/dbusmenu/lp-959821

2012-04-09  Charles Kerr  <charles.kerr@canonical.com>

	warn if we're not able to disconnect from the signals that we're monitoring

2012-04-06  Charles Kerr  <charles.kerr@canonical.com>

	don't use g_intern_static_string() as a drop-in replacement for strcmp()

2012-04-06  Charles Kerr  <charles.kerr@canonical.com>

	fix prop_value leak in widget_notify_cb() when a widget's label changes

2012-04-06  Charles Kerr  <charles.kerr@canonical.com>

	remove convoluted & unnecessary branch in update_icon()

2012-04-06  Charles Kerr  <charles.kerr@canonical.com>

	fix dbusmenu_item_freed(), it called g_object_get_data() on a finalized GObject

2012-04-09  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~ted/dbusmenu/about-to-show-tuple to fix about-to-show grouping.

2012-04-09  Ted Gould  <ted@gould.cx>

	Apparently this type is wrong, if only this language supported some way to communicate to programmers the types that variables were.  Oh, we can dream.

2012-04-09  Ted Gould  <ted@gould.cx>

	Pull the items out of the tuple

2012-04-05  Charles Kerr  <charles.kerr@canonical.com>

	0.5.99

2012-04-05  Charles Kerr  <charles.kerr@canonical.com>

	make event_data_find() and session_bus_cb() private instead of public

2012-04-05  Charles Kerr  <charles.kerr@canonical.com>

	0.5.98

2012-04-05  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~ted/dbusmenu/about-to-show-null-cb-protect to fix the about-to-show callback to better handle having a NULL callback, and thus NULL data. Putting some protections in as well so we'll get better errors from it if we make this mistake again.

2012-04-04  Ted Gould  <ted@gould.cx>

	Make sure that if the callback is NULL we're not trying to get a callback

2012-04-04  Ted Gould  <ted@gould.cx>

	Protect from the cases where we might get NULL in the data segment

2012-04-04  Charles Kerr  <charles.kerr@canonical.com>

	0.5.97

2012-04-04  Charles Kerr  <charles.kerr@canonical.com>

	Merge lp:~ted/dbusmenu/event-grouping to reduce the number of dbus messages that hud-service sends.
	
	This change takes all of the events on a client and puts them into single dbus messages to be sent to the server. It also does the same thing for about-to-show messages. Both sets of messages are reserialized on either side to make callers unable to notice the difference.

2012-04-03  Ted Gould  <ted@gould.cx>

	Fixing a cut-and-paste comment

2012-04-03  Ted Gould  <ted@gould.cx>

	Switching to GQueue

2012-04-03  Ted Gould  <ted@gould.cx>

	Attaching bug

2012-04-03  Ted Gould  <ted@gould.cx>

	Adding the group events property

2012-04-03  Ted Gould  <ted@gould.cx>

	Fill out the group callback to update if we need it

2012-04-03  Ted Gould  <ted@gould.cx>

	Fleshing out the idle handler for about to show

2012-04-03  Ted Gould  <ted@gould.cx>

	Setup our idle if we're grouping the events

2012-04-03  Ted Gould  <ted@gould.cx>

	Set up the about-to-show task tracking variables

2012-04-03  Ted Gould  <ted@gould.cx>

	Pulling out parts of about to show so that we have a core function there

2012-04-03  Ted Gould  <ted@gould.cx>

	Adding a test that disables the event grouping

2012-04-03  Ted Gould  <ted@gould.cx>

	Set and get the event grouping and notify if we change it

2012-04-03  Ted Gould  <ted@gould.cx>

	Add a property to whether we should group events or not

2012-03-30  Ted Gould  <ted@gould.cx>

	Making sure to clear the idle so we queue again

2012-03-30  Ted Gould  <ted@gould.cx>

	Unpacking the tuple

2012-03-30  Ted Gould  <ted@gould.cx>

	Making sure to init our error

2012-03-30  Ted Gould  <ted@gould.cx>

	Making sure the variant is appropriately wrapped

2012-03-30  Ted Gould  <ted@gould.cx>

	If we're going to unref we should set to NULL to catch potential errors

2012-03-30  Ted Gould  <ted@gould.cx>

	Checking the version of the server to see if we can group the properties

2012-03-30  Ted Gould  <ted@gould.cx>

	Okay, making all the callbacks real and returning appropriate errors

2012-03-30  Ted Gould  <ted@gould.cx>

	Make the getting of properties debug messages as they can happen in normal usage

2012-03-30  Ted Gould  <ted@gould.cx>

	Putting a warning in dispose for something we shouldn't have to do

2012-03-30  Ted Gould  <ted@gould.cx>

	Setting up our callback function

2012-03-30  Ted Gould  <ted@gould.cx>

	Flesh out the idle callback so we're not actually sending a message on DBus! 

2012-03-30  Ted Gould  <ted@gould.cx>

	Switching to a linked list of event_data structures getting passed to the idle function

2012-03-30  Ted Gould  <ted@gould.cx>

	Splitting out the ending of the event_data object

2012-03-30  Ted Gould  <ted@gould.cx>

	Handle the case of sending to the idle.

2012-03-30  Ted Gould  <ted@gould.cx>

	Start by adding the data we're going to need to our private structure

2012-03-30  Ted Gould  <ted@gould.cx>

	Move the actual about-to-show call into the idle incase we get a ton of them (I'm looking at you HUD)

2012-03-30  Ted Gould  <ted@gould.cx>

	Fleshing out the about-to-show group handler

2012-03-30  Ted Gould  <ted@gould.cx>

	Make it so the memory handling of the event_core function is more predictable and correct.

2012-03-30  Ted Gould  <ted@gould.cx>

	Fleshing out the event group function

2012-03-30  Ted Gould  <ted@gould.cx>

	Adding a way to give a partial error of IDs not being found

2012-03-30  Ted Gould  <ted@gould.cx>

	Pulling the core event handling into its own function

2012-03-30  Ted Gould  <ted@gould.cx>

	Merging trunk

2012-03-30  Ted Gould  <ted@gould.cx>

	Put in functions to handle the new group functions

2012-03-30  Ted Gould  <ted@gould.cx>

	Adding two grouping functions for events and about to show

2012-03-30  Ted Gould  <ted@gould.cx>

	Bumping the version of the wire protocol

2012-04-03  Charles Kerr  <charles.kerr@canonical.com>

	Merge lp:~allanlesage/dbusmenu/TDD to add gcov targets to autotools build for code-coverage reporting. For more information, see this blog post: http://qualityhour.wordpress.com/2012/01/29/test-coverage-tutorial-for-cc-autotools-projects/ .
	
	To compile with coverage tooling, ./autogen.sh --enable-gcov, then make coverage-html . Note that you'll need lcov to autoconf. Also note that you'll get an error on make if you have no tests, as there are no coverage artifacts to generate the html report. For review, please pay special attention to flags added in the project's makefiles.

2012-03-27  Allan LeSage  <allanlesage@gmail.com>

	Added gcov coverage tooling.

2012-04-02  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~ted/dbusmenu/valgrind-no-libs to fix the valgrind tests on ARM. h/t goes to sewardj

2012-04-02  Ted Gould  <ted@gould.cx>

	Turns out we don't need the valgrind libs to use those macros, the pkgconfig file is over zealous.  Thanks go to sewardj! 

2012-03-29  Charles Kerr  <charles.kerr@canonical.com>

	0.5.96

2012-03-29  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~ken-vandine/dbusmenu/builddir_fixes for distcheck fixes

2012-03-29  Ken VanDine  <ken.vandine@canonical.com>

	Add dbus-menu-clean.xml to EXTRA_DIST and remove previous builddir hack to fix distcheck

2012-03-29  Ken VanDine  <ken.vandine@canonical.com>

	distcheck fixes

2012-03-29  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~ted/dbusmenu/instruction-count-testing to support benchmarking based on callgrind measurements h/t Chase

2012-03-28  Ted Gould  <ted@gould.cx>

	Adding in a test to print the number of instructions it takes to export a menu

2012-03-28  Ted Gould  <ted@gould.cx>

	Making the json test signal based instead of timeout based

2012-03-28  Ted Gould  <ted@gould.cx>

	Insert callgrind annotations into the server

2012-03-28  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~ted/dbusmenu/testing-fixes for improvements to the dbusmenu tests

2012-03-27  Ted Gould  <ted@gould.cx>

	Grabbing the firefox extreme case

2012-03-27  Ted Gould  <ted@gould.cx>

	Making it so that the JSON handler can handle an array of bytes to specify images

2012-03-27  Ted Gould  <ted@gould.cx>

	Change the dbusmenu-dumper to be realization based instead of timeout based

2012-03-27  Ted Gould  <ted@gould.cx>

	Using the new --wait-for attribute of dbus-test-runner

2012-03-28  Charles Kerr  <charles.kerr@canonical.com>

	ChrisCoulson's patch to add a lookup hash to avoid the overhead of calling dbusmenu_menuitem_find_id() when possible. See lp bug #801699

2012-03-27  Charles Kerr  <charles.kerr@canonical.com>

	this is ChrisCoulson's experimental patch to add a lookup hash to avoid the overhead of calling dbusmenu_menuitem_find_id() when possible.

2012-03-28  Charles Kerr  <charles.kerr@canonical.com>

	fold together client.c's two PROPERTY_CHANGED signal handlers

2012-03-27  Charles Kerr  <charles.kerr@canonical.com>

	fold client's two DBUSMENU_MENUITEM_SIGNAL_PROPERTY_CHANGED signal handlers together for clarity

2012-03-28  Ted Gould  <ted@gould.cx>

	Don't sent event replies that aren't requested

2012-03-27  Ryan Lortie  <desrt@desrt.ca>

	server: don't send replies for events that don't request replies

2012-03-27  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~ted/dbusmenu/firefox-extreme-case for tests/test-json-02.json

2012-03-27  Ted Gould  <ted@gould.cx>

	Adding a Firefox extreme menu case for testing

2012-03-21  Ted Gould  <ted@gould.cx>

	0.5.95

2012-03-21  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~charlesk/dbusmenu/lp-953509 to fix a crash in dbusmenu-gtk's handling of menu icon theme changes

2012-03-21  Charles Kerr  <charles.kerr@canonical.com>

	Don't listen for "changed" events from the screen's default GtkIconTheme. Fixes lp bug #953509
	
	The crash in #953509 was being caused by the last two lines of theme_changed_cb() (a) leaving a dangling handler id in priv.theme_changed_sig, and (b) not remembering the handler id of its own signal connection. However after testing I don't see any reason to keep any of the theme handling code at all.
	
	"But wait," you say. "How will our menu icons follow the theme changes?" It works in practice anyway because we always listen for property changes to our reference GtkImage, **and** we listen for property changes to its GtkImageMenuItem parent so that if the GtkImageMenuItem changes GtkImages we can stop listening to the old one and start listening to the new one.

2012-03-20  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~ted/dbusmenu/regex_merge to fix a warning that comes up a lot with unity-panel-service about not having a label.

2012-03-20  Ted Gould  <ted@gould.cx>

	Fix string leak

2012-03-20  Ted Gould  <ted@gould.cx>

	Handle the case of the label being NULL which can happen on custom items

2012-03-20  Ted Gould  <ted@gould.cx>

	Don't ask for a reply if no one cares

2012-03-16  Ryan Lortie  <desrt@desrt.ca>

	glib client: don't request a reply on send_event() if nobody is listening for it

2012-03-09  Ted Gould  <ted@gould.cx>

	0.5.94

2012-03-09  Ted Gould  <ted@gould.cx>

	Removing underscores in the ATK name

2012-03-09  Ted Gould  <ted@gould.cx>

	Restructuring slightly to have two cases, allocating memory and not allocating

2012-03-09  Luke Yelavich  <luke.yelavich@canonical.com>

	Remove the underscores used for mnewmonics, as orca speaks them, which is not
	what we want.

2012-03-09  Ted Gould  <ted@gould.cx>

	Making sure to disconnect theme changed handler universally

2012-03-09  Ted Gould  <ted@gould.cx>

	Attaching bug

2012-03-09  Ted Gould  <ted@gould.cx>

	Missing a couple of cases of removing the signal handler and clearing the stored value

2012-03-08  Ted Gould  <ted@gould.cx>

	Making sure the ATK object name always gets set to the label if nothing else

2012-03-08  Luke Yelavich  <luke.yelavich@canonical.com>

	Set the accessible name from the dbusmenu item label. THis is a work-around until GTK follows atk docs.

2012-03-08  Luke Yelavich  <luke.yelavich@canonical.com>

	Merge from trunk.

2012-02-17  Luke Yelavich  <luke.yelavich@canonical.com>

	Do not set the accessible name to an empty string if the accessible_desc
	property = NULL. Yes this was recently changed so that dbusmenu conformed
	to Atk documentation, but the GTK menu item accessibility code does not yet
	conform to sed documentation. As a result, all dbusmenu menu items that do not
	have the accessible_desc property set end up getting an empty string for their
	accessible name. In the long term, GTK accessibility needs to be fixed.

2012-03-08  Ted Gould  <ted@gould.cx>

	0.5.93

2012-03-08  Ted Gould  <ted@gould.cx>

	Fixing a trivial annotation bug

2012-03-08  Ted Gould  <ted@gould.cx>

	Fixing resetting an icon numerous times

2012-03-08  Ted Gould  <ted@gould.cx>

	Switching out logic, we're using replaced now because it gets set everytime that the hashtable is modified, and if we weren't modifying the hash table in some way, we don't want to signal.  And, conversely, no one cares if we didn't modify the hash table.

2012-03-02  Ted Gould  <ted@gould.cx>

	Attaching bug

2012-03-02  Ted Gould  <ted@gould.cx>

	Don't need to setup this signal twice

2012-03-02  Ted Gould  <ted@gould.cx>

	Not sending the update signal if the value is being cleared and it was already cleared

2012-03-02  Ted Gould  <ted@gould.cx>

	Moving the adding of signals to the update_icon function so that everyone gets them

2012-03-02  Ted Gould  <ted@gould.cx>

	Changing 'update_icon' to take more variables so we can do more fun stuff with it soon! 

2012-03-02  Ted Gould  <ted@gould.cx>

	Track the theme changed signal so we ensure that we can drop it eventually

2012-03-07  Ted Gould  <ted@gould.cx>

	Set the ATK role on menuitems

2012-03-01  Ted Gould  <ted@gould.cx>

	Fixing for GTK2

2012-03-01  Ted Gould  <ted@gould.cx>

	Attaching bug

2012-03-01  Ted Gould  <ted@gould.cx>

	Set the role of the menu item based on how it's being displayed

2012-03-01  Ted Gould  <ted@gould.cx>

	Setting the default role to be a menu item

2012-03-07  Ted Gould  <ted@gould.cx>

	Clean up code paths to avoid unneeded goto's

2012-03-01  Ted Gould  <ted@gould.cx>

	Attaching bug

2012-03-01  Ted Gould  <ted@gould.cx>

	Clean up a goto and make the lifecycles of the variables more clear

2012-02-22  Ted Gould  <ted@gould.cx>

	0.5.92

2012-02-22  Ted Gould  <ted@gould.cx>

	Removing this test as it doesn't work properly with GTK currently

2012-02-22  Ted Gould  <ted@gould.cx>

	Ensure labels don't leak and don't contain disposition markup

2012-02-22  Alberto Mardegan  <alberto.mardegan@canonical.com>

	Do not leak the label text
	
	Also, fix the indentation from the previous commit.

2012-02-22  Alberto Mardegan  <alberto.mardegan@canonical.com>

	Do not read the label text from the label widget
	
	The label text stored in the widget might have been modified with markup.
	Instead of reading it back from the widget, return the text as set by the
	client, unmodified.
	
	Alter the test-gtk-submenu so that the correct behaviour is checked for.

2012-02-15  Ted Gould  <ted@gould.cx>

	0.5.91

2012-02-15  Ted Gould  <ted@gould.cx>

	Use defines instead of strings

2012-02-12  Ted Gould  <ted@gould.cx>

	Making sure our strings come from defines to avoid typos

2012-02-15  Ted Gould  <ted@gould.cx>

	Remove unused const on GStrv's

2012-02-10  Ted Gould  <ted@gould.cx>

	Removing useless const on dbusmenu_client_get_icon_paths()

2012-02-10  Ted Gould  <ted@gould.cx>

	Removing useless const on dbusmenu_server_get_icon_paths()

2012-02-15  Ted Gould  <ted@gould.cx>

	Only free when there is data to free

2012-02-10  Ted Gould  <ted@gould.cx>

	Actually checking the NULL case properly

2012-02-15  Ted Gould  <ted@gould.cx>

	Ensure that we only return once even with error

2012-02-09  Ted Gould  <ted@gould.cx>

	Ensure that we only return the invocation one way

2012-02-15  Ted Gould  <ted@gould.cx>

	Fix an error on a failure to send properties

2012-02-09  Ted Gould  <ted@gould.cx>

	Making it so that we ref_sink() the variants so that when we unref them later we're not in a race condition with the gdbus thread

2012-02-15  Ted Gould  <ted@gould.cx>

	Ensure the hash variant isn't NULL in the comparison

2012-02-09  Ted Gould  <ted@gould.cx>

	Because of the change of inhash above we could have hash_variant be NULL here

2012-02-15  Ted Gould  <ted@gould.cx>

	Fix some of the issues with throwing criticals

2012-02-07  Ted Gould  <ted@gould.cx>

	Making sure there is no menu proxy in our tests

2012-02-07  Ted Gould  <ted@gould.cx>

	Don't get the string to check if something is being cleared, use whether the variant is NULL or not

2012-02-07  Ted Gould  <ted@gould.cx>

	Ensuring that we don't just unparent a menu item, we remove it from the list of children that it has

2012-02-07  Ted Gould  <ted@gould.cx>

	Removing criticals for submenu test

2012-02-15  Ted Gould  <ted@gould.cx>

	Ensure our tests fail if they throw criticals

2012-02-03  Ted Gould  <ted@gould.cx>

	Make it so that critical messages cause the test suite to fail

2012-02-10  Ted Gould  <ted@gould.cx>

	Parse and handle a11y descriptions

2012-02-10  Ted Gould  <ted@gould.cx>

	Heh, wrote the code but forgot to handle the error

2012-02-10  Ted Gould  <ted@gould.cx>

	Refactor setting the ATK Object name into a function that can do all the error handling needed.

2012-02-10  Ted Gould  <ted@gould.cx>

	Don't pass a NULL name to set_name

2012-02-10  Ted Gould  <ted@gould.cx>

	Use the #define property name instead of a string

2012-02-10  Ted Gould  <ted@gould.cx>

	Adding a detail hint on the notify signal

2012-02-01  Luke Yelavich  <luke.yelavich@canonical.com>

	Fix up monitoring of the atk object, didn't understand that notification was the same as the GTK widgets as well.

2012-01-31  Luke Yelavich  <luke.yelavich@canonical.com>

	When parsing an existing GTK menu hierarchy, we should also set the
	DBUSMENU_MENU_ITEM_ACCESSIBLE_DESC property, if the accessible name for the menu
	differs from the text of the menu item label.

2012-02-10  Ted Gould  <ted@gould.cx>

	Don't pass NULL to ATK

2012-02-01  Luke Yelavich  <luke.yelavich@canonical.com>

	If the ACCESSIBLE_DESC property is set to NULL, set an empty string as the atk object's accessible name, as per atk docs.

2012-02-10  Ted Gould  <ted@gould.cx>

	Non-srcdir build fixes

2012-01-27  Michal Hruby  <michal.mhr@gmail.com>

	Fix non-srcdir build issues

2012-01-30  Ted Gould  <ted@gould.cx>

	0.5.90

2012-01-30  Ted Gould  <ted@gould.cx>

	Fix the test suite so that it... passes? 

2012-01-30  Ted Gould  <ted@gould.cx>

	Adding the new functions and property to the documentation

2012-01-30  Ted Gould  <ted@gould.cx>

	Turn off the timeouts that are causing the tests to fail

2012-01-30  Ted Gould  <ted@gould.cx>

	Unreffing a variant we never had a reference to

2012-01-26  Ted Gould  <ted@gould.cx>

	If we see the 'icon-data' we undo a base64 string and make it a binary

2012-01-26  Ted Gould  <ted@gould.cx>

	Adding a way for the node2variant to know the name of what it's parsing

2012-01-26  Ted Gould  <ted@gould.cx>

	Only setting the accessible object name if it has been set

2012-01-26  Ted Gould  <ted@gould.cx>

	Add a way for newcomers to the bus to find out who's there

2012-01-24  Ted Gould  <ted@gould.cx>

	GTK3 Build Fix

2012-01-24  Ted Gould  <ted@gould.cx>

	Update to trunk

2011-10-04  Ted Gould  <ted@gould.cx>

	Respond to the 'FindServers' signal

2012-01-26  Ted Gould  <ted@gould.cx>

	Add property of the accessible description

2012-01-26  Ted Gould  <ted@gould.cx>

	Merging trunk again, mistakes

2012-01-26  Ted Gould  <ted@gould.cx>

	Fix function calls here

2012-01-26  Ted Gould  <ted@gould.cx>

	Update to trunk

2011-12-13  Luke Yelavich  <luke.yelavich@canonical.com>

	Add a new property DBUSMENU_MENUITEM_PROP_ACCESSIBLE_DESC, to set an
	alternative label for a menu item. This alternative label is only used for
	assistive technologies such as Orca. It is particularly useful for menu
	items where an icon is used to present further information to the user, in which
	case this property can be used to give a textual description of the icon.

2012-01-26  Ted Gould  <ted@gould.cx>

	Include config.h to get the HAVE_GTK3 define

2012-01-26  Ted Gould  <ted@gould.cx>

	Missing comma

2012-01-26  Ted Gould  <ted@gould.cx>

	Change to using the insert/remove signals in GTK3

2012-01-26  Ted Gould  <ted@gould.cx>

	Move the no-error on deprications into the Makefiles so it's always after the -Wall

2012-01-26  Ted Gould  <ted@gould.cx>

	Remove custom WITH_GTK3 and use the HAVE_GTK3

2012-01-12  Ryan Lortie  <desrt@desrt.ca>

	in gtk3, use stock signals instead of Ubuntu-specific ones

2012-01-12  Ryan Lortie  <desrt@desrt.ca>

	Make use of deprecated API non-fatal.

2012-01-26  Ted Gould  <ted@gould.cx>

	Change the icon data to be a byte stream instead of a base64 string

2012-01-26  Ted Gould  <ted@gould.cx>

	Adding a default type for ICON_DATA so we can catch people using it wrong

2012-01-23  Aurélien Gâteau  <aurelien.gateau@canonical.com>

	Change icon-data to contains raw png bytes, without base64 encoding
	
	Reasons:
	- base64 encoding is not necessary because dbusmenu properties can use any
	dbus-supported types.
	- faster: no need to base64 decode/encode images
	- more efficient: base64-encoded data is 1/3 bigger than raw data

2011-12-01  Ted Gould  <ted@gould.cx>

	Add in a check for always-show-image getting a different type

2011-11-29  Ted Gould  <ted@gould.cx>

	Cancelling the idle if the menu item is removed

2012-01-26  Ted Gould  <ted@gould.cx>

	Fixing header directories for GTK3 build

2012-01-05  György Balló  <ballogy@freestart.hu>

	Separate libdbusmenu-glib and libdbusmenu-gtk include directories

2011-11-21  György Balló  <ballogy@freestart.hu>

	Use different directory for headers of gtk3 library

2012-01-24  Ted Gould  <ted@gould.cx>

	Fix GTK3 deprecations

2012-01-16  Mikkel Kamstrup Erlandsen  <mikkel.kamstrup@gmail.com>

	Fix build with gtk3 by ifdeffing the GtkBox/HBox construction in genericmenuitem.c

2011-12-16  Alex Launi  <alex.launi@canonical.com>

	build fixes

2011-12-16  Alex Launi  <alex.launi@canonical.com>

	remove the debian dir I accidentally added (blame bzr build weirdness)

2011-12-16  Alex Launi  <alex.launi@canonical.com>

	set full path of glib enum files

2011-12-16  Alex Launi  <alex.launi@canonical.com>

	Merge debian of lp:~ubuntu-desktop/dbusmenu/ubuntu

2011-12-01  Ted Gould  <ted@gould.cx>

	Add in a check for always-show-image getting a different type

2011-10-13  Ted Gould  <ted@gould.cx>

	Don't try to get objects from boolean values.  Handle the 'always show image' property by getting the image from the object and using that

2011-11-29  Ted Gould  <ted@gould.cx>

	Cancelling the idle if the menu item is removed

2011-11-10  Michael Terry  <michael.terry@canonical.com>

	make sure to cancel an idle callback when the object dies

2011-11-28  Ted Gould  <ted@gould.cx>

	Test is now working on Jenkins

2011-10-26  Alex Launi  <alex.launi@canonical.com>

	Remove test-glib-proxy from XFAIL list

2011-10-13  Ted Gould  <ted@gould.cx>

	0.5.1

2011-10-12  Ted Gould  <ted@gould.cx>

	Allow about-to-show on 0 based items (root items)

2011-09-30  Ken VanDine  <ken.vandine@canonical.com>

	id of 0 in dbusmenu_client_send_about_to_show is valid, and used in appindicators like nm-applet (LP: #862989)

2011-10-12  Ted Gould  <ted@gould.cx>

	Make sure to finally unref the GTK menuitem

2011-10-04  Michael Terry  <michael.terry@canonical.com>

	remove last ref from GtkMenuItems that we create

2011-10-12  Ted Gould  <ted@gould.cx>

	If the child is copied make sure we don't delete the original.

2011-10-05  Michael Terry  <michael.terry@canonical.com>

	when resetting an image widget and it's the only child of the menuitem, make sure we don't try to use free'd memory

2011-09-29  Ted Gould  <ted@gould.cx>

	0.5.0

2011-09-29  Ted Gould  <ted@gould.cx>

	More NULL protection

2011-09-23  Ted Gould  <ted@gould.cx>

	Protecting against NULL private areas

2011-09-27  Ted Gould  <ted@gould.cx>

	Protect from a NULL class

2011-09-23  Ted Gould  <ted@gould.cx>

	Ensure the class is correct

2011-09-27  Ted Gould  <ted@gould.cx>

	Protect client_about_to_show() from abusers

2011-09-23  Ted Gould  <ted@gould.cx>

	Attaching bug

2011-09-23  Ted Gould  <ted@gould.cx>

	Protect an external function better

2011-09-27  Ted Gould  <ted@gould.cx>

	Protect from NULL privates

2011-09-23  Ted Gould  <ted@gould.cx>

	Protect against an odd crash.  Not sure how the private becomes 'NULL'

2011-09-23  Ted Gould  <ted@gould.cx>

	Fix ref leaks in proxy code

2011-09-23  Michael Terry  <michael.terry@canonical.com>

	unref added children in proxy code

2011-09-19  Ted Gould  <ted@gould.cx>

	0.4.94

2011-09-19  Dennis Schridde  <devurandom@gmx.net>

	Adding an optional build of the dumper

2011-09-19  Dennis Schridde  <devurandom@gmx.net>

	Making it so that the Vala build is optional

2011-09-19  Ted Gould  <ted@gould.cx>

	Protect the parse from segfaults

2011-09-19  Ted Gould  <ted@gould.cx>

	Making sure to sink the reference before parsing it.

2011-09-19  Ted Gould  <ted@gould.cx>

	Adding in warnings to protect watch_submenu

2011-09-02  Ted Gould  <ted@gould.cx>

	Fix introspection build

2011-09-02  Dennis Schridde  <devurandom@gmx.net>

	Fix dependencies in introspection build

2011-09-02  Ted Gould  <ted@gould.cx>

	Make the test app not depend on dbusmenu-GTK

2011-09-02  Dennis Schridde  <devurandom@gmx.net>

	Remove unneeded dbusmenu-GTK dep in testapp

2011-09-02  Ted Gould  <ted@gould.cx>

	Fix introspection detection.

2011-09-02  Dennis Schridde  <devurandom@gmx.net>

	Fix detecting introspection when there is none at all

2011-09-02  Ted Gould  <ted@gould.cx>

	Making GTK optional

2011-09-02  Dennis Schridde  <devurandom@gmx.net>

	Make building for GTK optional

2011-09-02  Dennis Schridde  <devurandom@gmx.net>

	Make building tests optional

2011-08-25  Ted Gould  <ted@gould.cx>

	0.4.93

2011-08-25  Ted Gould  <ted@gould.cx>

	Fix packing to use toggle spacing

2011-08-24  Ted Gould  <ted@gould.cx>

	Changing from using hspace to using toggle-space

2011-08-24  Ted Gould  <ted@gould.cx>

	0.4.92

2011-08-24  Ted Gould  <ted@gould.cx>

	Fix signatures on signals

2011-06-28  Chris Coulson  <chrisccoulson@ubuntu.com>

	When there are no removed properties in ItemsPropertiesUpdated, ensure the arguments
	have the correct signature so that they aren't rejected by the client (LP: #799878)

2011-08-24  Ted Gould  <ted@gould.cx>

	Making the capturing of colors from the theme GTK3 specific (it is) so that GTK2 can build

2011-08-24  Ted Gould  <ted@gould.cx>

	0.4.91

2011-08-24  Ted Gould  <ted@gould.cx>

	Adding discriptive text to the enums

2011-08-24  Ted Gould  <ted@gould.cx>

	Ignoring the enum types as well

2011-08-24  Ted Gould  <ted@gould.cx>

	Adding disposition entries to the docs

2011-08-23  Ted Gould  <ted@gould.cx>

	Add in a disposition for menuitems

2011-08-23  Ted Gould  <ted@gould.cx>

	Fixing the color names

2011-08-22  Ted Gould  <ted@gould.cx>

	Fixing the comparision so that we don't block updates

2011-08-22  Ted Gould  <ted@gould.cx>

	Adding in a mnemonic test

2011-08-22  Ted Gould  <ted@gould.cx>

	Adding disposition tests

2011-08-22  Ted Gould  <ted@gould.cx>

	Create a local string with a color if the disposition is non-normal

2011-08-22  Ted Gould  <ted@gould.cx>

	Implement the setter and getter for disposition

2011-08-22  Ted Gould  <ted@gould.cx>

	Add in a disposition and set it at init

2011-08-22  Ted Gould  <ted@gould.cx>

	Set the disposition from the value given and from the enum.

2011-08-22  Ted Gould  <ted@gould.cx>

	Make sure that we get rid of the enum stuff as well

2011-08-22  Ted Gould  <ted@gould.cx>

	Adding in a disposition type and get proper enum generation

2011-08-22  Ted Gould  <ted@gould.cx>

	Adding an enum for the the disposition and functions to set and get it

2011-08-22  Ted Gould  <ted@gould.cx>

	Adding infrastructure to watch for the disposition property.

2011-08-22  Ted Gould  <ted@gould.cx>

	Putting in some headers to make this file easier to read

2011-08-22  Ted Gould  <ted@gould.cx>

	Updating the protocol spec

2011-08-22  Ted Gould  <ted@gould.cx>

	Adding a disposition property in to the header and defaults

2011-08-23  Ted Gould  <ted@gould.cx>

	Fix docs on which GTK is default

2011-06-20  Ted Gould  <ted@gould.cx>

	0.4.90

2011-06-20  Ted Gould  <ted@gould.cx>

	Require a JSON Glib with G_CONST_RETURN removed

2011-06-20  Ted Gould  <ted@gould.cx>

	Marking glib-proxy-test as XFAIL to release.  Captured in bug 799878.

2011-06-17  Ted Gould  <ted@gould.cx>

	Hide a warning that is happening on GTK 3 and breaking the test

2011-06-17  Ted Gould  <ted@gould.cx>

	Make tests build under GTK+ 3

2011-06-17  Ted Gould  <ted@gould.cx>

	Various memory leaks and fixes

2011-06-16  Ted Gould  <ted@gould.cx>

	Answering a TODO

2011-06-16  Ted Gould  <ted@gould.cx>

	Avoid string parsing by using a direct variant new function.

2011-06-16  Jonathan Landis  <jkl102001@yahoo.com>

	Fix for several issues as documented in bug 784890

2011-06-17  Ted Gould  <ted@gould.cx>

	Unsetting the property value

2011-06-16  Jonathan Landis  <jkl102001@yahoo.com>

	Unset the value as specified in bug 785828

2011-06-16  Ted Gould  <ted@gould.cx>

	Matching version number of 0.4 trunk

2011-05-31  Ted Gould  <ted@gould.cx>

	Fix to toggle visibility for Eclipse

2011-04-25  Ted Gould  <ted@gould.cx>

	0.4.4

2011-06-16  Ted Gould  <ted@gould.cx>

	Making the default GTK 3

2011-06-16  Ted Gould  <ted@gould.cx>

	Add a more specific annotation

2011-05-13  Ted Gould  <ted@gould.cx>

	Adding the element type to get_children

2011-05-31  Ted Gould  <ted@gould.cx>

	Toggle visibility to help Eclipse

2011-05-18  Michael Terry  <michael.terry@canonical.com>

	ref menu until we're done toggling its visibility

2011-04-27  Michael Terry  <mike@mterry.name>

	toggle visibility of menus to fix Eclipse RCP apps

2011-05-03  Ted Gould  <ted@gould.cx>

	Removing the serializable menuitem

2011-04-26  Ted Gould  <ted@gould.cx>

	Removing the serializable menu item docs

2011-04-26  Ted Gould  <ted@gould.cx>

	Dropping the serializable menu item.  Not a bad idea, but we can do better.

2011-04-26  Ted Gould  <ted@gould.cx>

	Let's break us some ABI

2011-04-19  Ted Gould  <ted@gould.cx>

	Fix a typo in the signal name to make it match the XML files

2011-04-19  Michael Terry  <mike@mterry.name>

	fix typo that prevented Qt apps from sending some property updates

2011-04-19  Ted Gould  <ted@gould.cx>

	Ref'ing the server for the entire time we're getting the bus

2011-04-18  Ted Gould  <ted@gould.cx>

	Referencing the server for as long as we're looking up the bus.

2011-04-15  Ted Gould  <ted@gould.cx>

	Activating new entries the same as originally parsed ones

2011-04-15  Michael Terry  <mike@mterry.name>

	refactor this branch a bit to rebase on trunk

2011-04-15  Michael Terry  <mike@mterry.name>

	merge from trunk

2011-04-15  Michael Terry  <mike@mterry.name>

	activate new toplevel menu items

2011-04-15  Ted Gould  <ted@gould.cx>

	Only activate items if they have submenus

2011-04-15  Ted Gould  <ted@gould.cx>

	Oops, wrong object type

2011-04-15  Ted Gould  <ted@gould.cx>

	Only activate items that have submenus

2011-04-15  Ted Gould  <ted@gould.cx>

	Make sure we watch new busmenus the same as original ones.

2011-04-15  Michael Terry  <mike@mterry.name>

	watch new submenus for additions and removals

2011-04-14  Ted Gould  <ted@gould.cx>

	0.4.3

2011-04-12  Ted Gould  <ted@gould.cx>

	Handle cases of labels being added later

2011-04-12  Michael Terry  <mike@mterry.name>

	watch empty/separator menu items for any added GtkLabel children, as gnome-commander likes to do

2011-04-12  Ted Gould  <ted@gould.cx>

	Changing the cleanup of GTK Menuitems to avoid undefined references.

2011-04-10  Ted Gould  <ted@gould.cx>

	Ensuring all the menus are hidden before unref'ing root

2011-04-10  Ted Gould  <ted@gould.cx>

	Passing the menuitem instead of finding it.

2011-04-10  Ted Gould  <ted@gould.cx>

	Protecting the label with the null check and don't unref something that shouldn't be.

2011-04-10  Ted Gould  <ted@gould.cx>

	Attaching the data in a way that it'll cleanup itself

2011-04-07  Ted Gould  <ted@gould.cx>

	Attaching bug

2011-04-07  Ted Gould  <ted@gould.cx>

	We have to destroy, why?  Because we want to make sure that the menu having a ref doesn't block us from getting rid of the item.

2011-04-07  Ted Gould  <ted@gould.cx>

	Switching the reference to the GTK Menuitem to be a _sink as well as using set_data_full() instead of a weak ref for unref'ing it.

2011-04-12  Ted Gould  <ted@gould.cx>

	Ensure that we gaurantee the open/clicked/closed event ordering.

2011-04-08  Michael Terry  <mike@mterry.name>

	guard against an activation that does not actually have an associated menu-hide

2011-04-07  Michael Terry  <mike@mterry.name>

	force activated event to be sandwiched by opened/closed events

2011-04-07  Ted Gould  <ted@gould.cx>

	0.4.2

2011-04-07  Ted Gould  <ted@gould.cx>

	Build menus based on teh child-display property

2011-04-05  Ted Gould  <ted@gould.cx>

	Make check to send about-to-show look for properties as well.

2011-04-05  Ted Gould  <ted@gould.cx>

	Attching a bug number

2011-04-05  Ted Gould  <ted@gould.cx>

	Making the debug message better

2011-04-05  Ted Gould  <ted@gould.cx>

	We don't need the parent, cut-and-paste confusion here.

2011-04-05  Ted Gould  <ted@gould.cx>

	Handle the case of the variant being NULL

2011-04-05  Ted Gould  <ted@gould.cx>

	Now that we're using the child-display variable more, let's grab it in the first pass.

2011-04-05  Ted Gould  <ted@gould.cx>

	Then menu should get created when processing the property, so let's warn and exit here if it's not available

2011-04-05  Ted Gould  <ted@gould.cx>

	Passing in the client so that I can get the menuitem in all cases

2011-04-05  Ted Gould  <ted@gould.cx>

	Setting up the shell to handle the children display prop

2011-04-05  Ted Gould  <ted@gould.cx>

	Add a handler for the open/close events and pass them up to GTK

2011-04-05  Michael Terry  <mike@mterry.name>

	respond to opened and closed events for the benefit of any watching application

2011-04-05  Ted Gould  <ted@gould.cx>

	Keep refs to the client and makes sure to disconnect all handlers.

2011-04-05  Michael Terry  <mike@mterry.name>

	fix typo

2011-04-05  Michael Terry  <mike@mterry.name>

	be a little more careful with asynchronous callbacks

2011-04-05  Ted Gould  <ted@gould.cx>

	Don't duplicate flags

2011-04-04  Ted Gould  <ted@gould.cx>

	Don't need SCANNERFLAGS and INTROSPECTION_SCANNER_ARGS both so they dup'd the parameters.

2011-03-31  Ted Gould  <ted@gould.cx>

	0.4.1

2011-03-31  Ted Gould  <ted@gould.cx>

	Ensuring that our iterators have variants to reference and ref'ing them correctly.

2011-03-29  Ted Gould  <ted@gould.cx>

	Be more specific about the shortcut type

2011-03-29  Ted Gould  <ted@gould.cx>

	Split out into another variable

2011-03-28  Ted Gould  <ted@gould.cx>

	Use loop instead of next

2011-03-28  Ted Gould  <ted@gould.cx>

	Putting in some protections from NULL parameters.

2011-03-28  Ted Gould  <ted@gould.cx>

	Don't unref a variant we didn't have a ref to on error

2011-03-31  Ted Gould  <ted@gould.cx>

	Turning GTK Menuitems without labels into separators.

2011-03-30  Chris Coulson  <chrisccoulson@ubuntu.com>

	Remove some code duplication introduced in this branch

2011-03-30  Chris Coulson  <chrisccoulson@ubuntu.com>

	- Don't change the type of existing menu items in the server. This
	isn't handled in the client too well
	- Handle a GtkMenuItem's GtkLabel being removed too

2011-03-30  Chris Coulson  <chrisccoulson@ubuntu.com>

	Remove the now unneeded null pointer check on label in construct_dbusmenu_for_widget.
	Also, don't use a strcmp in widget_notify_cb for checking if the menuitem is a separator. Just do a null pointer
	check on pdata->label instead

2011-03-30  Chris Coulson  <chrisccoulson@ubuntu.com>

	Revert the last commit and handle the same problem in the parser instead

2011-03-29  Chris Coulson  <chrisccoulson@ubuntu.com>

	Don't set a default label for menuitems. Some applications (eg, xchat and pidgin) do silly things like
	creating GtkMenuItems's without a label for separators (rather than using the GtkSeparatorMenuItem class).
	GTK correctly renders these as separators, so we need to handle it too by not setting a default label on these

2011-03-28  Ted Gould  <ted@gould.cx>

	Ensure the parent stays ref'd

2011-03-25  Michael Terry  <mike@mterry.name>

	fix some potential memory issues in hopes of fixing a reported crash

2011-03-28  Ted Gould  <ted@gould.cx>

	Protect our properties parsing a bit more.

2011-03-24  Ted Gould  <ted@gould.cx>

	Attaching bug

2011-03-24  Ted Gould  <ted@gould.cx>

	Put in some more protections on the types for property variants and generate some errors

2011-03-23  Ted Gould  <ted@gould.cx>

	0.4.0

2011-03-23  Ted Gould  <ted@gould.cx>

	Ensure that we don't remove properties that are getting their values updated

2011-03-22  Ted Gould  <ted@gould.cx>

	Protect against NULL properties

2011-03-22  Ted Gould  <ted@gould.cx>

	Remove the link instead of the data

2011-03-22  Ted Gould  <ted@gould.cx>

	Protect the entries that are about to be updated from being removed

2011-03-23  Ted Gould  <ted@gould.cx>

	Switch to using iter_loop to protect from NULL variants

2011-03-21  Ted Gould  <ted@gould.cx>

	A couple more intr_loops with a small memory leak fix

2011-03-21  Ted Gould  <ted@gould.cx>

	Moving from iter_next to iter_loop on a couple more iterators

2011-03-21  Ted Gould  <ted@gould.cx>

	Removing an unneeded iner_new

2011-03-21  Ted Gould  <ted@gould.cx>

	Use iter_loop to handle unref'ing the variants cleanly.

2011-03-22  Ted Gould  <ted@gould.cx>

	Look everywhere for accel closures

2011-03-21  Michael Terry  <mike@mterry.name>

	check menu items for accelerators directly if accel label doesn't have one

2011-03-21  Oleg Shparber  <oleg.shparber@wisetroll.com>

	Entering and exiting the GDK threads when calling up to GTK

2011-03-16  Ted Gould  <ted@gould.cx>

	0.3.102

2011-03-16  Ted Gould  <ted@gould.cx>

	Add handling for children getting removed

2011-03-09  Ted Gould  <ted@gould.cx>

	Update to current trunk

2011-03-08  Ted Gould  <ted@gould.cx>

	If we call the parse function and we already have the menu item built for the passed in value let's just use that and not bother looking any further.

2011-03-08  Ted Gould  <ted@gould.cx>

	Disconnecting the child removed handlers

2011-03-08  Ted Gould  <ted@gould.cx>

	Removing the dbusmenu menuitem from the parent if it gets removed on the GTK side

2011-03-08  Ted Gould  <ted@gould.cx>

	Add a callback for child-removed as well

2011-03-16  Ted Gould  <ted@gould.cx>

	Adding defines for the event identifiers

2011-03-16  Ted Gould  <ted@gould.cx>

	Adding event defines to the documentation.

2011-03-16  Ted Gould  <ted@gould.cx>

	Adding opened and closed to the spec

2011-03-16  Ted Gould  <ted@gould.cx>

	Using the new defines

2011-03-16  Ted Gould  <ted@gould.cx>

	Adding defines for the event ids

2011-03-16  Ted Gould  <ted@gould.cx>

	Send open and close signals when menu visibility changes.

2011-03-16  Michael Terry  <mike@mterry.name>

	add opened and closed events

2011-03-16  Ted Gould  <ted@gould.cx>

	Empty images are images too

2011-03-16  Michael Terry  <mike@mterry.name>

	handle empty image types

2011-03-16  Ted Gould  <ted@gould.cx>

	Removing a noisy warning

2011-03-15  Ted Gould  <ted@gould.cx>

	Not everything is a menuitem

2011-03-16  Ted Gould  <ted@gould.cx>

	Adding needed dependencies to pkgconfig files

2011-03-15  Ted Gould  <ted@gould.cx>

	Adding needed requirements to pkgconfig files.

2011-03-14  Ted Gould  <ted@gould.cx>

	Handle NULL better in finding the label

2011-03-14  Michael Terry  <mike@mterry.name>

	be a little more cautious about pointers in sanitize_label_text

2011-03-14  Ted Gould  <ted@gould.cx>

	Lots of memory leak fixes

2011-03-14  Chris Coulson  <chrisccoulson@ubuntu.com>

	The g_variant_get_* family of calls which return a GVariant
	actually return reference counted, non-floating variant. Ensure that we
	always keep pointers to these so that we can properly unref them.
	
	The same also applies to g_variant_iter_next_value.
	
	Also fix a couple of other minor leaks along the way. This fixes
	LP: #722972

2011-03-10  Ted Gould  <ted@gould.cx>

	0.3.101

2011-03-10  Ted Gould  <ted@gould.cx>

	Ignoring a bunch of files that are annoying

2011-03-10  Ted Gould  <ted@gould.cx>

	Commenting out the Python tests as they don't test what we want

2011-03-10  Ted Gould  <ted@gould.cx>

	Helper to get the cached menuitem from a widget

2011-03-09  Ted Gould  <ted@gould.cx>

	Add to documentation as well

2011-03-09  Ted Gould  <ted@gould.cx>

	Add a function to get the cached menu item

2011-03-10  Ted Gould  <ted@gould.cx>

	Having the GTK Client handle theme directories

2011-03-10  Ted Gould  <ted@gould.cx>

	Check the theme directories on build so we can insure we're up-to-date

2011-03-10  Ted Gould  <ted@gould.cx>

	Also check the status when we get the proxy, not part of this bug, but it'll come along soon enough.

2011-03-10  Ted Gould  <ted@gould.cx>

	On initially getting the proxy we need to check the theme directories to boot strap.

2011-03-09  Ted Gould  <ted@gould.cx>

	Attaching bug

2011-03-09  Ted Gould  <ted@gould.cx>

	Updating to trunk

2011-03-04  Ted Gould  <ted@gould.cx>

	Stealing the code from indicator-application to ref and unref theme directories.

2011-03-04  Ted Gould  <ted@gould.cx>

	Build the theme directory database when we build objects

2011-03-04  Ted Gould  <ted@gould.cx>

	Fleshing out the change functions, but it infact creates more functions.  Whoa! 

2011-03-04  Ted Gould  <ted@gould.cx>

	Making a private variable and making a lifecycle for it.

2011-03-04  Ted Gould  <ted@gould.cx>

	Signal handler for theme directories changing.

2011-03-10  Ted Gould  <ted@gould.cx>

	Memory leak fixes

2011-03-10  Chris Coulson  <chrisccoulson@ubuntu.com>

	Fix various memory leaks

2011-03-09  Ted Gould  <ted@gould.cx>

	Respect use_underscores and add extra _ if not set

2011-03-09  Michael Terry  <mike@mterry.name>

	respect use-underline and use-markup of labels in menu items

2011-03-09  Ted Gould  <ted@gould.cx>

	Protecting from NULL layout_props

2011-03-09  Ted Gould  <ted@gould.cx>

	Check to ensure that layout_props isn't NULL.  Atleast we shouldn't crash.

2011-03-09  Ted Gould  <ted@gould.cx>

	Make sure to remove the value from the hash before signaling it's changed

2011-03-07  Ted Gould  <ted@gould.cx>

	Attach bug

2011-03-07  Ted Gould  <ted@gould.cx>

	Putting in a protection and fixing the truth

2011-03-07  Ted Gould  <ted@gould.cx>

	Steal earlier instead of later so that signal handlers don't find the value in the hashtable

2011-03-07  Ted Gould  <ted@gould.cx>

	Switching to using the extended lookup and getting the key and value

2011-03-09  Ted Gould  <ted@gould.cx>

	Get the label and remove markup so that we get the mnemonics

2011-03-09  Michael Terry  <mike@mterry.name>

	sanitize label text to strip pango markup

2011-03-08  Michael Terry  <mike@mterry.name>

	pass on mnemonics and markup from label

2011-03-09  Ted Gould  <ted@gould.cx>

	Setting the cache and allowing reparenting of items

2011-03-08  Chris Coulson  <chrisccoulson@ubuntu.com>

	Ensure we set the CACHED_MENUITEM data on GtkWidget's

2011-03-08  Ted Gould  <ted@gould.cx>

	Wrap properties

2011-03-08  Michael Terry  <mike@mterry.name>

	wrap PropertiesChanged arguments in a variant

2011-03-04  Ted Gould  <ted@gould.cx>

	Fix the enum templates

2011-03-04  Ted Gould  <ted@gould.cx>

	Use the 'basename' parameter

2011-03-03  Ted Gould  <ted@gould.cx>

	0.3.100

2011-03-03  Ted Gould  <ted@gould.cx>

	Changing the destroy prototype for better GIR support

2011-03-02  Ted Gould  <ted@gould.cx>

	Dropping the destroy handler from the docs

2011-03-02  Ted Gould  <ted@gould.cx>

	Fix the type_destroy_handler to be a GDestroyNotify function

2011-03-02  Ted Gould  <ted@gould.cx>

	Changing the destroy notification function to be a GDestroyNotify for GIR purposes

2011-03-03  Ted Gould  <ted@gould.cx>

	Use proper types on function

2011-02-28  Ted Gould  <ted@gould.cx>

	These should be tuples, and now they are! 

2011-03-03  Ted Gould  <ted@gould.cx>

	Adding support to track icon theme directories

2011-03-03  Ted Gould  <ted@gould.cx>

	Fixing the sections to match our new funcs

2011-03-03  Ted Gould  <ted@gould.cx>

	Should be a tuple

2011-03-03  Ted Gould  <ted@gould.cx>

	Add a 'get' function for the icon theme directories.

2011-03-03  Ted Gould  <ted@gould.cx>

	Changing comment so it can get some GIR lovin'

2011-03-03  Ted Gould  <ted@gould.cx>

	Emit the signal when needed

2011-03-03  Ted Gould  <ted@gould.cx>

	Adding a signal for theme directories changing.

2011-03-02  Ted Gould  <ted@gould.cx>

	Handle getting the property and/or getting an update to it.

2011-03-02  Ted Gould  <ted@gould.cx>

	Adding the private variable for icon directories

2011-03-02  Ted Gould  <ted@gould.cx>

	Changing property name to match DBus recommendations

2011-03-02  Ted Gould  <ted@gould.cx>

	Sync up to trunk

2011-02-22  Ted Gould  <ted@gould.cx>

	Handle the property being grabbed over dbus

2011-02-22  Ted Gould  <ted@gould.cx>

	Fleshing out the function to set the icon dirs

2011-02-22  Ted Gould  <ted@gould.cx>

	Fleshing out getting the dirs

2011-02-22  Ted Gould  <ted@gould.cx>

	Adding a private variable for the string list

2011-02-22  Ted Gould  <ted@gould.cx>

	Adding some documentation

2011-02-22  Ted Gould  <ted@gould.cx>

	Prototypes and stubs for the get/set icon paths

2011-02-22  Ted Gould  <ted@gould.cx>

	Adding a property for icon theme path collection.

2011-02-22  Ted Gould  <ted@gould.cx>

	Getting the love branch

2011-03-02  Ted Gould  <ted@gould.cx>

	Handle the case where the passed in property name could be from the hashtable.

2011-03-01  Ted Gould  <ted@gould.cx>

	Don't tell us everytime, we know you're good, you don't have to brag.

2011-03-01  Ted Gould  <ted@gould.cx>

	Delaying the removal from the hashtable.

2011-03-01  Ted Gould  <ted@gould.cx>

	Putting a protection in for bad key values.

2011-03-02  Ted Gould  <ted@gould.cx>

	Changing the property names to follow the recommended practices.

2011-03-02  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Rename dbus properties to follow dbus naming conventions
	
	- version        => Version
	- text-direction => TextDirection
	- status         => Status

2011-03-01  Ted Gould  <ted@gould.cx>

	Specification cleanups

2011-02-28  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Doc fixes:
	
	- Use "@a foo" for arguments, not "@foo"
	- Rename "recurse" (which sounds boolean) to "recursionDepth"
	- Removed dbusmenu-qt specific annotations

2011-03-01  Ted Gould  <ted@gould.cx>

	Check for valid name before building up variant.

2011-03-01  Ted Gould  <ted@gould.cx>

	Move keyname check before builder is init'd

2011-02-28  Chris Coulson  <chrisccoulson@ubuntu.com>

	Check the return value of gdk_keyval_name, as passing NULL pointers
	to g_variant_builder_add can cause bad things to happen. Might fix LP: #720895

2011-03-01  Ted Gould  <ted@gould.cx>

	Disconnecting theme changed on normal cleanup as well to ensure it's benign.

2011-02-28  Chris Coulson  <chrisccoulson@ubuntu.com>

	Ensure we disconnect theme_changed_cb if the DbusmenuMenuitem disappears, but
	the corresponding GtkMenuItem stays alive. This shouldn't really be a problem, as dbusmenu_item_freed
	*should* do enough cleaning up to ensure that theme_changed_cb is inert if it fires later on. Just do
	this to be safe though

2011-03-01  Ted Gould  <ted@gould.cx>

	Removing properties by setting the variant to NULL to generate signals and cleaning up an associated warning.

2011-03-01  Chris Coulson  <chrisccoulson@ubuntu.com>

	The last commit causes the warning in dbusmenu_menuitem_property_is_default to be thrown
	when removing a property that has no default value. This warning seems bogus though, as any property that is not
	in the menuitems local property list is a default value (as that is what dbusmenu_menuitem_property_get* will return).
	Simplify this function to work like this and drop the warning

2011-02-28  Chris Coulson  <chrisccoulson@ubuntu.com>

	Fix LP: #723873 - when a menuitems property is restored to a default value, the new
	state is not updated correctly on the listening client. Make dbusmenu_menuitem_property_remove call
	dbusmenu_menuitem_property_set_variant with a NULL value rather than manipulating the properties
	directly. When removing a property that has a default value now, it will signal PROPERTY_CHANGED
	with the default value, which means that changing a property from non-default to default over the
	wire (which really just deletes the property) now works correctly. This is also now more aligned with
	how dbusmenu_menuitem_property_get* works, which will return the default value for a property
	after removing the property from the menuitem

2011-03-01  Ted Gould  <ted@gould.cx>

	Adding a weak pointer to the submenu

2011-03-01  Chris Coulson  <chrisccoulson@ubuntu.com>

	Oops, fix a silly typo

2011-03-01  Chris Coulson  <chrisccoulson@ubuntu.com>

	Ensure we hook on to child-added signals from sub GtkMenuShell's. This broke in r220
	in order to stop adding weak pointers on the root shell more than once. Now, we connect the signals when we
	create the DbusmenuMenuitem

2011-03-01  Ted Gould  <ted@gould.cx>

	Have the gir-scanner use the exported interfaces

2011-02-25  Ted Gould  <ted@gould.cx>

	Add enum-types to the exported headers so that language bindings can use them.

2011-02-25  Ted Gould  <ted@gould.cx>

	Switching so that the GIR file is built from our exported H files and objects.

2011-03-01  Ted Gould  <ted@gould.cx>

	Use the right i18n header

2011-02-25  Ted Gould  <ted@gould.cx>

	Use the library i18n instead of the standard one for apps.

2011-03-01  Ted Gould  <ted@gould.cx>

	Making sure to disconnect all signal handlers.

2011-02-28  Michael Terry  <mike@mterry.name>

	disconnect some more signals when menuitem dies

2011-03-01  Ted Gould  <ted@gould.cx>

	Actually use the parent parameter to find the menuitem

2011-03-01  Ted Gould  <ted@gould.cx>

	Actually looking up the parent menu item

2011-02-26  Ted Gould  <ted@gould.cx>

	Fixing to ensure we keep a variant reference.

2011-02-24  Ted Gould  <ted@gould.cx>

	Making sure to grab the variant and dispose of it in handle_event.

2011-02-24  Ted Gould  <ted@gould.cx>

	0.3.99

2011-02-24  Ted Gould  <ted@gould.cx>

	Marking as having details available in the signal

2011-02-24  Ted Gould  <ted@gould.cx>

	Set property to status and return it

2011-02-24  Ted Gould  <ted@gould.cx>

	Changing the property changed handler to get the property instead of using accessor functions that might not be the same

2011-02-23  Mathieu Trudel-Lapierre  <mathieu.trudel-lapierre@canonical.com>

	Rework widget_notify_cb() to get the properties directly.

2011-02-24  Ted Gould  <ted@gould.cx>

	Document the event signal define.

2011-02-24  Ted Gould  <ted@gould.cx>

	Adding in the event signal for the menuitem

2011-02-24  Ted Gould  <ted@gould.cx>

	Fixing signal emition to use the saved value instead of the enum

2011-02-24  Ted Gould  <ted@gould.cx>

	Track the parent inside the menuitem instead of with a data property externally.

2011-02-24  Ted Gould  <ted@gould.cx>

	Add the new functions to the sections doc

2011-02-24  Ted Gould  <ted@gould.cx>

	Adding a transfer annotation for the get_parent function

2011-02-24  Ted Gould  <ted@gould.cx>

	Checking to ensure we're the parent before deleting

2011-02-24  Chris Coulson  <chrisccoulson@ubuntu.com>

	Hold a weak pointer to each DbusmenuMenuitems parent. This avoids
	using g_object_{get/set}_data for storing a nodes parent in the parser code,
	and the associated problems with that (ie, a child out-living its parent, leading
	to invalid reads

2011-02-24  Ted Gould  <ted@gould.cx>

	Unregister the theme signal handler on destruction instead of doing it through an odd reference.

2011-02-24  Ted Gould  <ted@gould.cx>

	Not commenting out code, just deleteing

2011-02-24  Chris Coulson  <chrisccoulson@ubuntu.com>

	Disconnect the theme_changed_cb handler when widgets are destroyed

2011-02-24  Ted Gould  <ted@gould.cx>

	Adding an 'event' signal for generic event handling

2011-02-23  Ted Gould  <ted@gould.cx>

	Switch signal handler to return bool so that we can signal if someone has handled it

2011-02-22  Ted Gould  <ted@gould.cx>

	Sync to trunk

2011-02-22  Ted Gould  <ted@gould.cx>

	Should return VOID

2011-01-28  Ted Gould  <ted@gould.cx>

	Now emit that signal appropriately

2011-01-28  Ted Gould  <ted@gould.cx>

	Adding a signal for events

2011-02-24  Ted Gould  <ted@gould.cx>

	Documentation fixes

2011-02-24  Ted Gould  <ted@gould.cx>

	Bad merge, forgot this change in name

2011-02-24  Ted Gould  <ted@gould.cx>

	Only send property updates if the item has been already requested.

2011-02-18  Ted Gould  <ted@gould.cx>

	Adjusting so that we can check to see if the menu item has been exposed before sending the message.  If it hasn't been we'll remove it from the signal, and perhaps not signal at all.

2011-02-18  Ted Gould  <ted@gould.cx>

	Tracking whether we've been exposed

2011-02-18  Ted Gould  <ted@gould.cx>

	Adding a stub for exposed checking

2011-02-24  Ted Gould  <ted@gould.cx>

	Allow sending only some properties based on what is requested.

2011-02-23  Ted Gould  <ted@gould.cx>

	Search for and process type first

2011-02-23  Ted Gould  <ted@gould.cx>

	Adding visible and enabled to the initial grab.

2011-02-23  Ted Gould  <ted@gould.cx>

	If there's a singular NULL entry we also want the full list

2011-02-21  Ted Gould  <ted@gould.cx>

	When we're being selective we need to ensure we don't unref too boldly.

2011-02-18  Ted Gould  <ted@gould.cx>

	Use the property structures that are from the GetLayout properties

2011-02-18  Ted Gould  <ted@gould.cx>

	Set a fixed set of properties that we ask for when requesting the layout

2011-02-18  Ted Gould  <ted@gould.cx>

	Handle a request for selective properties and give less data back

2011-02-24  Ted Gould  <ted@gould.cx>

	Adding a property to request attention

2011-02-18  Ted Gould  <ted@gould.cx>

	Merge changing from a signal to a property

2011-02-18  Ted Gould  <ted@gould.cx>

	Adds a status property that is gotten over DBus

2011-02-18  Ted Gould  <ted@gould.cx>

	Tracking the status and signaling on DBus if it changes

2011-02-18  Ted Gould  <ted@gould.cx>

	Adding in the status property

2011-02-18  Ted Gould  <ted@gould.cx>

	Fleshing out the getter and setter

2011-02-18  Ted Gould  <ted@gould.cx>

	Adding in some stub functions for the status

2011-02-18  Ted Gould  <ted@gould.cx>

	Adding in a status enum for tracking the status

2011-02-18  Ted Gould  <ted@gould.cx>

	Adding the 'state' property to the XML

2011-02-24  Ted Gould  <ted@gould.cx>

	Adding a property for text direction

2011-02-18  Ted Gould  <ted@gould.cx>

	Instead of defining a signal let's make this a property and use 'notify'

2011-02-18  Ted Gould  <ted@gould.cx>

	Using the proper signal value.  Oops

2011-02-18  Ted Gould  <ted@gould.cx>

	Use a for loop for looking at invalidated properties

2011-02-18  Ted Gould  <ted@gould.cx>

	Updating to trunk

2011-02-18  Ted Gould  <ted@gould.cx>

	Start handling text direction and signal when it changes

2011-02-18  Ted Gould  <ted@gould.cx>

	Adding a nick to value translator

2011-02-18  Ted Gould  <ted@gould.cx>

	Adding a stub for getting the text direction

2011-02-18  Ted Gould  <ted@gould.cx>

	Adding the signal for text direction changing.

2011-02-18  Ted Gould  <ted@gould.cx>

	Adding in the function prototypes for text direction in the client.

2011-02-17  Ted Gould  <ted@gould.cx>

	Making it so that the dbus properties can have more than one.

2011-02-17  Ted Gould  <ted@gould.cx>

	Use the get_nick function to get the value for the signal

2011-02-17  Ted Gould  <ted@gould.cx>

	Adding a get_nick function for our enums

2011-02-17  Ted Gould  <ted@gould.cx>

	Handling set and get of the property.

2011-02-17  Ted Gould  <ted@gould.cx>

	Adding in the server.c file to POTFILES.in to get the default text direction

2011-02-17  Ted Gould  <ted@gould.cx>

	Adding code to determine the default text direction

2011-02-17  Ted Gould  <ted@gould.cx>

	Fleshing out the accessors for the text direction

2011-02-17  Ted Gould  <ted@gould.cx>

	Adding a the text direction stub functions in.

2011-02-17  Ted Gould  <ted@gould.cx>

	Whitespace

2011-02-17  Ted Gould  <ted@gould.cx>

	Adding prototypes for the text direction

2011-02-16  Ted Gould  <ted@gould.cx>

	Adding a property for text direction

2011-02-16  Ted Gould  <ted@gould.cx>

	Ignoring the enum built files

2011-02-16  Ted Gould  <ted@gould.cx>

	Changing the definition style to make mkenums happy.

2011-02-16  Ted Gould  <ted@gould.cx>

	Make sure the text direction isn't in the server

2011-02-16  Ted Gould  <ted@gould.cx>

	Adding building the enums untilthe build system

2011-02-16  Ted Gould  <ted@gould.cx>

	Add the enum helper make file from Clutter

2011-02-16  Ted Gould  <ted@gould.cx>

	Some enum type templates

2011-02-16  Ted Gould  <ted@gould.cx>

	Adding a type for the text direction, putting it in a generic header for all

2011-02-15  Ted Gould  <ted@gould.cx>

	Adding a property for text direction

2011-02-24  Ted Gould  <ted@gould.cx>

	Fix up documentation and make it part of make check

2011-02-21  Ted Gould  <ted@gould.cx>

	Make sure to run the check in the source directory.

2011-02-21  Ted Gould  <ted@gould.cx>

	Fixing the sections in the base doc

2011-02-21  Ted Gould  <ted@gould.cx>

	Adding sections and a little bit of docs to get everything up-to-date.

2011-02-21  Ted Gould  <ted@gould.cx>

	Fixing the dbusmenu gtk menu docs

2011-02-21  Ted Gould  <ted@gould.cx>

	Adding the root structure to the sections docs

2011-02-21  Ted Gould  <ted@gould.cx>

	Fixing up the client documentation

2011-02-21  Ted Gould  <ted@gould.cx>

	Adding a sections file that's all cleaned up.

2011-02-21  Ted Gould  <ted@gould.cx>

	Only one version of the docs, just two builds.

2011-02-21  Ted Gould  <ted@gould.cx>

	Ensuring we don't have an GenericMenuItem in the docs

2011-02-21  Ted Gould  <ted@gould.cx>

	Fixing allow annotation

2011-02-21  Ted Gould  <ted@gould.cx>

	Use the documented API here

2011-02-21  Ted Gould  <ted@gould.cx>

	Adding in a deprecated section

2011-02-21  Ted Gould  <ted@gould.cx>

	Removing some items that it said I needed before... I swear, constantly.

2011-02-21  Ted Gould  <ted@gould.cx>

	Removing the functions moved to the private header

2011-02-21  Ted Gould  <ted@gould.cx>

	Fixing all the menuitem documentation

2011-02-21  Ted Gould  <ted@gould.cx>

	Fixing menuitem proxy docs

2011-02-21  Ted Gould  <ted@gould.cx>

	Block client-private.h from the docs

2011-02-21  Ted Gould  <ted@gould.cx>

	Fixup documentation and move the private functions to a private header file

2011-02-21  Ted Gould  <ted@gould.cx>

	Fixing all of the server docs

2011-02-21  Ted Gould  <ted@gould.cx>

	Making private subsections for private structures

2011-02-21  Ted Gould  <ted@gould.cx>

	Dropping parents that are unused by gtk-doc

2011-02-21  Ted Gould  <ted@gould.cx>

	Not parsing the generated XML header as well

2011-02-21  Ted Gould  <ted@gould.cx>

	Adding in new symbols to the appropriate sections

2011-02-21  Ted Gould  <ted@gould.cx>

	Remove outdated symbols that we don't want in the docs

2011-02-21  Ted Gould  <ted@gould.cx>

	Changing the naming of the CLIENT MENUITEM macro to be standard

2011-02-21  Ted Gould  <ted@gould.cx>

	Making sure the client menu item isn't parsed and remove some oldies.

2011-02-21  Ted Gould  <ted@gould.cx>

	Another update to trunk

2010-06-10  Ted Gould  <ted@gould.cx>

	Catching up to trunk

2010-06-09  Ted Gould  <ted@gould.cx>

	Putting in doc checks

2011-02-24  Ted Gould  <ted@gould.cx>

	Make sure to not recurse if the value says we shouldn't

2011-02-23  Ted Gould  <ted@gould.cx>

	Redefine so that we don't recurse if we shouldn't

2011-02-23  Ted Gould  <ted@gould.cx>

	Don't check defaults with NULL objects

2011-02-23  Ted Gould  <ted@gould.cx>

	Only look at defaults if we have a value to compare with.

2011-02-23  Ted Gould  <ted@gould.cx>

	Cleaning up cleaning up so we don't unref twice and crash

2011-02-23  Chris Coulson  <chrisccoulson@ubuntu.com>

	Various memory error fixes:
	- Don't call g_object_add_weak_pointer multiple times on GtkMenuShell's
	- Ensure we always clean up weak pointers to avoid invalid writes when
	objects are destroyed
	- If a GtkWidget is destroyed before it's DbusmenuMenuitem, don't try to access
	it with g_object_steal_data

2011-02-23  Ted Gould  <ted@gould.cx>

	Fixing the signatures to make them more consistent

2011-02-22  Ted Gould  <ted@gould.cx>

	Changing parameter names to be more descriptive

2011-02-22  Ted Gould  <ted@gould.cx>

	Changing signature to make more sense, comments by agateau

2011-02-22  Ted Gould  <ted@gould.cx>

	Adding defaults to translatable files

2011-02-22  Ted Gould  <ted@gould.cx>

	Support a set of defaults and not sending them over the bus.

2011-02-21  Ted Gould  <ted@gould.cx>

	Changing values to be booleans instead of strings to remove warnings.

2011-02-21  Ted Gould  <ted@gould.cx>

	Fixing test data to not include default data, saving 40K of data.

2011-02-21  Ted Gould  <ted@gould.cx>

	Make sure to either ref or allocate

2011-02-21  Ted Gould  <ted@gould.cx>

	Ensure that we check the local db for the type and don't go all recursive.

2011-02-21  Ted Gould  <ted@gould.cx>

	Fleshing out the check for if a property is a default value.

2011-02-21  Ted Gould  <ted@gould.cx>

	The defaults database can, and should, handle NULL types with fallbacks.

2011-02-21  Ted Gould  <ted@gould.cx>

	If we can't get the value from our database, let's check the defaults.

2011-02-21  Ted Gould  <ted@gould.cx>

	Always replace to ensure we don't leak references.

2011-02-21  Ted Gould  <ted@gould.cx>

	Always check the type even if we don't have a value.

2011-02-21  Ted Gould  <ted@gould.cx>

	Allow for signaling the default value if it makes sense

2011-02-21  Ted Gould  <ted@gould.cx>

	When we're setting a value check to see if it's the same as the default and clear it if so.

2011-02-21  Ted Gould  <ted@gould.cx>

	Making sure to have weak pointer support incase we do drop all the refs

2011-02-21  Ted Gould  <ted@gould.cx>

	Finally getting our very own reference for the defaults

2011-02-21  Ted Gould  <ted@gould.cx>

	Flesh out the getters as well

2011-02-21  Ted Gould  <ted@gould.cx>

	Create a basic setter function and fix our hashtables so they work with it.

2011-02-21  Ted Gould  <ted@gould.cx>

	Building our hash table and making sure it gets cleaned up

2011-02-21  Ted Gould  <ted@gould.cx>

	Create an entry structure and functions for creating and destroying it

2011-02-21  Ted Gould  <ted@gould.cx>

	Setting the core defaults up in a handy table.

2011-02-21  Ted Gould  <ted@gould.cx>

	Putting in stubs for our get/set functions

2011-02-21  Ted Gould  <ted@gould.cx>

	Fleshing out the ref_default

2011-02-21  Ted Gould  <ted@gould.cx>

	Format sanely

2011-02-21  Ted Gould  <ted@gould.cx>

	License headers

2011-02-21  Ted Gould  <ted@gould.cx>

	Setting up the private and some base documentation

2011-02-21  Ted Gould  <ted@gould.cx>

	Adding in a defaults object

2011-02-21  Ted Gould  <ted@gould.cx>

	Fixing annotations and adding tests with python.

2011-02-21  Ted Gould  <ted@gould.cx>

	Fixing the path of the python in the test

2011-02-21  Ted Gould  <ted@gould.cx>

	Bringing along the simple items test as well

2011-02-21  Ted Gould  <ted@gould.cx>

	Fixing distcheck by including py file and cleaning up it's pyc

2011-02-21  Ted Gould  <ted@gould.cx>

	Removing parsing of unneeded comment block

2011-02-21  Ted Gould  <ted@gould.cx>

	Typo in reference

2011-02-21  Ted Gould  <ted@gould.cx>

	Fixing the variable name

2011-02-21  Ted Gould  <ted@gould.cx>

	Fixing transfer from the parser to be full

2011-02-21  Martin Pitt  <martin@piware.de>

	add test-gtk-shortcut-client.py Python GI test
	
	This replicates tests/test-gtk-shortcut-client.c using Python and GI.

2011-02-21  Martin Pitt  <martin@piware.de>

	merge trunk

2011-02-21  Martin Pitt  <martin@piware.de>

	fix typo in annotation

2011-02-21  Martin Pitt  <martin@piware.de>

	add test-glib-simple-items.py Python GI test
	
	This replicates tests/test-glib-simple-items.c using Python and GI. Update the
	Makefile to use the locally generated GI typelibs for the tests.

2011-02-16  Martin Pitt  <martin@piware.de>

	Fix GI annotations for DbusmenuGtk

2011-02-16  Martin Pitt  <martin@piware.de>

	Fix g-ir-scanner file list for gtk
	
	Analoguous to r211 for the GTK library.

2011-02-16  Martin Pitt  <martin@piware.de>

	Fix GI annotations for Dbusmenu
	
	Now everything is introspectable except for
	dbusmenu_client_add_type_handler{,_full}(). These do not take a standard
	GDestroyNotify argument, and thus the newfunc callback cannot get any valid
	scope annotation. To fix this we need to break the API and ABI.

2011-02-16  Martin Pitt  <martin@piware.de>

	Fix g-ir-scanner file list
	
	As the annotations are in the .c files, g-ir-scanner actually needs to read
	them.

2011-02-17  Ted Gould  <ted@gould.cx>

	0.3.98

2011-02-17  Ted Gould  <ted@gould.cx>

	Fixing distcheck

2011-02-15  Ted Gould  <ted@gould.cx>

	Make sure to clean up the reports

2011-02-17  Ted Gould  <ted@gould.cx>

	Grabbing the no xml branch as well, just for completeness

2011-02-15  Ted Gould  <ted@gould.cx>

	Syncing up to the group properties branch so our tests pass

2011-02-17  Ted Gould  <ted@gould.cx>

	Group property changes into a single signal and change GetLayout to not use XML

2011-02-15  Ted Gould  <ted@gould.cx>

	Don't unref the variant as we don't really have a ref to it, it's still floating

2011-02-15  Ted Gould  <ted@gould.cx>

	Making sure all refs sink incase of floating variants

2011-02-15  Ted Gould  <ted@gould.cx>

	Should sink as well if given a floating reference.

2011-02-14  Ted Gould  <ted@gould.cx>

	Splitting a few of these out so they're easier to follow

2011-02-14  Ted Gould  <ted@gould.cx>

	Protecting from the cases of NULL variants

2011-02-14  Ted Gould  <ted@gould.cx>

	Making sure the root isn't NULL before continuing

2011-02-14  Ted Gould  <ted@gould.cx>

	Merging in the no-xml based layout branch

2011-02-14  Ted Gould  <ted@gould.cx>

	Fixing the type to match dbus-menu.xml

2011-02-14  Ted Gould  <ted@gould.cx>

	Get the IDs properly.  ints and unpacked

2011-02-14  Ted Gould  <ted@gould.cx>

	Changing type to make GDBus happy.  Eh.

2011-02-14  Ted Gould  <ted@gould.cx>

	More explicit function calling

2011-02-14  Ted Gould  <ted@gould.cx>

	Fixing the type of the return structure

2011-02-14  Ted Gould  <ted@gould.cx>

	Splitting out the args for easier debugging

2011-02-14  Ted Gould  <ted@gould.cx>

	Making the properties a dictionary

2011-02-14  Ted Gould  <ted@gould.cx>

	Making the build of the message more explicit and correct

2011-02-14  Ted Gould  <ted@gould.cx>

	Dropping libxml

2011-02-14  Ted Gould  <ted@gould.cx>

	Changing the client over from XML to taking in the variant structures

2011-02-14  Ted Gould  <ted@gould.cx>

	Use the recurse parameter

2011-02-14  Ted Gould  <ted@gould.cx>

	Swapt out building XML for building a big variant structure

2011-02-11  Ted Gould  <ted@gould.cx>

	Updating to group prop change signals branch to get the changes there (oh, pull in some trunk too)

2010-10-27  Ted Gould  <ted@gould.cx>

	Changing recurse to an int for the number of levels

2010-10-27  Ted Gould  <ted@gould.cx>

	Adding annotations into the 'GetProperty' method

2010-10-27  Ted Gould  <ted@gould.cx>

	Grouping the property change signals

2010-10-27  Ted Gould  <ted@gould.cx>

	Dropping 'GetChildren' and 'GetProperties' as they're not really useful anymore

2010-10-27  Ted Gould  <ted@gould.cx>

	Grouping the 'in' parameters

2010-10-27  Ted Gould  <ted@gould.cx>

	Adding in the ability to do recursive

2010-10-27  Ted Gould  <ted@gould.cx>

	Changing the comment to describe the new parameters

2010-10-27  Ted Gould  <ted@gould.cx>

	Getting the property names with the layout

2010-10-27  Ted Gould  <ted@gould.cx>

	Changing the return from the 'GetLayout' function

2011-02-14  Ted Gould  <ted@gould.cx>

	Ignore signals if there's no root node

2011-02-14  Ted Gould  <ted@gould.cx>

	Make sure to put these in the right list

2011-02-14  Ted Gould  <ted@gould.cx>

	Adding removing properties on the client side of things.

2011-02-14  Ted Gould  <ted@gould.cx>

	Use NULL to clear all the values in the root item

2011-02-14  Ted Gould  <ted@gould.cx>

	If we get default values of properties, treat them like a clear

2011-02-14  Ted Gould  <ted@gould.cx>

	Adding the remove items list to the message as well.

2011-02-14  Ted Gould  <ted@gould.cx>

	Adding a function to check if the property is a default

2011-02-14  Ted Gould  <ted@gould.cx>

	Adding a removed field to the signal

2011-02-11  Ted Gould  <ted@gould.cx>

	Checking the strcmp0 value properly

2011-02-11  Ted Gould  <ted@gould.cx>

	Setting value to something more obviously wrong

2011-02-11  Ted Gould  <ted@gould.cx>

	Explicitly destroying and recreating the properties on the root node when changed.

2011-02-08  Ted Gould  <ted@gould.cx>

	Unbox the variants if they're boxed

2011-02-08  Ted Gould  <ted@gould.cx>

	IDs should be signed

2011-02-08  Ted Gould  <ted@gould.cx>

	Handling and unrolling the properties updated signal

2011-02-08  Ted Gould  <ted@gould.cx>

	Fleshing out the transformation from arrays to dbus signals.

2011-02-08  Ted Gould  <ted@gould.cx>

	Fleshing out the teardown of the array

2011-02-07  Ted Gould  <ted@gould.cx>

	Fleshing out the add function and making this thing compile! 

2011-02-07  Ted Gould  <ted@gould.cx>

	Basic outline of the function mapped out, no compile.

2011-02-07  Ted Gould  <ted@gould.cx>

	Updating to trunk

2010-10-27  Ted Gould  <ted@gould.cx>

	Dropping the other signals

2010-09-27  Ted Gould  <ted@gould.cx>

	Wrong tense

2010-09-27  Ted Gould  <ted@gould.cx>

	Adding a globbed signal of properties

2011-02-17  Ted Gould  <ted@gould.cx>

	Clean up the handling of icons to be a more robust code path

2011-02-17  Michael Terry  <mike@mterry.name>

	make sure other icon property is removed when setting one

2011-02-10  Michael Terry  <mike@mterry.name>

	fix icon usage -- watch more signals, handle gicons, respect always-show-image better

2011-02-16  Ted Gould  <ted@gould.cx>

	Fixing the GVariant signatures on dbusmenu-dumper

2011-02-16  Martin Pitt  <martin@piware.de>

	tools/dbusmenu-dumper: Proper GVariant handling of gdbus call to make this actually work

2011-02-10  Ted Gould  <ted@gould.cx>

	0.3.97

2011-02-09  Ted Gould  <ted@gould.cx>

	Fixing the naming of the Dbusmenu Glib GIR file

2011-02-09  Ken VanDine  <ken.vandine@canonical.com>

	Fix the name used for the Dbusmenu-Glib-0.4 typelib so it can be properly used with GI.  It should be Dbusmenu-0.4 (LP: #713099)

2011-02-06  Ted Gould  <ted@gould.cx>

	Fixing take to not unref

2011-02-04  Ted Gould  <ted@gould.cx>

	take_children() shouldn't unref the items as they might get deleted before the caller would be abel to use them.  Making sure to put those annotations in the docs.

2011-02-04  Ted Gould  <ted@gould.cx>

	Handle ChildAdded on GtkShell items and clean up the code so that it has single functions for doing common operations.

2011-02-04  Michael Terry  <mike@mterry.name>

	watch for new menu items being added to existing menu shells

2011-02-03  Ted Gould  <ted@gould.cx>

	0.3.96

2011-02-03  Ted Gould  <ted@gould.cx>

	Ensure that we remove signals from the objects we put them on.

2011-02-03  Michael Terry  <mike@mterry.name>

	keep track of objects that we set notifies for

2011-02-02  Michael Terry  <mike@mterry.name>

	disconnect signals when done with menuitem

2011-01-31  Ted Gould  <ted@gould.cx>

	0.3.95

2011-01-31  Ted Gould  <ted@gould.cx>

	Fix the property return signature.

2011-01-31  Michael Terry  <mike@mterry.name>

	fix variant type of props return

2011-01-31  Ted Gould  <ted@gould.cx>

	Handling changing submenus by watching for the notify event

2011-01-31  Ted Gould  <ted@gould.cx>

	Handle the case where we don't have a cached item.  Not sure how that'd be, but we shouldn't let it drop.

2011-01-31  Ted Gould  <ted@gould.cx>

	Switching to take_children() so that we can ensure all the data remains valid

2011-01-28  Michael Terry  <mike@mterry.name>

	notice new submenus

2011-01-31  Ted Gould  <ted@gould.cx>

	Fixing a set of issues with not keeping references to objects in callbacks.

2011-01-31  Ted Gould  <ted@gould.cx>

	Attaching bug number

2011-01-31  Ted Gould  <ted@gould.cx>

	Switching the properties callback to use custom structure so that we can reference the client throughout the callback.

2011-01-31  Ted Gould  <ted@gould.cx>

	Keeping the root so that we can remove the signal handlers.

2011-01-31  Ted Gould  <ted@gould.cx>

	Disconnect realized handler when we don't care about the item anymore.

2011-01-31  Ted Gould  <ted@gould.cx>

	Keep a ref to the client through-out the call to the update

2011-01-27  Ted Gould  <ted@gould.cx>

	0.3.94

2011-01-27  Ted Gould  <ted@gould.cx>

	Making the parser recognize when it hits serializable menu items

2011-01-27  Ted Gould  <ted@gould.cx>

	Fix changing prototypes.

2011-01-27  Ted Gould  <ted@gould.cx>

	Updating to serializeable menuitem branch.  Some function prototype changes.

2011-01-25  Ted Gould  <ted@gould.cx>

	Looking for the serializable menu item and using it's build function if it is one.

2011-01-25  Ted Gould  <ted@gould.cx>

	Getting a parser

2011-01-25  Ted Gould  <ted@gould.cx>

	Get the menu item

2011-01-27  Ted Gould  <ted@gould.cx>

	Adding in a serializable menuitem object

2011-01-27  Ted Gould  <ted@gould.cx>

	Adding some naritive text describing the purpose

2011-01-27  Ted Gould  <ted@gould.cx>

	Adding documentation for the handler functions.

2011-01-27  Ted Gould  <ted@gould.cx>

	Shortening function names to be more reasonable.

2011-01-21  Ted Gould  <ted@gould.cx>

	Ignoring our new doc files

2011-01-21  Ted Gould  <ted@gould.cx>

	Removing generic menu item (it's not public) and adding serializable menu item

2011-01-21  Ted Gould  <ted@gould.cx>

	Adding a transfer annotation

2011-01-21  Ted Gould  <ted@gould.cx>

	Ensuring our double include protectors make g-ir-scanner happy.

2011-01-21  Ted Gould  <ted@gould.cx>

	Fleshing out setting the property

2011-01-21  Ted Gould  <ted@gould.cx>

	Adding in set and get property functions.

2011-01-21  Ted Gould  <ted@gould.cx>

	gtk-doc documentation for public API functions

2011-01-21  Ted Gould  <ted@gould.cx>

	More documentation

2011-01-21  Ted Gould  <ted@gould.cx>

	Add some documentation of the class and object structures.

2011-01-21  Ted Gould  <ted@gould.cx>

	Add serializable menuitem to the single include

2011-01-21  Ted Gould  <ted@gould.cx>

	Updating to trunk

2011-01-20  Ted Gould  <ted@gould.cx>

	Installing a property for the menuitem in the super-class

2011-01-20  Ted Gould  <ted@gould.cx>

	Switching the name to build so that we realize what's going on there.

2011-01-19  Ted Gould  <ted@gould.cx>

	Adding a function to tell the menu item about where it's properties are coming from.

2011-01-19  Ted Gould  <ted@gould.cx>

	Filling out the type handler

2011-01-19  Ted Gould  <ted@gould.cx>

	Switch to having the type handlers have a small structure of all their data and clean themselves up.  Woot! 

2011-01-19  Ted Gould  <ted@gould.cx>

	Adding in some documentation

2011-01-19  Ted Gould  <ted@gould.cx>

	License headers

2011-01-19  Ted Gould  <ted@gould.cx>

	Ignoring the generated file

2011-01-18  Ted Gould  <ted@gould.cx>

	Clean up on failure

2011-01-18  Ted Gould  <ted@gould.cx>

	Build a type handler structure to handle the class struct

2011-01-18  Ted Gould  <ted@gould.cx>

	Setup to the use the full type handler

2011-01-18  Ted Gould  <ted@gould.cx>

	Fixing callback prototypes

2011-01-18  Ted Gould  <ted@gould.cx>

	Adding in a 'full' function to deal with user data and destruction.

2011-01-18  Ted Gould  <ted@gould.cx>

	Setting up the type handler, need more API

2011-01-18  Ted Gould  <ted@gould.cx>

	Changing namespace from IDO to DBusMenu GTK

2011-01-18  Ted Gould  <ted@gould.cx>

	Adding the files to the build

2011-01-18  Ted Gould  <ted@gould.cx>

	Steal the serializable menuitem from IDO

2011-01-27  Ted Gould  <ted@gould.cx>

	Now with a parser.

2011-01-27  Ted Gould  <ted@gould.cx>

	Adding an early check on the type of widget coming into the function.

2011-01-27  Ted Gould  <ted@gould.cx>

	Adding documentation of the public API.

2011-01-26  Ted Gould  <ted@gould.cx>

	Only activating on menu bars.

2011-01-26  Ted Gould  <ted@gould.cx>

	No really, read the comment and make sure that only happens on the highest level

2011-01-26  Michael Terry  <michael.terry@canonical.com>

	Fix to the type of toggle-state to int

2011-01-26  Ted Gould  <ted@gould.cx>

	Factoring out the stack and just tracking the parent as that's all we were using it for really.

2011-01-26  Ted Gould  <ted@gould.cx>

	Adding comments and a check to ensure the item is valid.

2011-01-25  Ted Gould  <ted@gould.cx>

	Moving one up the stack so GtkMenu works as well

2011-01-24  Ted Gould  <ted@gould.cx>

	Fixing referencing warnings on destruction.

2011-01-23  Ted Gould  <ted@gould.cx>

	Stop using the data field in gtk image for GTK3

2011-01-23  Ted Gould  <ted@gould.cx>

	Reimplementing the cache based on object data with signals to cleanup

2011-01-23  Ted Gould  <ted@gould.cx>

	Trying to put back in the visibility notifier to force the rebuild, but I'm not quite sure how to do that yet.

2011-01-23  Ted Gould  <ted@gould.cx>

	For some reason this isn't an object, seems like a builder error, but we're not checking for those really.

2011-01-23  Ted Gould  <ted@gould.cx>

	Needed to go up a level to get recursion code.

2011-01-23  Ted Gould  <ted@gould.cx>

	Adding some debug code, commented out.

2011-01-23  Ted Gould  <ted@gould.cx>

	Adding a child test, but it's failing to make the children.

2011-01-23  Ted Gould  <ted@gould.cx>

	Adding in a basic test that just ensures the parser isn't entirely broken

2011-01-23  Ted Gould  <ted@gould.cx>

	Adding copyright headers

2011-01-23  Ted Gould  <ted@gould.cx>

	Reformating prototypes because it makes the code run faster.

2011-01-23  Cody Russell  <crussell@canonical.com

	Taking the menu parsing code from appmenu-gtk

2011-01-23  Ted Gould  <ted@gould.cx>

	Adding the base files for the parser

2011-01-26  Ted Gould  <ted@gould.cx>

	Consolidate warnings if there isn't a 'use-fallback' property.

2011-01-26  Ted Gould  <ted@gould.cx>

	Actually setting the 'checked' value

2011-01-25  Ted Gould  <ted@gould.cx>

	Adding a little helper to reduce the number of warnings if the property is missing.

2011-01-26  Ted Gould  <ted@gould.cx>

	Fix some memory leaks, we hate those! 

2011-01-21  Ted Gould  <ted@gould.cx>

	Ensuring that all the errors are free'd correctly.

2011-01-21  Ted Gould  <ted@gould.cx>

	Making the hashtable have a full copy and free itself appropriately.

2011-01-26  Ted Gould  <ted@gould.cx>

	Fix the signatures for GetChildren

2011-01-26  Ted Gould  <ted@gould.cx>

	Make the tuple without specifying the type so we don't need to build a new one.

2011-01-26  Ted Gould  <ted@gould.cx>

	Switching to use an internal builder for the tuple to make things more explicit.

2011-01-26  Ted Gould  <ted@gould.cx>

	Changing the builder add call

2011-01-26  Ted Gould  <ted@gould.cx>

	Even though we all love SVG, it's not a valid signature

2011-01-25  Ted Gould  <ted@gould.cx>

	Fixing a critical message being printed

2011-01-25  Michael Terry  <mike@mterry.name>

	avoid critical warning from calling a function on a NULL pointer

2011-01-21  Ted Gould  <ted@gould.cx>

	Adding signle includes

2011-01-21  Ted Gould  <ted@gould.cx>

	Add an include directory for the headers

2011-01-21  Ted Gould  <ted@gould.cx>

	Add a single include for dbusmenu-gtk

2011-01-21  Ted Gould  <ted@gould.cx>

	Add a single include file for dbus-glib

2011-01-20  Ted Gould  <ted@gould.cx>

	0.3.93

2011-01-20  Ted Gould  <ted@gould.cx>

	Increase the level of warning given by the scanner

2011-01-19  Ken VanDine  <ken.vandine@canonical.com>

	added --warn-all to scanner flags so the build log will warn us about missing annotations

2011-01-20  Ted Gould  <ted@gould.cx>

	Fix some crashes when building variants improperly

2011-01-18  Ted Gould  <ted@gould.cx>

	Attach bug

2011-01-18  Ted Gould  <ted@gould.cx>

	Warn when can't parse.

2011-01-18  Ted Gould  <ted@gould.cx>

	Use the message string.

2011-01-18  Ted Gould  <ted@gould.cx>

	Adding warnings on g_variant_parse errors

2011-01-18  Ted Gould  <ted@gould.cx>

	Protecting the final tuple from errors.

2011-01-18  Ted Gould  <ted@gould.cx>

	Fixing builder to only init/finish if there are entries we get.

2011-01-19  Ted Gould  <ted@gould.cx>

	Setup images to use the fallbacks.

2011-01-18  Ted Gould  <ted@gould.cx>

	Set the use-fallback property to TRUE on all our Images

2011-01-19  Ted Gould  <ted@gould.cx>

	Signal an update layout when the object comes on the bus.

2011-01-19  Ted Gould  <ted@gould.cx>

	Moving cleanup to the top of the function.

2011-01-19  Chris Coulson  <chrisccoulson@ubuntu.com>

	Ensure that we can recover from GetLayout failing

2011-01-18  Ted Gould  <ted@gould.cx>

	Send a LayoutUpdated when we register the object.

2011-01-18  Ted Gould  <ted@gould.cx>

	Fixing build with g-ir-scanner on buildds

2011-01-18  Ken VanDine  <ken.vandine@canonical.com>

	Use EXPORT_PACKAGES instead of PACKAGES to prevent circular build depends

2011-01-14  Ted Gould  <ted@gould.cx>

	0.3.92

2011-01-14  Ted Gould  <ted@gould.cx>

	Adding the notdir on the build

2011-01-14  Ted Gould  <ted@gould.cx>

	Unboxing variants if they're in events.

2011-01-13  Ted Gould  <ted@gould.cx>

	0.3.91

2011-01-13  Ted Gould  <ted@gould.cx>

	Fixing packages names for the gir scanner

2011-01-13  Ted Gould  <ted@gould.cx>

	Changing namespace from ayatana.org to canonical.com

2011-01-13  Ted Gould  <ted@gould.cx>

	Ayatana purge

2011-01-13  Ted Gould  <ted@gould.cx>

	Changing the accel reference.

2010-09-24  Ted Gould  <ted@gould.cx>

	Making sure to reference the accel group

2011-01-06  Ted Gould  <ted@gould.cx>

	Adding an about-to-show signal to the menuitem

2010-12-13  Chris Coulson  <chrisccoulson@ubuntu.com>

	Add an about-to-show signal to the menu items and hook this up
	to be emitted when someone calls dbusmenu_menuitem_send_about_to_show

2010-12-13  Chris Coulson  <chrisccoulson@ubuntu.com>

	* Hook in AboutToShow to the menu items

2010-12-13  Chris Coulson  <chrisccoulson@ubuntu.com>

	Bracked public libdbusmenu-gtk/menuitem.h header with G_{BEGIN/END}_DECLS, so it can be used from C++ consumers

2011-01-06  Ted Gould  <ted@gould.cx>

	Allow removing properties with NULL variants or strings.

2011-01-05  Ted Gould  <ted@gould.cx>

	Oops, need to actually assign that return.

2011-01-05  Ted Gould  <ted@gould.cx>

	Testing for the string being NULL before g_variant aborts on it.

2011-01-05  Ted Gould  <ted@gould.cx>

	A new case where the string is NULL

2011-01-05  Ted Gould  <ted@gould.cx>

	Adding a test for removal by string being NULL

2011-01-05  Ted Gould  <ted@gould.cx>

	Adding in the test for variant removal

2011-01-05  Ted Gould  <ted@gould.cx>

	Adding a test to test removing of properties

2011-01-05  Ted Gould  <ted@gould.cx>

	Handling the case of a NULL variant by making it clear the hashtable of that property.

2010-12-09  Ted Gould  <ted@gould.cx>

	Fixing check menu items (and radio)

2010-12-09  Ted Gould  <ted@gould.cx>

	Switching away from using set_activate as that doesn't actually set the value, it just signals, but we're sucking up that signal already so we need to manually create it if we need it, which is the only way to set the active property.  Goofy.

2010-12-09  Ted Gould  <ted@gould.cx>

	Upping the library version as we're different ABI than 0.3.90 even :-/

2010-12-08  Ted Gould  <ted@gould.cx>

	Switching from dbus-glib to GDBus

2010-12-08  Ted Gould  <ted@gould.cx>

	Fixing the requires in the pc files

2010-12-07  Ted Gould  <ted@gould.cx>

	Wrong directory for jsonloader header files.

2010-12-07  Ted Gould  <ted@gould.cx>

	Oops, wrong version -- fixed

2010-12-07  Ted Gould  <ted@gould.cx>

	Updating to trunk with introspection fixes

2010-12-02  Ted Gould  <ted@gould.cx>

	Ignoring the new PC file

2010-12-02  Ted Gould  <ted@gould.cx>

	Renaming the jsonloader pc file

2010-12-02  Ted Gould  <ted@gould.cx>

	Removing a GValue to use the direct functions

2010-12-01  Ted Gould  <ted@gould.cx>

	Making the ints from the JSON file int32s

2010-12-01  Ted Gould  <ted@gould.cx>

	Putting the XSLT Processor into the configuration file.

2010-12-01  Ted Gould  <ted@gould.cx>

	Ignore a bunch of new files.

2010-12-01  Ted Gould  <ted@gould.cx>

	Moving the pc files to be parallel installable.

2010-12-01  Ted Gould  <ted@gould.cx>

	Changing the include directory to be the correct changed one.

2010-12-01  Ted Gould  <ted@gould.cx>

	Merging in trunk changes for dual build and GTK3 fixes

2010-12-01  Ted Gould  <ted@gould.cx>

	Changing API to 0.4

2010-12-01  Ted Gould  <ted@gould.cx>

	Switching API over to 0.4

2010-12-01  Ted Gould  <ted@gould.cx>

	Changing the quoting so that the test passes

2010-12-01  Ted Gould  <ted@gould.cx>

	Removing the flush.  It seems to be broken in GDBus and I can't fix it.

2010-11-29  Ted Gould  <ted@gould.cx>

	oops, forgot a debug message

2010-11-29  Ted Gould  <ted@gould.cx>

	Ah, oops, we shouldn't unref these variants as they're kept in the hashtable, we have them as floating.

2010-11-29  Ted Gould  <ted@gould.cx>

	Switching to use the builder all the way for the strings instead of the GArray

2010-11-29  Ted Gould  <ted@gould.cx>

	Ensuring all returns are protected by tuples for GDBus

2010-11-29  Ted Gould  <ted@gould.cx>

	Fixing the return values from AboutToShow

2010-11-29  Ted Gould  <ted@gould.cx>

	Protect against NULL variants to remove warnings

2010-11-29  Ted Gould  <ted@gould.cx>

	Wrong signal name

2010-11-29  Ted Gould  <ted@gould.cx>

	Switching shortcut parsing code to more directly use the variant iterator

2010-11-23  Ted Gould  <ted@gould.cx>

	Fixing up variant usage

2010-11-23  Ted Gould  <ted@gould.cx>

	Uhm, there's no explaination for this one.  Duh.

2010-11-23  Ted Gould  <ted@gould.cx>

	Convert json loader to using variants

2010-11-23  Ted Gould  <ted@gould.cx>

	Exporting the server before getting the name

2010-11-23  Ted Gould  <ted@gould.cx>

	Adding another todo about the properties... need to do that everywhere

2010-11-23  Ted Gould  <ted@gould.cx>

	Protect update_layout from not having an owner yet, and if we get one immediately call update_layout()

2010-11-19  Ted Gould  <ted@gould.cx>

	Wrong bus name

2010-11-18  Ted Gould  <ted@gould.cx>

	Protecting the invalid root a little bit more and returning a better error.

2010-11-18  Ted Gould  <ted@gould.cx>

	Using the name assigned instead of a default.

2010-11-18  Ted Gould  <ted@gould.cx>

	We can't really be autostarting as we don't know enough to make a judgement there.

2010-11-18  Ted Gould  <ted@gould.cx>

	Oops, messed up the format here.

2010-11-18  Ted Gould  <ted@gould.cx>

	Don't unref the variant we send and fix up debugging messages.

2010-11-18  Ted Gould  <ted@gould.cx>

	Protect against NULL params (which they should be) but not leak just in case

2010-11-18  Ted Gould  <ted@gould.cx>

	Switching to not put into a tuple

2010-11-18  Ted Gould  <ted@gould.cx>

	Oops, drop debug messages

2010-11-18  Ted Gould  <ted@gould.cx>

	Correcting type check

2010-11-18  Ted Gould  <ted@gould.cx>

	Break out of the tuple

2010-11-18  Ted Gould  <ted@gould.cx>

	Setting up the proper builders and interfaces for group_properties

2010-11-18  Ted Gould  <ted@gould.cx>

	Cleaning up the building of a properties variant

2010-11-18  Ted Gould  <ted@gould.cx>

	Cleaning up the building of the property requests

2010-11-18  Ted Gould  <ted@gould.cx>

	Wow, I've learned a lot about better ways to do this :)

2010-11-18  Ted Gould  <ted@gould.cx>

	Fixing our use of GVariant type strings

2010-11-18  Ted Gould  <ted@gould.cx>

	Fixing signal emition when there are new entries added to the property table.

2010-11-18  Ted Gould  <ted@gould.cx>

	Eh, bad truth checking here.

2010-11-18  Ted Gould  <ted@gould.cx>

	This now generates a warning, but unfortunately gtester fails that.

2010-11-18  Ted Gould  <ted@gould.cx>

	Switching to variants in the property changed signals

2010-11-17  Ted Gould  <ted@gould.cx>

	Moving the GValues over to GVariant

2010-11-17  Ted Gould  <ted@gould.cx>

	Fixing our signals and marshallers for them as well

2010-11-17  Ted Gould  <ted@gould.cx>

	Variants in sending over the server connection

2010-11-17  Ted Gould  <ted@gould.cx>

	Dropping set and get value

2010-11-17  Ted Gould  <ted@gould.cx>

	Change all the event handling to use GVariants

2010-11-17  Ted Gould  <ted@gould.cx>

	Switching everything to start using variants... even ahead of GLib

2010-11-17  Ted Gould  <ted@gould.cx>

	Removing the set_value and get_value functions from being used elsewhere in -glib

2010-11-17  Ted Gould  <ted@gould.cx>

	Adding deprecation comment to the documentation.

2010-11-17  Ted Gould  <ted@gould.cx>

	Adding some deprectated flags for the value functions.

2010-11-17  Ted Gould  <ted@gould.cx>

	Replacing the value based functions with variants instead of values.

2010-11-17  Ted Gould  <ted@gould.cx>

	Switch the internal hash table to be variant and implement the set and get functions.  Also TODOs around other needed changes.

2010-11-17  Ted Gould  <ted@gould.cx>

	Porting the dumper to GDBus

2010-11-16  Ted Gould  <ted@gould.cx>

	Getting names the GDBus way

2010-11-16  Ted Gould  <ted@gould.cx>

	Making a test do a name detection, but kinda making it async at the same time.

2010-11-16  Ted Gould  <ted@gould.cx>

	Chaning to get dbus names via GDBus

2010-11-16  Ted Gould  <ted@gould.cx>

	Switching to getting the name with GDBus

2010-11-16  Ted Gould  <ted@gould.cx>

	Redoing the handling of shortcuts to use GVariants rather than GValues

2010-11-16  Ted Gould  <ted@gould.cx>

	It doesn't really match standard GVariant syntax to have this be a const

2010-11-16  Ted Gould  <ted@gould.cx>

	More name grabbing porting from dbus-glib to GDBus

2010-11-16  Ted Gould  <ted@gould.cx>

	Switching to GDBus for getting the name

2010-11-16  Ted Gould  <ted@gould.cx>

	Wow, that blows things out.  Nice! 

2010-11-16  Ted Gould  <ted@gould.cx>

	Ooops, fix the booleans

2010-11-16  Ted Gould  <ted@gould.cx>

	Fix error handling on the xslt script

2010-11-16  Ted Gould  <ted@gould.cx>

	Switching to GDBus from dbus-glib

2010-11-16  Ted Gould  <ted@gould.cx>

	Glib version is using GIO now

2010-11-16  Ted Gould  <ted@gould.cx>

	Taking out the dbus-glib specialized types for now

2010-11-15  Ted Gould  <ted@gould.cx>

	Ignoring the new temp files

2010-11-15  Ted Gould  <ted@gould.cx>

	Cleaning out namespaces from the XML so that GDBus will read it.

2010-11-15  Ted Gould  <ted@gould.cx>

	Some stub functions so that we can compile

2010-11-15  Ted Gould  <ted@gould.cx>

	Oops, unused helper

2010-11-15  Ted Gould  <ted@gould.cx>

	Removing the lookup in the properties to see if an item should be replaced, since we're calling all of them, I don't think we want any leftovers.

2010-11-15  Ted Gould  <ted@gould.cx>

	Changing property update to use variants

2010-11-15  Ted Gould  <ted@gould.cx>

	A set of basically typos caught by the compiler

2010-11-15  Ted Gould  <ted@gould.cx>

	Dropping the name check, need to figure out another way to do this.

2010-11-15  Ted Gould  <ted@gould.cx>

	Changing how the watcher is setup

2010-11-15  Ted Gould  <ted@gould.cx>

	Changing the 'Event' call to use GDBus and GVariant

2010-11-15  Ted Gould  <ted@gould.cx>

	Reshuffling update layout to use GDBus and GVariants

2010-11-15  Ted Gould  <ted@gould.cx>

	Switching over our call to AboutToShow

2010-11-15  Ted Gould  <ted@gould.cx>

	A couple of clean ups from the compiler

2010-11-15  Ted Gould  <ted@gould.cx>

	Completely change layoutcall to be a GCancellable

2010-11-15  Ted Gould  <ted@gould.cx>

	Changing the prototypes for the get_properties wrappers

2010-11-15  Ted Gould  <ted@gould.cx>

	Adding prototypes for the variant functions we're going to need in menuitem

2010-11-15  Ted Gould  <ted@gould.cx>

	Fixing the menuitem_get_properties_cb to use Variants and match the right prototype

2010-11-15  Ted Gould  <ted@gould.cx>

	Changing the properties callback to use the proper prototype and GVariant

2010-11-15  Ted Gould  <ted@gould.cx>

	Changing the prototype for one call to the callback, need a different approach

2010-11-15  Ted Gould  <ted@gould.cx>

	Adding in the dbusmenu interface

2010-11-15  Ted Gould  <ted@gould.cx>

	Blanket replace of DBusGProxy with GDBusProxy

2010-11-15  Ted Gould  <ted@gould.cx>

	Changing the function prototype for properties callback to be local, and make more sense.

2010-11-12  Ted Gould  <ted@gould.cx>

	Adjusting how the menu proxy gets built up and signals connected

2010-11-12  Ted Gould  <ted@gould.cx>

	Reshuffling the creation of the menu proxy to be async with a callback.

2010-11-12  Ted Gould  <ted@gould.cx>

	Adding a cancellable for the menu proxy in the private object

2010-11-12  Ted Gould  <ted@gould.cx>

	Including the interface description and building the objects from it once

2010-11-12  Ted Gould  <ted@gould.cx>

	Removing the proxy for the property interface on the object as GDBus puts that in the standard proxy now

2010-11-12  Ted Gould  <ted@gould.cx>

	Changing the flow for creating the async session bus.  It is now cancellable.

2010-11-12  Ted Gould  <ted@gould.cx>

	Changing the flush

2010-11-12  Ted Gould  <ted@gould.cx>

	Switching the headers and private variables

2010-10-15  Ted Gould  <ted@gould.cx>

	Making signals emit on dbus as well as locally.

2010-10-15  Ted Gould  <ted@gould.cx>

	Porting over AboutToShow

2010-10-15  Ted Gould  <ted@gould.cx>

	Porting over the event function

2010-10-15  Ted Gould  <ted@gould.cx>

	Converting GetProperties

2010-10-14  Ted Gould  <ted@gould.cx>

	Coverting GetProperty

2010-10-14  Ted Gould  <ted@gould.cx>

	Converting over GetChildren

2010-10-14  Ted Gould  <ted@gould.cx>

	Implement the get_properties function

2010-10-14  Ted Gould  <ted@gould.cx>

	Adding a helper function to get the menuitem properties as a variant

2010-10-14  Ted Gould  <ted@gould.cx>

	Porting over GetLayout

2010-10-14  Ted Gould  <ted@gould.cx>

	Fleshing out the method call function to use the table

2010-10-14  Ted Gould  <ted@gould.cx>

	Setting up a method table for the dbus interface

2010-10-14  Ted Gould  <ted@gould.cx>

	Fleshing out the property get function

2010-10-14  Ted Gould  <ted@gould.cx>

	Moving the interface name into a define

2010-10-14  Ted Gould  <ted@gould.cx>

	Whitespace

2010-10-14  Ted Gould  <ted@gould.cx>

	Filling out the vtable

2010-10-14  Ted Gould  <ted@gould.cx>

	Moving globals

2010-10-14  Ted Gould  <ted@gould.cx>

	Changing the registration of the object on the bus

2010-10-14  Ted Gould  <ted@gould.cx>

	Setting up the private variables that we're going to do need to set this stuff up

2010-10-14  Ted Gould  <ted@gould.cx>

	Changing the way the static interface information is generated

2010-10-14  Ted Gould  <ted@gould.cx>

	Ignoring our new file friends

2010-10-13  Ted Gould  <ted@gould.cx>

	Make the XML into something we can include in the source

2010-10-13  Ted Gould  <ted@gould.cx>

	Dropping the built headers from the build

2010-10-13  Ted Gould  <ted@gould.cx>

	Dropping dbus-glib from the build requirements

2010-12-06  Ted Gould  <ted@gould.cx>

	Fixing introspection for Natty

2010-12-06  Ted Gould  <ted@gould.cx>

	Add a check for GIR version less that 10

2010-11-23  Ken VanDine  <ken.vandine@canonical.com>

	Make gtk-doc building gtk3 friendly

2010-11-23  Ken VanDine  <ken.vandine@canonical.com>

	Cleaned up the scanner flags some

2010-11-23  Ken VanDine  <ken.vandine@canonical.com>

	Set more scanner flags to get the namespace right

2010-11-11  Ted Gould  <ted@gould.cx>

	0.3.90

2010-11-11  Ted Gould  <ted@gould.cx>

	Adding in the deprecation flags even if we can't really use them yet.

2010-11-11  Ted Gould  <ted@gould.cx>

	Merging in configurable GTK build option

2010-10-13  Michael Terry  <mike@mterry.name>

	ship both .pc files in EXTRA_DIST

2010-10-06  Michael Terry  <mike@mterry.name>

	instead of always building gtk2 and gtk3, add a --with-gtk= flag to configure to specify which to build with

2010-06-19  Michael Terry  <michael.terry@canonical.com>

	support gtk3 version of libdbusmenu-gtk

2010-10-14  Ted Gould  <ted@gould.cx>

	Only force a flush for the top level of items.

2010-09-27  Ted Gould  <ted@gould.cx>

	Set a maximum number of entries to queue before sending the message.

2010-09-27  Ted Gould  <ted@gould.cx>

	Only flush at the top level

2010-10-13  Ted Gould  <ted@gould.cx>

	Breaking ABI.  Getting back privates and pointers to private area.

2010-10-12  Ted Gould  <ted@gould.cx>

	Switching to using the pointer in the instance

2010-10-12  Ted Gould  <ted@gould.cx>

	Switching to using the pointer in the instance

2010-10-12  Ted Gould  <ted@gould.cx>

	Switching to using the pointer in the instance

2010-10-12  Ted Gould  <ted@gould.cx>

	Switching to using the pointer in the instance

2010-10-12  Ted Gould  <ted@gould.cx>

	Switching to using the pointer in the instance

2010-10-12  Ted Gould  <ted@gould.cx>

	Private pointers in instance structs

2010-10-12  Ted Gould  <ted@gould.cx>

	Putting the pointer to the private area in the instance

2010-10-12  Ted Gould  <ted@gould.cx>

	Going to 6 privates like others

2010-10-12  Ted Gould  <ted@gould.cx>

	Taking back the reserved

2010-10-12  Ted Gould  <ted@gould.cx>

	Change library version

2010-09-22  Ted Gould  <ted@gould.cx>

	0.3.16

2010-09-22  Ted Gould  <ted@gould.cx>

	Removing a typedef in headers as it confuses vapigen

2010-09-22  Ted Gould  <ted@gould.cx>

	Reintroduce the typedef so we don't break the API

2010-09-22  Ted Gould  <ted@gould.cx>

	Removing the typedef for the callback

2010-09-22  David Barth  <david.barth@canonical.com>

	0.3.15

2010-09-21  Ted Gould  <ted@gould.cx>

	Activating items with submenus on about to show

2010-09-17  Ted Gould  <ted@gould.cx>

	Turn about to show into an activate for those with children.

2010-09-21  Ted Gould  <ted@gould.cx>

	Adding in ChangeLog and AUTHORS dist-hooks

2010-09-15  Ted Gould  <ted@gould.cx>

	0.3.14

2010-09-15  Ted Gould  <ted@gould.cx>

	Free'ing an allocated hashtable.

2010-09-15  Ted Gould  <ted@gould.cx>

	Unreffing the hashtable.

2010-09-14  Ted Gould  <ted@gould.cx>

	Putting the passing up the event stack in a timeout.

2010-09-14  Ted Gould  <ted@gould.cx>

	Turns out you should really allocate things with the allocation function.  Who'd have guessed that! 

2010-09-14  Ted Gould  <ted@gould.cx>

	Building up a structure and passing it back on in a callback to clear the bus.

2010-09-09  Ted Gould  <ted@gould.cx>

	0.3.13

2010-08-30  Ted Gould  <ted@gould.cx>

	Adding magic grab code to unfubar menus

2010-08-30  Cody Russell  <crussell@canonical.com>

	Grab your junk.

2010-08-30  Ted Gould  <ted@gould.cx>

	Fix the event signal and add a test for it.

2010-08-27  Ted Gould  <ted@gould.cx>

	Instead of setting the default timeout, we're copying the generated code to set a custom timeout for the event signal

2010-08-27  Ted Gould  <ted@gould.cx>

	Fixing the parameter type

2010-08-27  Ted Gould  <ted@gould.cx>

	Adding checking of all the parameters in the signature

2010-08-27  Ted Gould  <ted@gould.cx>

	Fleshing out the test to get all happy

2010-08-27  Ted Gould  <ted@gould.cx>

	Setting default timeout to 2 seconds.  We need to be responsive.

2010-08-27  Ted Gould  <ted@gould.cx>

	First phase of restructuring these tests, now we can move on to testing.

2010-08-27  Ted Gould  <ted@gould.cx>

	Adding in an events test

2010-08-26  Ted Gould  <ted@gould.cx>

	0.3.12

2010-08-26  Ted Gould  <ted@gould.cx>

	Removing unused variable

2010-08-26  Ted Gould  <ted@gould.cx>

	Report event status up the chain

2010-08-26  Ted Gould  <ted@gould.cx>

	Changing to result instead of just errors.

2010-08-26  Ted Gould  <ted@gould.cx>

	removing bad message

2010-08-26  Ted Gould  <ted@gould.cx>

	Removing death timer message

2010-08-26  Ted Gould  <ted@gould.cx>

	Building a data structure to track all the data we need to emit the event error signal

2010-08-26  Ted Gould  <ted@gould.cx>

	Creating a signal for the error situation on the signal.

2010-08-26  Ted Gould  <ted@gould.cx>

	Adding an event-error slot

2010-08-25  Ted Gould  <ted@gould.cx>

	Show menus when a signal is sent from the menu item

2010-08-23  Ted Gould  <ted@gould.cx>

	Adding a check on the client object from code review

2010-08-20  Ted Gould  <ted@gould.cx>

	Showing items as part of the test to ensure we don't break.

2010-08-20  Ted Gould  <ted@gould.cx>

	Restructuring so that we pass the menu

2010-08-20  Ted Gould  <ted@gould.cx>

	Making it so that items show.

2010-08-20  Ted Gould  <ted@gould.cx>

	Changing to be the right signal in teh server

2010-08-20  Ted Gould  <ted@gould.cx>

	Adding the signal and function to show the menu item to the user.

2010-08-18  Ted Gould  <ted@gould.cx>

	Activate the mnemonic when requested by the server

2010-08-17  Ted Gould  <ted@gould.cx>

	Connected into the item activate signal

2010-08-17  Ted Gould  <ted@gould.cx>

	Passing the signal up the pipe

2010-08-17  Ted Gould  <ted@gould.cx>

	Adding a new signal for when items activate.

2010-08-17  Ted Gould  <ted@gould.cx>

	Getting to the menu item.

2010-08-17  Ted Gould  <ted@gould.cx>

	Getting the signal for the request to activate the item

2010-08-20  Ted Gould  <ted@gould.cx>

	Increasing the maximum size of the XML layout.

2010-08-20  Ted Gould  <ted@gould.cx>

	Increasing the max size of the string

2010-08-19  Ted Gould  <ted@gould.cx>

	0.3.11

2010-08-17  Ted Gould  <ted@gould.cx>

	Makes the layout handle commend nodes better (and thus the KDE layouts).

2010-08-16  Ted Gould  <ted@gould.cx>

	Putting the debugging messages under MASSIVEDEBUGGING

2010-08-16  Ted Gould  <ted@gould.cx>

	Handling comment nodes better.

2010-08-12  Ted Gould  <ted@gould.cx>

	Increasing timer for ARM to get a build.

2010-08-12  Ted Gould  <ted@gould.cx>

	0.3.10

2010-08-12  Ted Gould  <ted@gould.cx>

	Making the dumper sort the properties to make it more predictable.

2010-08-05  Ted Gould  <ted@gould.cx>

	Tools fixes

2010-08-05  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Seems the test passes after all

2010-08-05  Aurelien Gateau  <aurelien.gateau@canonical.com>

	debug--

2010-08-02  Ted Gould  <ted@gould.cx>

	0.3.9

2010-08-02  Ted Gould  <ted@gould.cx>

	Reorder the parsing of the layout tree so that we can request properties in a breadth first manner.

2010-07-20  Ted Gould  <ted@gould.cx>

	Sync to the globbing branch to resolve the conflicts.

2010-07-20  Ted Gould  <ted@gould.cx>

	If there's no idle setup we don't need to worry about flushing, there's nothing to do.

2010-07-20  Ted Gould  <ted@gould.cx>

	After getting all the nodes requested at a particular level we should flush the properties requests.

2010-07-20  Ted Gould  <ted@gould.cx>

	Adding in some comments.

2010-07-20  Ted Gould  <ted@gould.cx>

	Move the parse to the end and make it dual pass through the list of children.

2010-07-20  Ted Gould  <ted@gould.cx>

	Updating properties on the root node.

2010-07-20  Ted Gould  <ted@gould.cx>

	Switching to the assumption that the item is made before calling parse_layout_xml(), and making it true.

2010-07-20  Ted Gould  <ted@gould.cx>

	Turns out you have to pass the right parameters to EVERY function.  They don't teach you that in school.  Test suite FTW.

2010-07-20  Ted Gould  <ted@gould.cx>

	Making it so that we create the child, and then move down it's XML tree.

2010-07-20  Ted Gould  <ted@gould.cx>

	Pulling out the update code into it's own function as well.

2010-07-20  Ted Gould  <ted@gould.cx>

	Pulling out the new item code into a function

2010-07-20  Ted Gould  <ted@gould.cx>

	Grabbing the globbing of properties.

2010-08-02  Ted Gould  <ted@gould.cx>

	Only send layout updates after we reach the idle portion of the mainloop.  Reduces the number sent with rapid updates.

2010-07-20  Ted Gould  <ted@gould.cx>

	Adding in an idle function that queues the updates.

2010-07-20  Ted Gould  <ted@gould.cx>

	Pulling the layout count update into a function along with signalling it.

2010-07-20  Ted Gould  <ted@gould.cx>

	Brining in the globbing properties branch.

2010-08-02  Ted Gould  <ted@gould.cx>

	Grouping property requests into a larger dbus request.

2010-07-20  Ted Gould  <ted@gould.cx>

	Slight optimization to not create a useless structure.

2010-07-20  Ted Gould  <ted@gould.cx>

	Fixing error handling in get_properties_new_cb

2010-07-20  Ted Gould  <ted@gould.cx>

	Adding in an error domain, because, well, GError likes that.

2010-07-20  Ted Gould  <ted@gould.cx>

	Add a check to protect against adding the same ID twice to the queue.

2010-07-20  Ted Gould  <ted@gould.cx>

	Making sure we got a listener before we go all callin' stuff on it.

2010-07-20  Ted Gould  <ted@gould.cx>

	Ensuring that we only reply once.  Shouldn't be an issue...

2010-07-20  Ted Gould  <ted@gould.cx>

	Putting properties debug message under massive debugging.

2010-07-20  Ted Gould  <ted@gould.cx>

	Cleaning up our arrays, with some callbacks, eh, it's what we gotta do.

2010-07-20  Ted Gould  <ted@gould.cx>

	Tracking who we reply to, and ensuring that we reply to everyone.

2010-07-20  Ted Gould  <ted@gould.cx>

	Finding the listener and calling it's callback.

2010-07-19  Ted Gould  <ted@gould.cx>

	Unpacking the array and getting the fields out.

2010-07-19  Ted Gould  <ted@gould.cx>

	Switch array back and use the helpers, duh, now it works.

2010-07-19  Ted Gould  <ted@gould.cx>

	Apparently it's a GValueArray.  Feel like I'm coding freakin' Python.  Guess and check.

2010-07-19  Ted Gould  <ted@gould.cx>

	Initial write of group properties, has errors though :(

2010-07-19  Ted Gould  <ted@gould.cx>

	Fleshing out the callback, need some more data to test though.

2010-07-19  Ted Gould  <ted@gould.cx>

	Building up an idle function, let's issue this on DBus! 

2010-07-19  Ted Gould  <ted@gould.cx>

	Build our two arrays and look at putting data into them.

2010-07-19  Ted Gould  <ted@gould.cx>

	Introducting a function to bring together all our get_properties_async friends.

2010-07-30  Cody Russell  <crussell@canonical.com>

	Bump version to 0.3.8.

2010-07-30  Cody Russell  <crussell@canonical.com>

	Merge open-menu-signal branch.

2010-07-20  Ted Gould  <ted@gould.cx>

	Setting up listening on the menuitems to send the activate signal over.

2010-07-20  Ted Gould  <ted@gould.cx>

	Actually build the signal and put it on the object.

2010-07-20  Ted Gould  <ted@gould.cx>

	Building the signal slot

2010-07-20  Ted Gould  <ted@gould.cx>

	Adding a timestamp

2010-07-20  Ted Gould  <ted@gould.cx>

	Docs and a tense fix

2010-07-20  Ted Gould  <ted@gould.cx>

	Changing to name to match

2010-07-20  Ted Gould  <ted@gould.cx>

	Adding open menu signal

2010-07-22  Cody Russell  <crussell@canonical.com>

	Bump version.

2010-07-22  Cody Russell  <crussell@canonical.com>

	Test fixes.

2010-07-22  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Reverted changes to test-gtk-reorder-server

2010-07-22  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Fix menu order in submenus

2010-07-20  Ted Gould  <ted@gould.cx>

	Making it so that dbus-dumper has a click to dump feature.

2010-07-20  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Unbreak command line parser

2010-07-20  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Clean up

2010-07-20  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Ripped some code from wnckprop to do proper click-to-dump

2010-07-19  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Use pkgconfig to find libx11

2010-07-19  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Started to implement click-to-dump

2010-07-15  Ted Gould  <ted@gould.cx>

	0.3.6

2010-07-14  Ted Gould  <ted@gould.cx>

	Protecting from getting passed NULL GValues

2010-07-14  Ted Gould  <ted@gould.cx>

	Adding protections on dbusmenu_client_send_event()

2010-07-08  Ted Gould  <ted@gould.cx>

	0.3.5

2010-07-07  Ted Gould  <ted@gould.cx>

	Better handling of NULL nodes.

2010-07-07  Ted Gould  <ted@gould.cx>

	Adding NULL protection and a warning

2010-07-07  Ted Gould  <ted@gould.cx>

	Lowering the warning from group not being found warnings.

2010-07-07  Ted Gould  <ted@gould.cx>

	Ratcheting down the warning level of not finding a group.

2010-07-02  Ted Gould  <ted@gould.cx>

	Remove debug message

2010-07-02  Ted Gould  <ted@gould.cx>

	Only tell when we're doing massive debugging.

2010-07-02  Ted Gould  <ted@gould.cx>

	Handle not having a session bus better.

2010-07-02  Ted Gould  <ted@gould.cx>

	Check to ensure we an get the connection before registering the object.

2010-07-01  Ted Gould  <ted@gould.cx>

	0.3.4

2010-06-30  Ted Gould  <ted@gould.cx>

	Ensuring that separators can't have submenus

2010-06-29  Ted Gould  <ted@gould.cx>

	Block separators from getting new submenus

2010-06-30  Ted Gould  <ted@gould.cx>

	Merging in the added JSON functionality branch

2010-06-30  Ted Gould  <ted@gould.cx>

	Flipping argv/c from review

2010-06-28  Ted Gould  <ted@gould.cx>

	Adding in the glib lib too.

2010-06-28  Ted Gould  <ted@gould.cx>

	Typo

2010-06-28  Ted Gould  <ted@gould.cx>

	Adding the need libraries for making the library.

2010-06-28  Ted Gould  <ted@gould.cx>

	Getting the depends in order.

2010-06-28  Ted Gould  <ted@gould.cx>

	Forgot copyright headers

2010-06-28  Ted Gould  <ted@gould.cx>

	Not sure why this flipped, but whatever.

2010-06-28  Ted Gould  <ted@gould.cx>

	Look at all the values instead of just the first.

2010-06-28  Ted Gould  <ted@gould.cx>

	Better name, distcheck fix, cleanup.  Good stuff.

2010-06-28  Ted Gould  <ted@gould.cx>

	Comparing at the end and running under Xvfb

2010-06-28  Ted Gould  <ted@gould.cx>

	Setting timeout longer

2010-06-28  Ted Gould  <ted@gould.cx>

	Redirecting output to a file.

2010-06-28  Ted Gould  <ted@gould.cx>

	Starting to link things together... still not working.

2010-06-28  Ted Gould  <ted@gould.cx>

	Adding a test-client bin

2010-06-28  Ted Gould  <ted@gould.cx>

	Have the proper case for booleans

2010-06-28  Ted Gould  <ted@gould.cx>

	Hmm, bug in dbusmenu-dumper there.

2010-06-28  Ted Gould  <ted@gould.cx>

	Adding in a test json file.

2010-06-28  Ted Gould  <ted@gould.cx>

	Adding a JSON loader

2010-06-28  Ted Gould  <ted@gould.cx>

	Okay, now we've got some basic code for dealing with value arrays

2010-06-28  Ted Gould  <ted@gould.cx>

	Okay, so now we're handling the complex areas.

2010-06-28  Ted Gould  <ted@gould.cx>

	Turn objects into hashmaps

2010-06-28  Ted Gould  <ted@gould.cx>

	Restructuring a bit to make it more reusable.

2010-06-28  Ted Gould  <ted@gould.cx>

	Make the code behave exactly the same but with a function call in the middle.

2010-06-28  Ted Gould  <ted@gould.cx>

	Moving the JSON parsing code into the library.

2010-06-28  Ted Gould  <ted@gould.cx>

	Adding a new testing lib.

2010-06-28  Ted Gould  <ted@gould.cx>

	Ignoring the gtk-doc build files.

2010-06-28  Ted Gould  <ted@gould.cx>

	Updating dbusmenu-dumper to handle collections better

2010-06-28  Ted Gould  <ted@gould.cx>

	Adding an explicit null check.

2010-06-28  Ted Gould  <ted@gould.cx>

	Optimizing the one item in the collection case (common for shortcuts)

2010-06-28  Ted Gould  <ted@gould.cx>

	Abstracting out the choosing of how to dump the value.

2010-06-28  Ted Gould  <ted@gould.cx>

	Handling the printing of strv's as well.

2010-06-28  Ted Gould  <ted@gould.cx>

	Now iterating through the collection and printing those entries out.

2010-06-28  Ted Gould  <ted@gould.cx>

	Printing more like we'd want a collection to print.

2010-06-28  Ted Gould  <ted@gould.cx>

	Giving the depth as well so this can look nice.

2010-06-28  Ted Gould  <ted@gould.cx>

	Splitting out the collection printing.

2010-06-28  Ted Gould  <ted@gould.cx>

	Changing from using a transform to getting the contents

2010-06-24  Ted Gould  <ted@gould.cx>

	0.3.3

2010-06-24  Ted Gould  <ted@gould.cx>

	Make the shortcut structure match Qt

2010-06-23  Ted Gould  <ted@gould.cx>

	Freeing the array wrapper

2010-06-23  Ted Gould  <ted@gould.cx>

	The joy of specialized collections.

2010-06-23  Ted Gould  <ted@gould.cx>

	Start building structures more like the KDE ones.

2010-06-23  Ted Gould  <ted@gould.cx>

	Adding comments

2010-06-23  Ted Gould  <ted@gould.cx>

	Apparently not a collection internally.

2010-06-23  Ted Gould  <ted@gould.cx>

	Reworking to use collection iterators.

2010-06-23  Ted Gould  <ted@gould.cx>

	Eh, that's not a rat hole that I want to go down.  Realized I'd have to build the types with their vtables to go that way.  We'll try using the others.

2010-06-23  Ted Gould  <ted@gould.cx>

	Using our complex types to start looking at things.

2010-06-23  Ted Gould  <ted@gould.cx>

	Building us some custom types.

2010-06-22  Ted Gould  <ted@gould.cx>

	Lowering our protection a little, but hopefully this'll make it happy.

2010-06-22  Ted Gould  <ted@gould.cx>

	Switching around the get function to be GPtrArray-GStrV

2010-06-22  Ted Gould  <ted@gould.cx>

	Cleaning up usage of get_shortcut to only print/set if it sets a key

2010-06-22  Ted Gould  <ted@gould.cx>

	Protect from unexpected arrays on the bus.

2010-06-22  Ted Gould  <ted@gould.cx>

	A couple of warning messages.

2010-06-22  Ted Gould  <ted@gould.cx>

	Not checking just for boxed, looking inside a bit.

2010-06-22  Ted Gould  <ted@gould.cx>

	Checking the final value as well.

2010-06-22  Ted Gould  <ted@gould.cx>

	Refactoring to make things more clear

2010-06-22  Ted Gould  <ted@gould.cx>

	Putting in several GValue checks to ensure we're getting what we thing we're getting.

2010-06-22  Ted Gould  <ted@gould.cx>

	Fixing the getting accel from a menu item.

2010-06-22  Cody Russell  <crussell@canonical.com>

	Fix setting shortcuts from GtkMenuItem

2010-06-22  Ted Gould  <ted@gould.cx>

	Autogen fix

2010-06-22  Cody Russell  <crussell@canonical.com>

	Pass args gnome-autogen.sh

2010-06-21  Ted Gould  <ted@gould.cx>

	Adding support for accelerators.

2010-06-21  Cody Russell  <crussell@canonical.com>

	Mainline merge, resolve conflicts.

2010-06-21  Cody Russell  <crussell@canonical.com>

	Add the accelerators.

2010-06-15  Ted Gould  <ted@gould.cx>

	Adding a debug message

2010-06-15  Ted Gould  <ted@gould.cx>

	Switching to control L just in case

2010-06-15  Ted Gould  <ted@gould.cx>

	Making sure the accel group gets added to the window

2010-06-15  Ted Gould  <ted@gould.cx>

	Making the path more unique and using the lower level path set function.

2010-06-15  Ted Gould  <ted@gould.cx>

	Setting the accel widget for the accel label.

2010-06-15  Ted Gould  <ted@gould.cx>

	Switch to using the accel map with paths

2010-06-14  Ted Gould  <ted@gould.cx>

	More robust comparison

2010-06-14  Ted Gould  <ted@gould.cx>

	Switching get over to a GValueArray too! 

2010-06-14  Ted Gould  <ted@gould.cx>

	Block the case where the label is being init'd to NULL

2010-06-14  Ted Gould  <ted@gould.cx>

	Switching to a value array from a ptrarray

2010-06-14  Ted Gould  <ted@gould.cx>

	Building a shortcut test

2010-06-14  Ted Gould  <ted@gould.cx>

	Connecting up the refresh cycles to property changes and creation.

2010-06-14  Ted Gould  <ted@gould.cx>

	Adding a function to refresh the shortcut of a menuitem.

2010-06-14  Ted Gould  <ted@gould.cx>

	Restructuring to use a structure to get cleaner type checking.

2010-06-14  Ted Gould  <ted@gould.cx>

	Fleshing out setting and getting the accel group

2010-06-14  Ted Gould  <ted@gould.cx>

	Adding a private area on to the client.

2010-06-14  Ted Gould  <ted@gould.cx>

	Add two functions for setting and getting the accelerator group.

2010-06-14  Ted Gould  <ted@gould.cx>

	Switching to an accel label

2010-06-14  Ted Gould  <ted@gould.cx>

	Sending the test image along with the other data.

2010-06-14  Ted Gould  <ted@gould.cx>

	Testing we can get the modifier back out.

2010-06-14  Ted Gould  <ted@gould.cx>

	Fleshing out getting the shortcut

2010-06-14  Ted Gould  <ted@gould.cx>

	initing the value array properly

2010-06-14  Ted Gould  <ted@gould.cx>

	Putting more sensible names in the gtester output

2010-06-14  Ted Gould  <ted@gould.cx>

	Add a test to set the shortcut on a menuitem

2010-06-14  Ted Gould  <ted@gould.cx>

	Adding in a test for the pixbuf property

2010-06-14  Ted Gould  <ted@gould.cx>

	Adding a test image

2010-06-14  Ted Gould  <ted@gould.cx>

	Adding in a new gtester test suite.

2010-06-14  Ted Gould  <ted@gould.cx>

	Checking the validity of the key combo.

2010-06-14  Ted Gould  <ted@gould.cx>

	Fleshing out getting the accelerator from the menuitem.

2010-06-14  Ted Gould  <ted@gould.cx>

	Comment fixes

2010-06-14  Ted Gould  <ted@gould.cx>

	Adding in a prototype for stealing the shortcut off of a menuitem.

2010-06-09  Ted Gould  <ted@gould.cx>

	Switching things around to expose the key and modifier more as it's more useful.

2010-06-09  Ted Gould  <ted@gould.cx>

	Fleshing out building the shortcut array.

2010-06-08  Ted Gould  <ted@gould.cx>

	Dummy functions to get and set the shortcut

2010-06-08  Ted Gould  <ted@gould.cx>

	The shortcut strings defined.

2010-06-18  Ted Gould  <ted@gould.cx>

	Fixing property name

2010-06-17  Ted Gould  <ted@gould.cx>

	Wrong name for the property

2010-06-10  Ted Gould  <ted@gould.cx>

	Do an extra check for the name to fix some Hudson tests.

2010-06-10  Ted Gould  <ted@gould.cx>

	Adding an extra callback to catch a race condition

2010-06-10  Ted Gould  <ted@gould.cx>

	Fixes to make a distcheck without building first.

2010-06-10  Ted Gould  <ted@gould.cx>

	Adding a dummy sgml file.

2010-06-10  Ted Gould  <ted@gould.cx>

	Apparently you can't use EXTRA_DIST like this with gtk-doc.  Why be normal? 

2010-06-10  Ted Gould  <ted@gould.cx>

	Trying a dummy sgml file

2010-06-10  Ted Gould  <ted@gould.cx>

	0.3.2

2010-06-10  Ted Gould  <ted@gould.cx>

	Adding in a formal sections definition

2010-06-10  Ted Gould  <ted@gould.cx>

	Adding server and client dbus interfaces to the ignored header files.

2010-06-10  Ted Gould  <ted@gould.cx>

	Set the child-display property automatically on menuitems that have children.

2010-06-08  Ted Gould  <ted@gould.cx>

	Some more debugging messages.  Cleaning up a bit.

2010-06-08  Ted Gould  <ted@gould.cx>

	Realization watching for the children display

2010-06-08  Ted Gould  <ted@gould.cx>

	Making the layouts useful for us.

2010-06-08  Ted Gould  <ted@gould.cx>

	Ignoring the submenu tests

2010-06-08  Ted Gould  <ted@gould.cx>

	Building the submenu tests

2010-06-08  Ted Gould  <ted@gould.cx>

	Stealing the layout test to make a submenu test

2010-06-07  Ted Gould  <ted@gould.cx>

	When removing items we need to remove the submenu property.

2010-06-07  Ted Gould  <ted@gould.cx>

	When we're adding the children we're setting the 'submenu' value.

2010-06-07  Ted Gould  <ted@gould.cx>

	Strings to build the submenu property

2010-06-09  Ted Gould  <ted@gould.cx>

	Adds support for gtk-doc

2010-06-09  Ken VanDine  <ken.vandine@canonical.com>

	For building with --enable-gtk-doc for distcheck

2010-06-09  Ken VanDine  <ken.vandine@canonical.com>

	Build gtk-doc (LP: #422087)

2010-06-07  Ted Gould  <ted@gould.cx>

	Adding shortcut property to documentation.

2010-06-07  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Document "shortcut" property

2010-06-04  Ted Gould  <ted@gould.cx>

	0.3.1

2010-06-04  Ted Gould  <ted@gould.cx>

	Changing some of our annotations so they build better on updated g-ir-scanner

2010-06-04  Ted Gould  <ted@gould.cx>

	Fixing annotations, no everything is happy.

2010-05-28  Ted Gould  <ted@gould.cx>

	Flattening out the documentation to make it so that it gets picked up by g-ir-scanner.

2010-05-27  Ted Gould  <ted@gould.cx>

	Changing the comment style to make g-ir-scanner happy.

2010-05-27  Ted Gould  <ted@gould.cx>

	Fixing annotations on the pointer prototypes.

2010-05-27  Ted Gould  <ted@gould.cx>

	Breaking out the buildxml function into it's own type for annotations

2010-05-27  Ted Gould  <ted@gould.cx>

	Trying to document the array type and a couple closure parameters

2010-05-27  Ted Gould  <ted@gould.cx>

	0.3.0

2010-05-27  Ted Gould  <ted@gould.cx>

	Adding a simple function to get the submenu on the menuitem.

2010-05-26  Ted Gould  <ted@gould.cx>

	Adding a small function to get the submenu of an item.

2010-05-27  Ted Gould  <ted@gould.cx>

	Fix signal for ID update

2010-05-27  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Make sure the ItemUpdated signal matches with what is written in the xml file

2010-05-21  Ted Gould  <ted@gould.cx>

	Changing the version string to match how people refer to the gir file.

2010-05-20  Ted Gould  <ted@gould.cx>

	Fix the construction of the VAPI files.

2010-05-20  Ted Gould  <ted@gould.cx>

	Cleaning up the ignores

2010-05-20  Ted Gould  <ted@gould.cx>

	Adding in the headers for the library.

2010-05-20  Ted Gould  <ted@gould.cx>

	Changing where we get glib from

2010-05-20  Ted Gould  <ted@gould.cx>

	Adding c includes to the introspector

2010-05-20  Ted Gould  <ted@gould.cx>

	Changing the name of the gir files and adding namespace flags to make everything shrink correctly.

2010-05-10  Ted Gould  <ted@gould.cx>

	Reject text nodes to avoid erros.

2010-05-09  Ted Gould  <ted@gould.cx>

	Check to make sure they're real nodes before parsing more.

2010-05-06  Ted Gould  <ted@gould.cx>

	Documentation title page

2010-05-03  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Added main page

2010-04-17  Ted Gould  <ted@gould.cx>

	Cleaning up refcounting

2010-04-16  Ted Gould  <ted@gould.cx>

	Now that we're not reffing the root locally, we need to only unref it if we're changing roots

2010-04-16  Ted Gould  <ted@gould.cx>

	Adding references when calling the properties callbacks as items could get destroyed in transit.

2010-04-16  Ted Gould  <ted@gould.cx>

	Removing the unref that was causing issues so that we can remove an extra ref of the root item.

2010-04-16  Ted Gould  <ted@gould.cx>

	Make sure to send the signal *before* unrefing so the object exists

2010-04-16  Ted Gould  <ted@gould.cx>

	Reffing oldroot again.

2010-04-16  Ted Gould  <ted@gould.cx>

	Since we already have a ref to root, we don't need to make another.

2010-04-16  Ted Gould  <ted@gould.cx>

	Unreffing the object after it's been put into a menu.

2010-04-15  Ted Gould  <ted@gould.cx>

	Changing the GTK layer to look at the realized location instead of the absolute location in the menu ordering.

2010-04-15  Ted Gould  <ted@gould.cx>

	Making every insertion now use the realized position.  It HAS to be one of these.

2010-04-14  Ted Gould  <ted@gould.cx>

	Using get_position_realized in the GTK layer to avoid realization races.

2010-04-14  Ted Gould  <ted@gould.cx>

	Adding a function to only get the position in the children that are realized.

2010-04-14  Ted Gould  <ted@gould.cx>

	Use the set realized function in the client.

2010-04-14  Ted Gould  <ted@gould.cx>

	Adding two functions to set and get the realized state.

2010-04-14  Ted Gould  <ted@gould.cx>

	Man I suck

2010-04-14  Ted Gould  <ted@gould.cx>

	Truth sucks

2010-04-14  Ted Gould  <ted@gould.cx>

	Keep an internal reference to the children.

2010-04-14  Ted Gould  <ted@gould.cx>

	Return error if we can't find parent in a buildxml routine

2010-04-14  Ted Gould  <ted@gould.cx>

	Fail if we add a child to a menu that already has that child.

2010-04-14  Ted Gould  <ted@gould.cx>

	A couple of code review comments

2010-04-02  Ted Gould  <ted@gould.cx>

	Visibilty documentation

2010-04-02  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Document "visible" property

2010-04-01  Ted Gould  <ted@gould.cx>

	0.2.9

2010-04-01  Ted Gould  <ted@gould.cx>

	Documentation Fix

2010-03-31  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Changed default value for toggle-state

2010-03-31  Ted Gould  <ted@gould.cx>

	Switching menu updating to be friendlier

2010-03-31  Ted Gould  <ted@gould.cx>

	Changing the parse function from using take_children to get_children.

2010-03-31  Ted Gould  <ted@gould.cx>

	Merging in support for sending AboutToShow events.

2010-03-31  Ted Gould  <ted@gould.cx>

	Bringing up to date with trunk

2010-03-31  Ted Gould  <ted@gould.cx>

	Fixing the calls into the about_to_show stuff so that we can add callbacks.

2010-03-31  Ted Gould  <ted@gould.cx>

	Adding a set of callbacks so that we can respond to the about to show request.

2010-03-31  Ted Gould  <ted@gould.cx>

	Removing a debug message

2010-03-31  Ted Gould  <ted@gould.cx>

	Adding a bunch of comments

2010-03-03  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Send about_to_show when showing the first-level menu.

2010-03-03  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Send about_to_show instead of "clicked" when opening a submenu

2010-03-03  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Started to implement about-to-show support

2010-03-31  Ted Gould  <ted@gould.cx>

	Update to clean up dbusmenu on syncing so we have references properly.

2010-03-31  Ted Gould  <ted@gould.cx>

	Unreffing always when updating.

2010-03-31  Ted Gould  <ted@gould.cx>

	Removing this error.  It's reasonable for this to happen, and the correction is that when we DO get the item, we'll ask for all of it's properties.

2010-03-31  Ted Gould  <ted@gould.cx>

	When the proxies drop, we need to assume we're starting over with revision numbers too.

2010-03-25  Ted Gould  <ted@gould.cx>

	0.2.8

2010-03-24  Ted Gould  <ted@gould.cx>

	We shouldn't need to unref, as we don't have a ref.

2010-03-24  Ted Gould  <ted@gould.cx>

	Adding support for blank icons

2010-03-24  Ted Gould  <ted@gould.cx>

	Moving the requesition to be for all icons.  No reason not to just double check.

2010-03-24  Ted Gould  <ted@gould.cx>

	Checking for blank icon when we get a pixmap paramater.

2010-03-23  Ted Gould  <ted@gould.cx>

	This is crazy

2010-03-18  Ted Gould  <ted@gould.cx>

	Add alignment settings to the icons

2010-03-18  Ted Gould  <ted@gould.cx>

	Adding a blank item test, replacing sick.  Bad icon.

2010-03-18  Ted Gould  <ted@gould.cx>

	Check to see if we sent the blank icon, and space appropriately.

2010-03-18  Ted Gould  <ted@gould.cx>

	Adding a define to provide a blank icon in the icon name

2010-03-23  Ted Gould  <ted@gould.cx>

	Removing an unnecissary warning.

2010-03-23  Cody Russell  <crussell@canonical.com>

	Remove warning

2010-03-10  Ted Gould  <ted@gould.cx>

	Typo

2010-03-10  Kalle Valo  <kalle.valo@canonical.com>

	Fix a typo in dbusmenu_menuitem_take_children() documentation. It wasn't
	fully clear if the "no" was actually "now" or "not", but based on the code
	I assume that it should be "now".

2010-03-04  Ted Gould  <ted@gould.cx>

	0.2.7

2010-03-02  Ted Gould  <ted@gould.cx>

	Pulling GIRs from the build dir

2010-03-02  Ted Gould  <ted@gould.cx>

	Fixing the directory path for the glib gir file and making sure we clean up the girs.

2010-03-02  Ted Gould  <ted@gould.cx>

	Building the gir files at build time instead of at dist.

2010-03-01  Ted Gould  <ted@gould.cx>

	Building GIR, typelib and VAPI files.

2010-03-01  Ted Gould  <ted@gould.cx>

	Adding the temp file to the clean stuff

2010-03-01  Ted Gould  <ted@gould.cx>

	Generating the VAPI files

2010-03-01  Ted Gould  <ted@gould.cx>

	Adding in VAPI generation

2010-03-01  Ted Gould  <ted@gould.cx>

	Looking for vapigen

2010-02-28  Ted Gould  <ted@gould.cx>

	Change version number to 0.2

2010-02-28  Ted Gould  <ted@gould.cx>

	Ignoring the generated GI files.

2010-02-28  Ted Gould  <ted@gould.cx>

	Generating the introspection data

2010-02-26  Ted Gould  <ted@gould.cx>

	Only intropsecting the headers instead of all the files.

2010-02-26  Ted Gould  <ted@gould.cx>

	First pass at building GIR.  Still errors

2010-02-26  Ted Gould  <ted@gould.cx>

	Cleaning up the make file and making sure to enable introspection for distcheck.

2010-02-26  Ted Gould  <ted@gould.cx>

	GObject in the configure script

2010-02-26  Ted Gould  <ted@gould.cx>

	Adding in the introspection M4 file

2010-02-25  Ted Gould  <ted@gould.cx>

	Using a pointer formatting command for tests

2010-02-25  Robert Collins  <robertc@robertcollins.net>

	Fix build failures on amd64

2010-02-25  Ted Gould  <ted@gould.cx>

	0.2.6

2010-02-24  Ted Gould  <ted@gould.cx>

	Removing delayed proerty update.  It seems to break things and I can't figure out why.  I wasn't ever able to get it to kick in and make a difference, so the feature is probably academic anyway.  I'm still unhappy that I can't figure out what's going here though.

2010-02-24  Ted Gould  <ted@gould.cx>

	Removing delaying hte properties

2010-02-19  Ted Gould  <ted@gould.cx>

	Updates to make the proxy test more reliable

2010-02-19  Ted Gould  <ted@gould.cx>

	Longer timeout :-/

2010-02-19  Ted Gould  <ted@gould.cx>

	Don't need to send a signal at start

2010-02-19  Ted Gould  <ted@gould.cx>

	No dummy update

2010-02-19  Ted Gould  <ted@gould.cx>

	Putting the layout number on the root element

2010-02-19  Ted Gould  <ted@gould.cx>

	Adding a submenu to get layout changed.

2010-02-19  Ted Gould  <ted@gould.cx>

	Starting in the right place

2010-02-19  Ted Gould  <ted@gould.cx>

	Adding a timeout to the server

2010-02-19  Ted Gould  <ted@gould.cx>

	Shorter timeout.

2010-02-19  Ted Gould  <ted@gould.cx>

	Setting signals back down the pipe

2010-02-19  Ted Gould  <ted@gould.cx>

	Changing from a timeout to a signal of change.

2010-02-18  Ted Gould  <ted@gould.cx>

	0.2.5

2010-02-18  Ted Gould  <ted@gould.cx>

	Adds a menuitem proxy object to glib and applies various fixes through that this uncovered.

2010-02-13  Ted Gould  <ted@gould.cx>

	Properly handing a child changing to make sure to recurse down the structure setting up the signals.

2010-02-13  Ted Gould  <ted@gould.cx>

	Adding a further multi-level test.

2010-02-13  Ted Gould  <ted@gould.cx>

	Making it so that NULL roots also cause the items to get delayed until we have a root element.

2010-02-12  Ted Gould  <ted@gould.cx>

	Putting in code to undo the array as the layouts get updated.

2010-02-12  Ted Gould  <ted@gould.cx>

	Start to delay ID updates that are gotten when we know we're out of sync.

2010-02-12  Ted Gould  <ted@gould.cx>

	Ignoring Layout changes when they don't relate to having one.

2010-02-12  Ted Gould  <ted@gould.cx>

	Creating the delayed array, and cleaning it up too.

2010-02-12  Ted Gould  <ted@gould.cx>

	not setting the IDs as we're not using them on the other side anyway

2010-02-12  Ted Gould  <ted@gould.cx>

	Only changing layouts when they're updated.

2010-02-10  Ted Gould  <ted@gould.cx>

	Lengthening the time to make it through all the proxies.

2010-02-10  Ted Gould  <ted@gould.cx>

	Fleshing out the moved function.

2010-02-10  Ted Gould  <ted@gould.cx>

	Fleshing out delete

2010-02-10  Ted Gould  <ted@gould.cx>

	Accessor for the mi private variable

2010-02-10  Ted Gould  <ted@gould.cx>

	Making this a little crazy, lots of proxies.

2010-02-10  Ted Gould  <ted@gould.cx>

	Debug message

2010-02-10  Ted Gould  <ted@gould.cx>

	Can't verify IDs because the proxy scrambles them (and that's okay).

2010-02-10  Ted Gould  <ted@gould.cx>

	Making submenus to cause layout changes to queue both sides as the root item isn't changing.

2010-02-09  Ted Gould  <ted@gould.cx>

	Adding children in.

2010-02-09  Ted Gould  <ted@gould.cx>

	Killing our children

2010-02-09  Ted Gould  <ted@gould.cx>

	Stealing (caching) all of the properties now too! 

2010-02-09  Ted Gould  <ted@gould.cx>

	Storing the handler IDs so that we can easily disconnect the signals later.

2010-02-09  Ted Gould  <ted@gould.cx>

	Setting up signals, and the easy ones are filled out.

2010-02-09  Ted Gould  <ted@gould.cx>

	Oops, damn dislxeia

2010-02-09  Ted Gould  <ted@gould.cx>

	Building the proxy item new function.

2010-02-09  Ted Gould  <ted@gould.cx>

	Connecting to the proxy baby.

2010-02-09  Ted Gould  <ted@gould.cx>

	Setting up a client, and handling root changes.

2010-02-09  Ted Gould  <ted@gould.cx>

	Oops, get that in the script! 

2010-02-09  Ted Gould  <ted@gould.cx>

	First setup a server.

2010-02-09  Ted Gould  <ted@gould.cx>

	Fixing build

2010-02-09  Ted Gould  <ted@gould.cx>

	Setting up building our little proxy test.

2010-02-09  Ted Gould  <ted@gould.cx>

	Setting this stuff up.  Woot.

2010-02-09  Ted Gould  <ted@gould.cx>

	Initial proxy files, copying from the properties test.

2010-02-09  Ted Gould  <ted@gould.cx>

	Reffing it and pulling it into the private struct.

2010-02-09  Ted Gould  <ted@gould.cx>

	Setting up code to get and set the menuitem.

2010-02-09  Ted Gould  <ted@gould.cx>

	Moving the menuitem association into a set of functions to make a complex operation more clear.

2010-02-09  Ted Gould  <ted@gould.cx>

	Lifecycle for the menuitem

2010-02-09  Ted Gould  <ted@gould.cx>

	Adding in event handling.

2010-02-09  Ted Gould  <ted@gould.cx>

	License headers

2010-02-09  Ted Gould  <ted@gould.cx>

	Ignore new object

2010-02-09  Ted Gould  <ted@gould.cx>

	Adding in templated objects for the proxy subclass

2010-02-14  Ted Gould  <ted@gould.cx>

	Adds an ID in the default XML data.

2010-02-12  Ted Gould  <ted@gould.cx>

	Setting the ID on the default root item to 0

2010-02-11  Ken VanDine  <ken.vandine@canonical.com>

	include all the license files in EXTRA_DIST

2010-02-11  Ted Gould  <ted@gould.cx>

	0.2.4

2010-02-09  Ted Gould  <ted@gould.cx>

	Better handle errors on dbus and fix one function signature.

2010-02-09  Ted Gould  <ted@gould.cx>

	Switching from an object to an ID, which is what's passed.

2010-02-09  Ted Gould  <ted@gould.cx>

	Adding some additional checks.

2010-02-09  Ted Gould  <ted@gould.cx>

	Changing prototype of property update call to match spec.

2010-02-09  Ted Gould  <ted@gould.cx>

	Better error handling.  If we can't get the properties, remove all of them.

2010-02-09  Ted Gould  <ted@gould.cx>

	Removing unnecissary ref

2010-02-08  Ted Gould  <ted@gould.cx>

	Removing an extra ref to root and a setting of the root property which is not needed.

2010-02-08  Ted Gould  <ted@gould.cx>

	Removing the setting of root and the ref.

2010-02-08  Ted Gould  <ted@gould.cx>

	Debugging.

2010-02-08  Ted Gould  <ted@gould.cx>

	Printing more debugging.

2010-02-08  Ted Gould  <ted@gould.cx>

	Printing out proxy destroy

2010-02-08  Ted Gould  <ted@gould.cx>

	With typos

2010-02-08  Ted Gould  <ted@gould.cx>

	Debugging messages

2010-02-08  Ted Gould  <ted@gould.cx>

	We need to reduce the ref count on the old root even if there wasn't a change.

2010-02-05  Ted Gould  <ted@gould.cx>

	0.2.3

2010-02-05  Ted Gould  <ted@gould.cx>

	Fix IDs to handle the root ID of zero better and to handle merging of properties if items are reused.

2010-02-05  Ted Gould  <ted@gould.cx>

	For IDs that we recycle (often the root id) we need to update the properties.  Adds a new function to support syncing the properties in the menuitem.

